2025.11, released December 11th, 2025

	Fixes all over the tree.

	linux: Default to 6.18 for runtime kernel and kernel headers,
	drop the now EOL 5.4.x series.

	Updated/fixed packages: apache, audit, cryptodev-linux,
	dmraid, ficl, glibc, go, intel-mediadriver, intel-vpl-gpu-rt,
	kbd, libcap, libdbi, libgit2, libpng, libtirpc, libxslt,
	lugaru, mosh, pigz, podman, python-fonttools, python-urllib3,
	python3, racehound, rdesktop, rtl8188eu, softhsm, sqlite,
	strace, unbound, unzip, xapp_xkbutils,
	xdriver_xf86-video-intel, xl2tp, xserver_xorg-server, xwayland

2025.11-rc2, released November 30th, 2025

	Fixes all over the tree.

	Infrastructure: support/scripts/check-merged (introduced in
	2025.11-rc1) no longer relies on getopt from util-linux

	Defconfigs: pine64 star: Update U-Boot and Linux kernel to fix
	builds with GCC 14.x

	Updated/fixed packages: 18xx-ti-utils, depot-tools, e2fsprogs,
	enscript, fio, gnutls, intel-mediadriver, intel-vpl-gpu-rt,
	ledmon, libpng, libteam, lmbench, mongoose, netsnmp,
	nss-pam-ldapd, open-plc-utils, oprofile, pdmenu, php-apcu,
	php-pecl-dbus, php-xdebug, php-yaml, python-flask-restx,
	python-pysocks, python-starlette, sane-backends, sbc, sdl,
	stress-ng, swipl, syslinux, time, tmux, tor, uboot-tools,
	woff2, xfsprogs, yaml-cpp

	Removed packages: libargtable2, starfive-spltool

2025.11-rc1, released November 20th, 2025

	Fixes all over the tree and new features.

	Infrastructure:

	- Support merged /usr/sbin/ (E.G. sbin a symlink to bin rather
	  than separate directories), which is required by systemd
	  256+

	- support/scripts/cve-check can now be used to enrich a SBOM
	  in CycloneDX format (as generated by
	  utils/generate-cyclonedx) with vulnerability analysis from
	  the NVD database.

	Dropped a number of old and unmaintained packages and external
	toolchains.

	New defconfigs: Compulab IOT-GATE-iMX8 EBBR, QEMU x86-64 EFI

	Removed defconfigs: at91sam9260eknf, atmel_sama5d3xek,
	roseapplepi

	New packages: broot, bvi, go-bootstrap-stage4, libpam-pkcs11,
	llama-cpp, nnn, python-crccheck, python-fs, python-patch-ng,
	python-pyfatfs, python-scp, python-whitenoise, snapboot, wmenu

	Removed packages: aufs, aufs-util, axfsutils, bctoolbox,
	belle-sip, belr, dmenu-wayland, dvbsnoop,
	ev3dev-linux-drivers, expect, fbtft, gtk2-engines, gtkperf,
	leafpad, lesstif, libbson, libglade, libgtk2, libjwt, libsexy,
	linphone, logsurfer, mediastreamer, metacity, mongrel2, ola,
	ortp, procrank_linux, ramspeed, sylpheed

2025.08.3, released December 11, 2025

	Important / security related fixes:

	- asterisk: CVE-2025-1131, CVE-2025-57767, CVE-2025-49832,
	            CVE-2025-47780, CVE-2025-47779
	- gnutls: CVE-2025-9820
	- libpng: CVE-2025-64505, CVE-2025-64506, CVE-2025-64720, CVE-2025-65018
	- luksmeta: CVE-2025-11568
	- mariadb: CVE-2025-30693, CVE-2025-30722, CVE-2023-52969,
	           CVE-2023-52970, CVE-2023-52971
	- openvpn: CVE-2025-13086
	- postgresql: CVE-2025-12817, CVE-2025-12818
	- python-django: CVE-2025-64458, CVE-2025-64459
	- python-startlette: GHSA-7f5h-v6xp-fcq8

	Infrastructure updates/fixes:

	- New script support/scripts/cve-check to enricht CycloneDX SBoM with
	  CVE information from NVD database.

	Updated / fixed packages: 18xx-ti-utils, asterisk, enscript, gnutls,
	libpng, libroxml, libteam, linux-headers, luksmeta, mariadb, nbd, neard,
	nss-pam-ldapd, open-plc-utils, openjdk, openjdk-bin, openvpn, oprofile,
	pdmenu, perl-net-ssleay, postgresql, python-django, python-starlette,
	redis, sane-bacends, sbc, sdbusplus, sdl, swipl, tailscale, thermald,
	tmux, tor

	Removed packages: bctoolbox, belle-sip, belr, linphone, mediastreamer,
	mongrel2, ortp

2025.08.2, released November 20, 2025

    Important / security related fixes:

	- bind: CVE-2025-8677, CVE-2025-40778, CVE-2025-40780
	- dante: CVE-2024-54662
	- erlang: CVE-2024-53846, CVE-2025-4748, CVE-2025-26618, CVE-2025-30211,
	          CVE-2025-32433, CVE-2025-46712, CVE-2025-48038,
	          CVE-2025-48039, CVE-2025-48040, CVE-2025-48041
	- hostapd: CVE-2025-24912
	- imagemagick: CVE-2025-62171
	- iptraf-ng: CVE-2024-52949
	- libarchive: CVE-2025-25724
	- libglib2: CVE-2024-54662
	- libvips: CVE-2025-29769, CVE-2025-59933
	- libvpx: CVE-2025-5283
	- libxslt: CVE-2025-24855, CVE-2024-55549
	- mbedtls: CVE-2025-54764, CVE-2025-59438
	- modsecurity2: CVE-2025-52891, CVE-2025-54571
	- netdata: CVE-2023-22496, CVE-2023-22497
	- podman: CVE-2025-9566
	- poppler: CVE-2024-6239, CVE-2024-56378, CVE-2025-32364,
	           CVE-2025-32365, CVE-2025-43903, CVE-2025-50420,
	           CVE-2025-52886
	- python3: gh-139312, gh-139700, gh-139400, gh-135661, gh-135661,
	           gh-102555, gh-135462, gh-118350, gh-86155
	- python-webpy: CVE-2025-3818
	- redis: CVE-2025-46817, CVE-2025-46818, CVE-2025-46819, CVE-2025-49844
	- samba: CVE-2025-3818, CVE-2025-10230
	- shairport-sync: Upstream security fixes without CVE
	- squid: CVE-2025-59362
	- suricata: CVE-2024-37151, CVE-2024-38535
	- tpm2-tss: CVE-2024-29040
	- xerces: CVE-2024-23807
	- zabbix: CVE-2025-27231, CVE-2025-27236, CVE-2025-27238, CVE-2025-49641
	- zip: CVE-2018-13410

	Infrastructure updates/fixes:

	- Improved matching of CPE ID with NVD database, resulting in more accurate
	  identification of CVEs.
	- brmake: avoid garbled output with top-level parallel build

	Updated / fixed packages: 4th, audit, bind, cmake, crun, dante,
	ebtables, erlang, freeradius-server, freerdp, gpsd, gstd, hostapd,
	imagemagick, iptraf-ng, ledmon, libarchive, libcurl, libdbi-drivers,
	libdisplay-info, libglib2, libgphoto2, libgtk3, libheif, libiconv,
	libsemanage, libshout, libsolv, libtpms, libvips, libvpx, libwpe,
	libxslt, linux, linux-headers, live555, mbedtls, micropython,
	mjpg-streamer, modsecurity2, netdata, podman, poppler, python3,
	python-flask-cors, python-webpy, quota, qt6multimedia, redis, refpolicy,
	samba4, shairport-sync, selinux-python, sexpect, siproxd, sqlite, squid,
	suricata, tor, tpm2-tss, waffle, webkitgtk, wireless-regdb, wpewebkit,
	xerces, zabbix, zip

	Removed package: ramspeed

	Boards updated / fixed: andes_ae350_45, beaglebone, beagleboneai,
	cubieboard1, cubieboard2, imx6ulz_bsh_smm_m2, imx8mn_bsh_smm_s2,
	imx8mn_bsh_smm_s2_pro, olimex_a20_olinuxino_lime*, stm32f429_disco_xip,
	stm32f746_disco_sd, stm32f769_disco_sd, stm32mp1*_dk*, ti_am62x_sk

	Test Improvements:

	- Capture output of failing commands on host.

2025.08.1, released October 11, 2025

    Important / security related fixes:

    - atop: CVE-2025-31160
    - civetweb: CVE-2025-55763
    - cjson: CVE-2025-57052
    - connman: CVE-2025-32366, CVE-2025-32743
    - cups: CVE-2025-58060, CVE-2025-58364
    - expat: CVE-2025-59375
    - fastd: CVE-2025-24356
    - fetchmail: CVE number pending
    - ghostscript: CVE-2025-59798, CVE-2025-59799, CVE-2025-59800,
                   CVE-2025-59801
    - intel-microcode: CVE-2025-20053, CVE-2025-20109, CVE-2025-22839,
                       CVE-2025-22840, CVE-2025-22889, CVE-2025-26403
    - jasper: CVE-2023-51257, CVE-2025-8835
    - libcurl: CVE-2025-10148, CVE-2025-9086
    - libopenssl: CVE-2025-9230, CVE-2025-9231, CVE-2025-9232
    - libssh: CVE-2025-8114, CVE-2025-8277
    - lua: CVE-2014-5461
    - opencv4: CVE-2025-53644
    - pcre2: CVE-2025-58050
    - poco: CVE-2025-6375
    - postgresql: CVE-2025-8713, CVE-2025-8714, CVE-2025-8715
    - python-django: CVE-2025-57833, CVE-2025-59681, CVE-2025-59682
    - python-pip: CVE-2025-8869
    - raptor: CVE-2024-57822, CVE-2024-57823
    - syslog-ng: CVE-2024-47619
    - tiff: CVE-2024-13978, CVE-2025-8961, CVE-2025-9165


    Updated / fixed packages: asterisk, boinc, boot-wrapper-aarch64, c-icap,
    chocolate-doom, cjson, cpp-httplib, cutekeyboard, docker-engine, fatcat,
    fluent-bit, gnupg2, gnuplot, htpdate, iputils, kodi, libfreeimage,
    libopenssl, libselinux, libsemanage, libxkbcommon, libxmlrpc,
    linux-firmware, linuxptp, llvm, luaossl, luvi, mariadb, mdio-tools,
    modsecurity2, openjpeg, pango, php-lua, policycoreutils,
    python-aiohttp-session, python-certifi, python-cryptography,
    python-flask-cors, python-pytz, python-trove-classifiers,
    python-typing-extensions, rtl8723bu, rtl8723ds, rtl8821cu, rtl8822cs,
    rtl_433, ruby, samba4, sysprof, ti-k3-boot-firmware, tiff, tor, uboot,
    uclibc, upx, vulkan-headers, webkitgtk, wilc-driver, wlroots, x11r7,
    xilinx-embeddedsw, xilinx-prebuilt, xlib_xtrans, xr819-xradio, zziplib

    Boards updated / fixed: beagleboneai, loongarch64-efi, qemu (all),
    versal, zedboard

    Boards removed: at91sam9260eknf, atmel_sama5d3xek, roseapplepi

    Test Improvements:

    - test_docker_compose: update kernel & VM CPU
    - TestZfsUclibc: use internal backend for uClibc-ng toolchain
    - GitTestBase: remove git daemon due to Gitlab-CI security settings

2025.08, released September 7th, 2025

	Fixes all over the tree.

	Infrastructure:

	- 'make show-info' now also displays the package directory.

	- utils/bump-stable-kernel-versions helper script to bump
	  Linux (headers) kernel versions.

	Fixed defconfigs: QEMU ARM / Aarch64 EBBR / SBSA, Sipeed
	licheepi zero, TI am62x sk

	Removed defconfigs (build failures): Bananapro, Beelink gs1,
	Chromebook snow, Engicam i.MX6 boards, Galileo, Microchip
	at91sam9g20df / at91sam9g45m10ek / at91sam9rlek, Odroid XU-4,
	Orangepi lite2 / one+, Pcengine apu2, Pine64 rock64 / sopine,
	Raxda rockpin8, Riotboard, Socrates cyclone5, Technologic
	TS-7680, Toradex Apalis i.MX6

	Updated/fixed packages: apitrace, avrdude, b43-firmware, bat,
	brcm-patchram-plus, busybox, ecryptfs-utils, exiv2, ffmpeg,
	firewalld, gdb, go, imagemagick, input-event-daemon, iozone,
	ipmitool, jose, libcap-ng, libfreeglut, libftdi1, libgsm,
	libkrb5, libsoxr, lighttpd, lirc-tools, lua-utf8, mariadb,
	mbpfan, micropython, mosquitto, netavark, openal, postgis,
	python-flask-cors, python-h2, python-yarl, python3, rtl8188eu,
	rtl8821au, sqlite, squid, sslh, tcpreplay, timescaledb,
	tstools, uclibc, udisks, unbound, vde2,
	webrtc-audio-processing, wipe, wireshark, xlib_libXt

	Removed packages: libsvgtiny, netstat-nat,
	netsurf-buildsystem, thttpd

2025.08-rc3, released August 28th, 2025

	Fixes all over the tree, mainly GCC 15.x build fixes

        support/misc/pkg-stats: Be more robust when parsing CVEs

        Fixed defconfigs: canaan_kd233, sipeed_maix*: Correct Linux
        image name configuration, ci20: Needs host-openssl,
        imx6ulz_bsh_smm_m2: Use correct FPU configuration

        Removed defconfigs: kontron_pitx_imx8m

	Updated/fixed packages: binutils, cpp-httplib, dtach,
	dump1090, ffmpeg, gdbm, gpm, libjwt, liblog4c-localtime,
	libv4l, lrzsz, mesa3d, p11-kit, php-lua, proftpd,
	python-aexpect, python-pyroute2, python3, rpi-userland, sdl,
	vim, wayland, weston, wpewebkit, xvisor

        Removed packages: liboauth

2025.08-rc2, released August 21th, 2025

	Fixes all over the tree.

	The release tarballs are now built reproducibly.

	Updated/fixed packages: bash, bcusdk, ed, elfutils, gcc,
	gcc-bare-metal, go, grub, gst1-devtools, gst1-libav,
	gst1-plugins-bad, gst1-plugins-base, gst1-plugins-good,
	gst1-plugins-ugly, gst1-python, gst1-rtsp-server, gst1-vaapi,
	gstreamer1, gstreamer1-editing-services, hwdata, iperf3, jq,
	libcue, libtracefs, modem-manager, ofono, openconnect,
	openjpeg, openocd, prboom, python-numpy, rpcbind, rrdtool,
	rt-tests, rtl8812au-aircrack-ng, setserial, start-stop-daemon,
	tinyssh, trace-cmd, vorbis-tools

2025.08-rc1, released August 11th, 2025

	Fixes all over the tree and new features.

	Arch: Add LoongArch64 architecture support

	Toolchains:
	- ARC toolchain updated to 2024.12
	- Bootlin external toolchains updated to 2025.08-1
	- GCC 15.1.0 added, 12.x dropped, 14.x is now default
	- GCC 13.x updated to 13.4.0, 14.x updated to 14.3.0
	- Default to Linux 6.16.x kernel headers

	Misc:
	- Various tweaks to utils/generate-cyclonedx for better SBOM
	  compatibility and project name/version customization

	New defconfigs: BeagleY-AI, CoolPI 4B, Freescale i.MX91
	Freedom, LoongArch64 EFI, QEMU LoongArch64 Virt, Raspberrypi
	Compute Module 5 IO

	New packages: containers-image-config, distribution-registry,
	llvm-runtimes, lua-lrexlib-pcre2, msgpack-c, opencl-headers,
	opencl-icd-loader, pocketpy, python-apscheduler, python-crc,
	python-log-rate-limit, python-sdbus-modemmanager, soapy-sdr,
	vulkan-sdk

	Removed packages: libebur128, libolm, libwebsock,
	python-dunamai, python-poetry-dynamic-versioning

2025.05.3, released October 11, 2025

    This is the final release on the 2025.05.x branch.

    Important / security related fixes:

    - atop: CVE-2025-31160
    - civetweb: CVE-2025-55763
    - cjson: CVE-2025-57052
    - connman: CVE-2025-32366, CVE-2025-32743
    - cups: CVE-2025-58060, CVE-2025-58364
    - exiv2: CVE-2023-44398, CVE-2024-24826, CVE-2024-25112, CVE-2024-39695,
             CVE-2025-26623, CVE-2025-54080, CVE-2025-55304
    - expat: CVE-2025-59375
    - fastd: CVE-2025-24356
    - fetchmail: CVE number pending
    - ghostscript: CVE-2025-59798, CVE-2025-59799, CVE-2025-59800,
                   CVE-2025-59801
    - imagemagick: CVE-2023-5341, CVE-2025-55004, CVE-2025-55005,
                   CVE-2025-55160
    - intel-microcode: CVE-2025-20053, CVE-2025-20109, CVE-2025-22839,
                       CVE-2025-22840, CVE-2025-22889, CVE-2025-26403
    - jasper: CVE-2023-51257, CVE-2025-8835
    - libcurl: CVE-2025-10148, CVE-2025-9086
    - libopenssl: CVE-2025-9230, CVE-2025-9231, CVE-2025-9232
    - libssh: CVE-2025-8114, CVE-2025-8277
    - lua: CVE-2014-5461
    - opencv4: CVE-2025-53644
    - pcre2: CVE-2025-58050
    - poco: CVE-2025-6375
    - postgresql: CVE-2025-8713, CVE-2025-8714, CVE-2025-8715
    - python-django: CVE-2025-57833, CVE-2025-59681, CVE-2025-59682
    - python-flask-cors: CVE-2024-6839, CVE-2024-6844, CVE-2024-6866
    - python-pip: CVE-2025-8869
    - raptor: CVE-2024-57822, CVE-2024-57823
    - sqlite: CVE-2025-6965
    - syslog-ng: CVE-2024-47619
    - tiff: CVE-2024-13978, CVE-2025-8961, CVE-2025-9165
    - udisks: CVE-2025-8067
    - wireshark: CVE-2025-5601

    Updated / fixed packages: asterisk, avrdude, boinc, boot-wrapper-aarch64,
    cjson, cpp-httplib, cutekeyboard, docker-engine, ecryptfs-utils, fatcat,
    fetchmail, firewalld, gnupg2, gnuplot, htpdate, iputils, jose, kodi,
    libfreeimage, libopenssl, libselinux, libsemanage, libxkbcommon,
    libxmlrpc, linux-firmware, linuxptp, llvm, lua-utf8, luaossl, luvi,
    mariadb, mbpfan, micropython, modsecurity2, mosquitto, opencv4, openjpeg,
    pango, php-lua, policycoreutils, python-aiohttp-session, python-certifi,
    python-cryptography, python-flask-cors, python-pytz, python3, rtl_433,
    ruby, samba4, sysprof, ti-k3-boot-firmware, tiff, tor, uclibc, upx,
    webkitgtk, wlroots, x11r7, xilinx-embeddedsw, xilinx-prebuilt, zziplib

    Removed package: netstat-nat

    Boards updated / fixed: versal, ti_am62x_sk, qemu/{x86, x86_64},
    zedboard, beagleboneai

    Boards removed: roseapplepi, at91sam9260eknf, atmel_sama5d3xek

    Test Improvements:

    - TestSWIPL: increase timeout value
    - TestOpenJdk: remove stime() function call
    - test_hardening: update toolchain to aarch64 for checksec tests
    - test_docker_compose: update kernel & VM CPU
    - TestZfsUclibc: use internal backend for uClibc-ng toolchain
    - GitTestBase: remove git daemon due to Gitlab-CI security settings

2025.05.2, released September 09, 2025

	Important / security related fixes:

	- libssh: CVE-2025-4878, CVE-2025-5318, CVE-2025-5351, CVE-2025-5372,
	    CVE-2025-5449, CVE-2025-5987
	- glibc: CVE-2025-5702, CVE-2025-5745, CVE-2025-8058
	- gnutls: CVE-2025-32989, CVE-2025-32988, CVE-2025-32990, CVE-2025-6395
	- python3: CVE-2025-8194
	- libhtp: CVE-2025-53537
	- tiff: CVE-2025-8176, CVE-2025-8177
	- libglib2: CVE-2025-6052
	- ofono: CVE-2023-2794, CVE-2024-7537, CVE-2024-7539, CVE-2024-7540,
	    CVE-2024-7541, CVE-2024-7542
	- elfutils: CVE-2025-1352, CVE-2025-1365, CVE-2025-1371, CVE-2025-1372,
	    CVE-2025-1376, CVE-2025-1377
	- grub2: CVE-2024-45777, CVE-2024-45778, CVE-2024-45779,
	    CVE-2024-45780, CVE-2024-45782, CVE-2024-56737, CVE-2024-56738,
	    CVE-2025-0678, CVE-2025-0684, CVE-2025-0685, CVE-2025-0686,
	    CVE-2025-0689, CVE-2025-1125
	- openjpeg: CVE-2025-54874
	- go: CVE-2025-4674, CVE-2025-47907
	- gst1-plugins-base: CVE-2025-47806, CVE-2025-47807
	- gst1-plugins-good: CVE-2025-47219, CVE-2025-47183
	- vorbis-tools: CVE-2023-43361
	- vim: CVE-2024-41957, CVE-2024-41965, CVE-2024-45306, CVE-2024-47814,
	    CVE-2025-1215, CVE-2025-22134, CVE-2025-24014, CVE-2025-26603,
	    CVE-2025-29768, CVE-2025-53905, CVE-2025-53906
	- ffmpeg: CVE-2023-6602
	- lighttpd: CVE-2025-8671
	- python-h2: CPE-2025-57804
	- cpp-httplib: CVE-2025-46728

	Removed packages: liboauth, thttpd

	Removed defconfigs: at91sam9g20dfc, at91sam9g45m10ek,
	at91sam9rlek, bananapro, beelink_gs1, chromebook_snow, galileo,
	odroidxu4, orangepi_lite2, orangepi_one_plus, pcengines_apu2,
	pine64_sopine, riotboard, rock64, rock_pi_n8, socrates_cyclone5,
	toradex_apalis_imx6, ts7680, engicam_imx6*, kontron_pitx_imx8m,
	imx6ulz_bsh_smm_m2,

	Test Improvements:

	- test_gstreamer1: raise tesseract-ocr timeout to 15s
	- test_wine: fix test after bootlin toolchains update
	- test_numactl: fix test after bootlin toolchains update
	- test_dpdk: fix test after bootlin toolchains update
	- test_msr_tools: fix test after bootlin toolchains update
	- test_dmidecode: fix test after bootlin toolchains update
	- test_iso9660: use a more recent toolchain
	- test_grub: use glibc toolchain
	- test_wget: replace thttpd by Busybox's httpd server
	- test_libcurl: replace thttpd by Busybox's httpd server
	- test_systemd_selinux: fix test after bootlin toolchains update

	Updated / fixed packages: python-propcache, pipewire, apache, xinetd,
	libssh, glibc, libhtp, libapparmor, libopenssl, rpi-firmware,
	brcmfmac_sdio-firmware-rpi, grout, php-pecl-dbus, tini, snooze, ngrep,
	libzenoh-pico, janet, cjson, flatcc, nanocom, rtl8189es, gcc, ofono,
	python-numpy, elfutils, libtracefs, tinyssh, start-stop-daemon, bcusdk,
	prboom, setserial, grub2, openjpeg, go, gstreamer1, gst1-plugins-base,
	gst1-plugins-good, gst1-plugins-bad, gst1-plugins-ugly, gst1-devtools,
	gst1-libav, gst1-python, gst1-rtsp-server, gst1-vaapi,
	gstreamer1-editing-services, vorbis-tools, jq, lbijwt, vim, ffmpeg,
	libv4l, python-yarl, lirc-tools, b43-firmware, tcpreplay, libsvgtiny,
	libsoxr, lighttpd, uclibc, vde2, libcap-ng, python-h2, squid, ipmitool,
	ell, proftpd, liblog4c-localtime, wpewebkit, weston, cpp-httplib,
	ipset, python3, python-aexpect, libftdi1

	Infrastructure updates/fixes:
	- Various tweaks to utils/generate-cyclonedx for better SBOM
	  compatibility and project name/version customization
	- go: make pre-built compiler provide target support too
	- test-pkg: add new option -T/--toolchain-name
	- pkg-utils.mk: include package directory in show-info output
	- bump-stable-kernel-versions: new tool

	Boards updated / fixed:

	- qemu_sh4*: switch back to disk emulation
	- acmesystems_acqua_a5_*: update linux
	- sipeed_licheepi_zero: update linux & uboot
	- zynqmp: increase vfat partition to 64M
	- qemu_{arm,aarch64}_{ebbr,sbsa}*: linux needs host python3
	- canaan_kd233, sipeed*: use BR2_LINUX_KENREL_IMAGE_TARGET_NAME
	- ci20: U-Boot needs host-openssl

2025.05.1, released August 11th, 2025

	Important / security related fixes:
	- samba4: support Windows security hardening
	- apache: CVE-2025-53020, CVE-2025-49812, CVE-2025-49630, CVE-2025-23048,
	    CVE-2024-47252, CVE-2024-43394, CVE-2024-43204, CVE-2024-42516,
	    CVE-2025-54090
	- assimp: CVE-2025-2750, CVE-2025-2751, CVE-2025-2757, CVE-2025-3158
	- clamav: CVE-2025-20260
	- edk2: CVE-2024-38805
	- git: CVE-2025-27613, CVE-2025-27614, CVE-2025-46835, CVE-2025-48384,
	    CVE-2025-48385, CVE-2025-48386
	- jose: CVE-2023-50967
	- libarchive: CVE-2025-5914, CVE-2025-5915, CVE-2025-5916, CVE-2025-5917,
	    CVE-2025-5918
	- libavif: CVE-2025-48174, CVE-2025-48175
	- libblockdev: CVE-2025-6019
	- libbpf: CVE-2025-29481
	- libglib2: CVE-2025-6052
	- libheif: CVE-2025-43966, CVE-2025-43967
	- libhtp: CVE-2024-45797
	- libopenssl: CVE-2025-4575
	- libsoup: CVE-2024-52530, CVE-2024-52531, CVE-2024-52532, CVE-2025-2784,
	    CVE-2025-4476, CVE-2025-4948, CVE-2025-4969, CVE-2025-32050,
	    CVE-2025-32052, CVE-2025-32053, CVE-2025-32906, CVE-2025-32910,
	    CVE-2025-32911, CVE-2025-32912, CVE-2025-32913, CVE-2025-32914,
	    CVE-2025-46420, CVE-2025-46421
	- libxml2: CVE-2025-6021, CVE-2025-49794, CVE-2025-49796, CVE-2025-49795,
	    CVE-2025-6170
	- mbedtls: CVE-2025-47917, CVE-2025-48965, CVE-2025-49087, CVE-2025-49600,
	    CVE-2025-49601, CVE-2025-52496, CVE-2025-52497
	- micropython: CVE-2024-8947
	- modsecurity2: 2025-47947, CVE-2025-48866
	- orc: CVE-2024-40897
	- php: CVE-2025-1735, CVE-2025-6491, CVE-2025-1220
	- podman: CVE-2025-6032
	- python-aiohttp: CVE-2025-53643
	- python-django: CVE-2025-48432
	- python-requests: CVE-2024-47081
	- python-starlette: CVE-2025-54121
	- python-urllib3: CVE-2025-50181, CVE-2025-50182
	- python3: 2024-12718, CVE 2025-4138, CVE 2025-4330, CVE 2025-4435,
	    2025-4517
	- redis: CVE-2025-32023, CVE-2025-48367
	- rust-bindgen: CVE-2024-43806, RUSTSEC-2024-0006
	- samba4: CVE-2025-0620
	- shim: CVE-2024-2312
	- sngrep: CVE-2024-3119, CVE-2024-3120
	- sudo: CVE-2025-32462, CVE-2025-32463
	- tcpreplay: CVE-2023-4256, CVE-2023-43279, CVE-2024-22654
	- tinyxml: CVE-2023-34194
	- wpewebkit: CVE-2024-27856, CVE-2024-40866, CVE-2024-44185,
	    CVE-2024-44187, CVE-2024-44192, CVE-2024-44244, CVE-2024-44296,
	    CVE-2024-44308, CVE-2024-44309, CVE-2024-54467, CVE-2024-54479,
	    CVE-2024-54502, CVE-2024-54505, CVE-2024-54508, CVE-2024-54534,
	    CVE-2024-54543, CVE-2024-54551, CVE-2024-54658, CVE-2025-24143,
	    CVE-2025-24150, CVE-2025-24158, CVE-2025-24162, CVE-2025-24201,
	    CVE-2025-24208, CVE-2025-24209, CVE-2025-24213, CVE-2025-24216,
	    CVE-2025-24223, CVE-2025-24264, CVE-2025-30427, CVE-2025-31204,
	    CVE-2025-31205, CVE-2025-31206, CVE-2025-31215, CVE-2025-31257
	- xorg-server / xwayland: CVE-2025-49175, CVE-2025-49176, CVE-2025-49177,
	    CVE-2025-49178, CVE-2025-49179, CVE-2025-49180

	Updated / fixed packages: amazon-ecr-credential-helper, at91bootstrap3,
	avrdude, bcg729, berkeleydb, binutils, bmx7, boot/syslinux, ca-certificates,
	chartjs, cifs-utils, cpp-httplib, cpulimit, daq, dht,
	docker-credential-acr-env, docker-credential-gcr, elfutils, eudev, fwupd,
	gcc, gnuplot, gstreamer1-editing-services, gumbo-parser, gvfs, hddtemp,
	kvmtool, libargtable2, libcddb, libconfuse, libcrossguid, libcurl, libdex,
	libesmtp, libgcrypt, libiec61850, libmanette, libmicrohttpd, libmpeg2,
	libndp, libp11, libplatform, libspdm, libssh2, libuhttpd, libva, linux,
	linux-tools (rtla), lpac, lrzsz, ltp-testsuite, lua, mjpg-streamer,
	modem-manager, modsecurity2, mosquitto, mpv, mupdf, ncmpc, ncurses,
	net-tools, network-manager, nginx-modsecurity, ntp, oniguruma, openblas,
	parted, passt, php, python-asgiref, python-cython, python-dbus-fast,
	python-dotenv, python-fastapi, python-future, python-glslang,
	python-msgpack, python-multipart, python-remi, python-setuptools,
	python-typing-extensions, qpid-proton, rapidjson, rauc-hawkbit-updater,
	rtl8188eu, rtl8723bu, rtl8723ds, rtl8821au, rust, sdl2, shadowsocks-libev,
	shairport-sync, sox, sqlite, squashfs, sudo, systemd, systemd, tailscale,
	tor, uclibc, ustream-ssl, watchdog, webkitgtk, wpebackend-fdo, xen

	Removed package: libebur128, libolm, libwebsock

	Infrastructure updates / fixes:
	- python-glslang is now a host package only
	- Makefile unexports are now fixed and sorted
	- hide gcc version for unsupported CPUs
	- check-package: handle missing files
	- test-pkg: stop on sigint
	- toolchain/toolchain-wrapper.c:
	    - correct CCACHE_BASEDIR comment
	    - slightly simplify cmdline copying
	    - get rid of EXCLUSIVE_ARGS
	- erofs: reword "all-fragments" Kconfig text
	- utils/update-rust: fix MIT hash

	Test improvements:
	- add new test for nginx-modsecurity
	- new runtime test for gumbo-parser
	- add a crun-based runtime test for docker-compose
	- test_xen: add a base class
	- test_xen: test on 32-bit Arm v7
	- test_xen: rename TestXen to TestXenAarch64

	Boards updated / fixed:
	- globalscale_espressobin: update linux
	- freescale/mxs: fix Linux booting
	- ti_am62x_sk: bump Linux version
	- beaglebone: bump Linux to 6.12.23-ti-arm32-r11

2025.05, released June 9th, 2025

	Various fixes.

	Updated/fixed packages: armadillo, busybox, dhcpcd, dovecot,
	easyframes, exim, ghostscript, go, gst1-plugins-bad, iputils,
	jq, libcurl, libftdi1, libglib2, lm-sensors,
	mender-update-modules, mesa3d, mongoose, mpd, ninja, podman,
	python-django, python-gobject, qoriq-mc-utils, qt5declarative,
	qt5webengine, qt5webengine-chromium, qt6base, qt6tools, redis,
	rtl8723ds, spirv-llvm-translator, unzip, yasm

2025.05-rc2, released May 28th, 2025

	Fixes all over the tree.

        Defconfigs: imx8mn-bsh-smm-s2: Unbreak boot after move to
        U-Boot 2025.04.

	Updated/fixed packages: assimp, atkmm, atkmm2_28, binutils,
	casync-nano, esp-hosted, gmrender-resurrect, gtkmm3, kmsxx,
	libcamera, libglade, linux, lzo, python-click, python-django,
	python-flask-restx, python-pydantic, python-pydantic-core,
	python-referencing, python-tornado, sane-airscan, systemd,
	uacme, uuu

2025.05-rc1, released May 19th, 2025

	Fixes all over the tree and package updates.

	Download:

	- Rust updated to version 1.86.0, which has slightly changed
	  the cargo fetching behaviour, so the generated tarballs now
	  use a -cargo4 suffix to reflect that.

	- Subversion download logic is now reproducible with non-US
	  locales

	- Sources can now be fetched from a smb:// location (using
	  curl).

	Dependencies:

	- AWK is now required on the build host.

	Toolchains:

	- Bootlin ARMv7-A toolchains are now also available for
	  ARMv8-A CPUs in 32bit mode

	Misc:

	- /etc/resolv.conf symlink now points to /run rather than /tmp

	- support/scripts/pkg-stats can now report stale CVE entries,
	  E.G. entries in <PKG>_IGNORE_CVES that are no longer needed
	  after a NVD update.

	New defconfigs: Engicam PX30 SOM, Freescale i.IM 91 EVK and 93
	Freedom, HiFive Unmatched, Pine64 ROCKPro64 EBBR boot,
	Raspberrypi 2 in 64bit mode, Sipeed LicheePi 4A

	New packages: aardvark-dns, amazon-ecr-credential-helper,
	casync-nano, cgroupfs-v2-mount, docker-credential-acr-env,
	docker-credential-gcr, grout, lowdown, lpac,
	mender-update-modules, netavark, passt, podman,
	python-aniso8601, python-cachelib, python-emailproxy,
	python-flask-caching, python-flask-restx, python-mypy,
	python-pyproj, python-simple-pid, python-smbus2,
	python-types-psutil, python-types-setuptools,
	python-typing-inspection, python-tzlocal,
	qoriq-ddr-phy-binary, qoriq-firmware-inphi, qoriq-mc-binary,
	qoriq-mc-utils, sane-airscan, sipeed-lpi4abin, ufs-utils,
	xilinx-fpgautil

	Issues resolved:

	- openh264's build/ should not be removed
	  https://gitlab.com/buildroot.org/buildroot/-/issues/64

	- package/dbus: incorrect session bus configuration file..
	  https://gitlab.com/buildroot.org/buildroot/-/issues/67

	- Update pkcs11-tool to v1.9.1
	  https://gitlab.com/buildroot.org/buildroot/-/issues/109

	- netsnmp: unexpected header length in /proc/net/snmp...
	  https://gitlab.com/buildroot.org/buildroot/-/issues/110

2025.02.9, released December 11, 2025

	Important / security related fixes:

	- asterisk: CVE-2025-1131, CVE-2025-57767, CVE-2025-49832,
	            CVE-2025-47780, CVE-2025-47779
	- gnutls: CVE-2025-9820
	- libpng: CVE-2025-64505, CVE-2025-64506, CVE-2025-64720, CVE-2025-65018
	- luksmeta: CVE-2025-11568
	- mariadb: CVE-2025-30693, CVE-2025-30722, CVE-2023-52969,
	           CVE-2023-52970, CVE-2023-52971
	- openvpn: CVE-2025-13086
	- postgresql: CVE-2025-12817, CVE-2025-12818
	- python-django: CVE-2025-64458, CVE-2025-64459
	- python-startlette: GHSA-7f5h-v6xp-fcq8

	Infrastructure updates/fixes:

	- New script support/scripts/cve-check to enricht CycloneDX SBoM with
	  CVE information from NVD database.

	Updated / fixed packages: 18xx-ti-utils, asterisk, gnutls, libpng,
	libroxml, libteam, linux-headers, luksmeta, mariadb, nbd, neard,
	openjdk, openjdk-bin, openvpn, oprofile, perl-net-ssleay, postgresql,
	python-django, python-starlette, redis, sdbusplus, sdl, swipl,
	tailscale, thermald, tmux, tor

	Removed packages: bctoolbox, belle-sip, belr, linphone, mediastreamer,
	mongrel2, ortp

2025.02.8, released November 20, 2025

    Important / security related fixes:

	- bind: CVE-2025-8677, CVE-2025-40778, CVE-2025-40780
	- dante: CVE-2024-54662
	- erlang: CVE-2024-53846, CVE-2025-4748, CVE-2025-26618, CVE-2025-30211,
	          CVE-2025-32433, CVE-2025-46712, CVE-2025-48038,
	          CVE-2025-48039, CVE-2025-48040, CVE-2025-48041
	- hostapd: CVE-2025-24912
	- imagemagick: CVE-2025-62171
	- iptraf-ng: CVE-2024-52949
	- libarchive: CVE-2025-25724
	- libglib2: CVE-2024-54662
	- libvips: CVE-2025-29769, CVE-2025-59933
	- libvpx: CVE-2025-5283
	- libxslt: CVE-2025-24855, CVE-2024-55549
	- mbedtls: CVE-2025-54764, CVE-2025-59438
	- modsecurity2: CVE-2025-52891, CVE-2025-54571
	- netdata: CVE-2023-22496, CVE-2023-22497
	- poppler: CVE-2024-6239, CVE-2024-56378, CVE-2025-32364,
	           CVE-2025-32365, CVE-2025-43903, CVE-2025-50420,
	           CVE-2025-52886
	- python3: gh-139312, gh-139700, gh-139400, gh-135661, gh-135661,
	           gh-102555, gh-135462, gh-118350, gh-86155
	- python-webpy: CVE-2025-3818
	- redis: CVE-2025-46817, CVE-2025-46818, CVE-2025-46819, CVE-2025-49844
	- samba: CVE-2025-3818, CVE-2025-10230
	- shairport-sync: Upstream security fixes without CVE
	- squid: CVE-2025-59362
	- suricata: CVE-2024-37151, CVE-2024-38535
	- tpm2-tss: CVE-2024-29040
	- xerces: CVE-2024-23807
	- zabbix: CVE-2025-27231, CVE-2025-27236, CVE-2025-27238, CVE-2025-49641
	- zip: CVE-2018-13410

	Infrastructure updates/fixes:

	- Improved matching of CPE ID with NVD database, resulting in more
	  accurate identification of CVEs.
	- brmake: avoid garbled output with top-level parallel build

	Updated / fixed packages: 4th, audit, bind, cmake, crun, dante,
	ebtables, erlang, freeradius-server, gpsd, gstd, hostapd, imagemagick,
	iptraf-ng, iozone, ledmon, libarchive, libcurl, libdbi-drivers,
	libdisplay-info, libglib2, libgphoto2, libgtk3, libheif, libsemanage,
	libshout, libsolv, libtpms, libvips, libvpx, libwpe, libxslt, linux,
	linux-headers, live555, mbedtls, micropython, mjpg-streamer,
	modsecurity2, netdata, netsnmp, poppler, python3, python-flask-cors,
	python-webpy, quota, qt6multimedia, redis, refpolicy, samba4,
	selinux-python, sexpect, shairport-sync, siproxd, sqlite, squid,
	suricata, tor, tpm2-tss, waffle, webkitgtk, wireless-regdb, wpewebkit,
	xerces, zabbix, zip

	Removed package: ramspeed

	Boards updated / fixed: beagleboneai, cubieboard1, cubieboard2,
	stm32f429_disco_xip, stm32f746_disco_sd, stm32f769_disco_sd,

	Test Improvements:

	- Capture output of failing commands on host.

2025.02.7, released October 11, 2025

    Important / security related fixes:

    - asterisk: CVE-2024-42491
    - atop: CVE-2025-31160
    - civetweb: CVE-2025-55763
    - cjson: CVE-2025-57052
    - connman: CVE-2025-32366, CVE-2025-32743
    - cups: CVE-2025-58060, CVE-2025-58364
    - exiv2: CVE-2023-44398, CVE-2024-24826, CVE-2024-25112, CVE-2024-39695,
             CVE-2025-26623, CVE-2025-54080, CVE-2025-55304
    - expat: CVE-2025-59375
    - fastd: CVE-2025-24356
    - fetchmail: CVE-2025-61962
    - ghostscript: CVE-2025-59798, CVE-2025-59799, CVE-2025-59800, CVE-2025-59801
    - imagemagick: CVE-2023-5341, CVE-2025-55004, CVE-2025-55005, CVE-2025-55160
    - intel-microcode: CVE-2025-20053, CVE-2025-20109, CVE-2025-22839,
                       CVE-2025-22840, CVE-2025-22889, CVE-2025-26403
    - jasper: CVE-2023-51257, CVE-2025-8835
    - libcurl: CVE-2025-10148, CVE-2025-9086
    - libopenssl: CVE-2025-9230, CVE-2025-9231, CVE-2025-9232
    - libssh: CVE-2025-8114, CVE-2025-8277
    - lua: CVE-2014-5461
    - opencv4: CVE-2025-53644
    - pcre2: CVE-2025-58050
    - poco: CVE-2025-6375
    - postgresql: CVE-2025-8713, CVE-2025-8714, CVE-2025-8715
    - python-django: CVE-2025-57833, CVE-2025-59681, CVE-2025-59682
    - python-flask-cors: CVE-2024-6839, CVE-2024-6844, CVE-2024-6866
    - python-pip: CVE-2025-8869
    - raptor: CVE-2024-57822, CVE-2024-57823
    - sqlite: CVE-2025-6965
    - syslog-ng: CVE-2024-47619
    - tiff: CVE-2024-13978, CVE-2025-8961, CVE-2025-9165
    - udisks: CVE-2025-8067
    - webkitgtk: CVE-2025-24189, CVE-2025-31273, CVE-2025-31278, CVE-2025-43211,
      CVE-2025-43212, CVE-2025-43216, CVE-2025-43227, CVE-2025-43228,
      CVE-2025-43240, CVE-2025-43265, CVE-2025-6558
    - wireshark: CVE-2025-5601

    Updated / fixed packages: asterisk, atop, boinc, civetweb, cjson,
    connman, cpp-httplib, cups, cutekeyboard, ecryptfs-utils, exiv2, expat,
    fastd, fetchmail, ghostscript, gnupg2, gnuplot, htpdate, imagemagick,
    intel-microcode, iputils, jasper, jose, kodi, libcurl, libopenssl,
    libssh, libxkbcommon, libxmlrpc, linux-firmware, linux-headers,
    linuxptp, llvm-project, lua, luaossl, luvi, mariadb, micropython,
    modsecurity2, opencv4, opencv4-contrib, openjpeg, pango, pcre2, poco,
    postgresql, python-certifi, python-cryptography, python-django,
    python-flask-cors, python-pip, python-pyopenssl, python-pytz, raptor,
    rtl_433, ruby, samba4, sqlite, syslog-ng, sysprof, tiff, tor, uclibc,
    udisks, upx, webkitgtk, wireshark, wlroots, x11r7, zziplib

    Removed package: netstat-nat

    Boards updated / fixed: beagleboneai, qemu/{x86, x86_64}, ti_am62x_sk
    versal, zedboard

    Boards removed: roseapplepi, atmel_sama5d3xek, at91sam9260eknf

    Test Improvements:

    - TestSWIPL: increase timeout value
    - TestOpenJdk: remove stime() function call
    - test_hardening: update toolchain to aarch64 for checksec tests
    - test_docker_compose: update kernel & VM CPU
    - TestZfsUclibc: use internal backend for uClibc-ng toolchain
    - GitTestBase: remove git daemon due to Gitlab-CI security settings

2025.02.6, released September 09, 2025

	Important / security related fixes:

	- libssh: CVE-2025-4878, CVE-2025-5318, CVE-2025-5351, CVE-2025-5372,
	    CVE-2025-5449, CVE-2025-5987
	- glibc: CVE-2025-5702, CVE-2025-5745, CVE-2025-8058
	- gnutls: CVE-2025-32989, CVE-2025-32988, CVE-2025-32990, CVE-2025-6395
	- python3: CVE-2025-8194
	- libhtp: CVE-2025-53537
	- tiff: CVE-2025-8176, CVE-2025-8177
	- libglib2: CVE-2025-6052
	- ofono: CVE-2023-2794, CVE-2024-7537, CVE-2024-7539, CVE-2024-7540,
	    CVE-2024-7541, CVE-2024-7542
	- elfutils: CVE-2025-1352, CVE-2025-1365, CVE-2025-1371, CVE-2025-1372,
	    CVE-2025-1376, CVE-2025-1377
	- grub2: CVE-2024-45777, CVE-2024-45778, CVE-2024-45779,
	    CVE-2024-45780, CVE-2024-45782, CVE-2024-56737, CVE-2024-56738,
	    CVE-2025-0678, CVE-2025-0684, CVE-2025-0685, CVE-2025-0686,
	    CVE-2025-0689, CVE-2025-1125
	- openjpeg: CVE-2025-54874
	- go: CVE-2025-4674, CVE-2025-47907
	- gst1-plugins-base: CVE-2025-47806, CVE-2025-47807
	- gst1-plugins-good: CVE-2025-47219, CVE-2025-47183
	- vorbis-tools: CVE-2023-43361
	- quickjs: CVE-2025-46688
	- libde265: CVE-2024-38949, CVE-2024-38950
	- vim: CVE-2024-41957, CVE-2024-41965, CVE-2024-45306, CVE-2024-47814,
	    CVE-2025-1215, CVE-2025-22134, CVE-2025-24014, CVE-2025-26603,
	    CVE-2025-29768, CVE-2025-53905, CVE-2025-53906
	- ffmpeg: CVE-2023-6602
	- lighttpd: CVE-2025-8671
	- python-h2: CPE-2025-57804
	- cpp-httplib: CVE-2025-46728
	- iperf3: CVE-2025-54349, CVE-2025-54350

	Removed package: liboauth, thttpd

	Removed defconfig: at91sam9g20dfc, at91sam9g45m10ek,
	at91sam9rlek, bananapro, beelink_gs1, chromebook_snow, galileo,
	odroidxu4, orangepi_lite2, orangepi_one_plus, pcengines_apu2,
	pine64_sopine, riotboard, rock64, rock_pi_n8, socrates_cyclone5,
	toradex_apalis_imx6, ts7680, engicam_imx6*, kontron_pitx_imx8m, imx6ulz_bsh_smm_m2,

	Test Improvements:

	- test_gstreamer1: raise tesseract-ocr timeout to 15s
	- test_wine: fix test after bootlin toolchains update
	- test_numactl: fix test after bootlin toolchains update
	- test_dpdk: fix test after bootlin toolchains update
	- test_msr_tools: fix test after bootlin toolchains update
	- test_dmidecode: fix test after bootlin toolchains update
	- test_iso9660: use a more recent toolchain
	- test_gruby: use glibc toolchain
	- test_wget: replace thttpd by Busybox's httpd server
	- test_libcurl: replace thttpd by Busybox's httpd server
	- test_systemd_selinux: fix test after bootlin toolchains update

	Updated / fixed packages: python-propcache, pipewire, apache, xinetd,
	libssh, glibc, libhtp, libapparmor, php-pecl-dbus, tini, snooze, ngrep,
	libzenoh-pico, janet, nanocom, rtl8189es, gcc, ofono, python-numpy,
	elfutils, libtracefs, tinyssh, start-stop-daemon, bcusdk, prboom,
	setserial, grub2, openjpeg, go, gstreamer1, gst1-plugins-base,
	gst1-plugins-good, gst1-plugins-bad, gst1-plugins-ugly, gst1-devtools,
	gst1-libav, gst1-python, gst1-rtsp-server, gst1-vaapi,
	gstreamer1-editing-services, vorbis-tools, quickjs, libde265, vim,
	ffmpeg, libv4l, python-yarl, lirc-tools, b43-firmware, tcpreplay,
	libsvgtiny, libsoxr, lighttpd, uclibc, vde2, libcap-ng, python-h2,
	squid, ipmitool, ell, proftpd, liblog4c-localtime, wpewebkit, weston,
	cpp-httplib, ipset, iperf3

	Infrastructure updates/fixes:
	- Various tweaks to utils/generate-cyclonedx for better SBOM
	  compatibility and project name/version customization
	- go: make pre-built compiler provide target support too
	- test-pkg: add new option -T/--toolchain-name
	- pkg-utils.mk: include package directory in show-info output
	- bump-stable-kernel-versions: new tool

	Boards updated / fixed:

	- qemu_sh4*: switch back to disk emulation
	- acmesystems_acqua_a5_*: update linux
	- sipeed_licheepi_zero: update linux & uboot
	- zynqmp: increase vfat partition to 64M
	- qemu_{arm,aarch64}_{ebbr,sbsa}*: linux needs host python3
	- canaan_kd233, sipeed*: use BR2_LINUX_KENREL_IMAGE_TARGET_NAME
	- ci20: U-Boot needs host-openssl

2025.02.5, released August 11, 2025

    Important / security related fixes:
    - Bump mbedtls to version 3.6.4, this affect many packages depending on it.
        Also fixes CVE-2025-47917, CVE-2025-48965, CVE-2025-49087,
        CVE-2025-49600, CVE-2025-49601, CVE-2025-52496, CVE-2025-52497
    - samba4: support Windows security hardening
    - apache: CVE-2025-53020, CVE-2025-49812, CVE-2025-49630, CVE-2025-23048,
        CVE-2024-47252, CVE-2024-43394, CVE-2024-43204, CVE-2024-42516,
        CVE-2025-54090
    - assimp: CVE-2025-2750, CVE-2025-2751, CVE-2025-2757, CVE-2025-3158
    - clamav: CVE-2025-20260
    - edk2: CVE-2024-38805
    - git: CVE-2025-27613, CVE-2025-27614, CVE-2025-46835, CVE-2025-48384,
        CVE-2025-48385, CVE-2025-48386
    - jose: CVE-2023-50967
    - libarchive: CVE-2025-5914, CVE-2025-5915, CVE-2025-5916, CVE-2025-5917,
        CVE-2025-5918
    - libavif: CVE-2025-48174, CVE-2025-48175
    - libblockdev: CVE-2025-6019
    - libbpf: CVE-2025-29481
    - libheif: CVE-2025-43966, CVE-2025-43967
    - libhtp: CVE-2024-45797
    - libsoup: CVE-2024-52530, CVE-2024-52531, CVE-2024-52532, CVE-2025-2784,
        CVE-2025-4476, CVE-2025-4948, CVE-2025-4969, CVE-2025-32050,
        CVE-2025-32052, CVE-2025-32053, CVE-2025-32906, CVE-2025-32910,
        CVE-2025-32911, CVE-2025-32912, CVE-2025-32913, CVE-2025-32914,
        CVE-2025-46420, CVE-2025-46421
    - libxml2: CVE-2025-6021, CVE-2025-6170, CVE-2025-49794, CVE-2025-49796,
        CVE-2025-49795
    - micropython: CVE-2024-8947
    - modsecurity2: CVE-2025-47947, CVE-2025-48866
    - orc: CVE-2024-40897
    - php: CVE-2025-1735, CVE-2025-6491, CVE-2025-1220
    - python-aiohttp: CVE-2025-53643
    - python-starlette: CVE-2025-54121
    - python-urllib3: CVE-2025-50181, CVE-2025-50182
    - python3: CVE-2024-12718, CVE-2025-4138, CVE-2025-4330, CVE-2025-4435,
        CVE-2025-4517
    - redis: CVE-2025-32023, CVE-2025-48367
    - shim: CVE-2024-2312
    - sngrep: CVE-2024-3119, CVE-2024-3120
    - sudo: CVE-2025-32462, CVE-2025-32463
    - tcpreplay: CVE-2023-4256, CVE-2023-43279, CVE-2024-22654
    - tinyxml: CVE-2023-34194
    - wpewebkit: CVE-2024-27856, CVE-2024-40866, CVE-2024-44185,
        CVE-2024-44187, CVE-2024-44192, CVE-2024-44244, CVE-2024-44296,
        CVE-2024-44308, CVE-2024-44309, CVE-2024-54467, CVE-2024-54479,
        CVE-2024-54502, CVE-2024-54505, CVE-2024-54508, CVE-2024-54534,
        CVE-2024-54543, CVE-2024-54551, CVE-2024-54658, CVE-2025-24143,
        CVE-2025-24150, CVE-2025-24158, CVE-2025-24162, CVE-2025-24201,
        CVE-2025-24208, CVE-2025-24209, CVE-2025-24213, CVE-2025-24216,
        CVE-2025-24223, CVE-2025-24264, CVE-2025-30427, CVE-2025-31204,
        CVE-2025-31205, CVE-2025-31206, CVE-2025-31215, CVE-2025-31257
    - xorg-server / xwayland: CVE-2025-49175, CVE-2025-49176, CVE-2025-49177,
        CVE-2025-49178, CVE-2025-49179, CVE-2025-49180

    Updated / fixed packages: avrdude, berkeleydb, binutils, bmx7, boot/shim,
    boot/syslinux, ca-certificates, chartjs, cifs-utils, cpp-httplib, cpulimit,
    daq, elfutils, eudev, fwupd, gcc, gnuplot, gstreamer1-editing-services,
    gumbo-parser, gvfs, haproxy, hddtemp, kvmtool, libargtable, libcddb,
    libconfuse, libcrossguid, libcurl, libesmtp, libgcrypt, libiec61850,
    libmanette, libmicrohttpd, libmpeg2, libndp, libopenssl, libp11, libssh2,
    libuhttpd, libva, linux, linux-tools (rtla), lrzsz, ltp-testsuite, lua,
    modem-manager, modsecurity2, mosquitto, mpv, mupdf, ncmpc, net-tools,
    network-manager, nginx-modsecurity, ntp, oniguruma, openblas, orc, parted,
    python-asgiref, python-cython, python-dbus-fast, python-fastapi,
    python-future, python-msgpack, python-multipart, python-remi,
    python-setuptools, qpid-proton, rauc-hawkbit-updater, rtl8188eu, rtl8723bu,
    rtl8723ds, rtl8821au, rust, shadowsock-libev, shairport-sync, sox, sqlite,
    squashfs, systemd, tailscale, tor, uclibc, ustream-ssl, watchdog,
    webkitgtk, xen

    Removed package: libolm, libwebsock

    Infrastructure updates / fixes:
    - python-glslang is now a host package only
    - Makefile unexports are now fixed and sorted
    - Hide GCC versions for unsupported CPUs
    - check-package: handle missing files
    - test-pkg: stop on sigint
    - check-host-cmake.mk: set host-cmake max version
    - toolchain/toolchain-wrapper.c:
        - correct CCACHE_BASEDIR comment
        - slightly simplify cmdline copying
        - get rid of EXCLUSIVE_ARGS

    Test improvements:
    - nginx-modsecurity: new test
    - gumbo-parser: new runtime test
    - add a crun-based runtime test for docker-compose
    - test_xen: add a base class
    - test_xen: test on 32-bit Arm v7
    - test_xen: rename TestXen to TestXenAarch64

    Boards updated / fixed:
    - globalscale_espressobin: update linux
    - freescale/mxs: fix linux booting
    - ti_am62x_sk: bump Linux version
    - raspberrypi5: fix failing build because of missing in-kernel dts

2025.02.4, released June 23th, 2025

	Important / security related fixes:

	- assimp: CVE-2025-3015, CVE-2025-3016
	- binutils: CVE-2025-3198
	- connman: CVE-2025-32366, CVE-2025-32743
	- go: CVE-2025-0913, CVE-2025-4673, CVE-2025-22874
	- iputils: CVE-2025-47268, CVE-2025-48964
	- jq: CVE-2024-23337, CVE-2025-48060, CVE-2024-53427
	- libcurl: CVE-2025-4947, CVE-2025-5025, CVE-2025-5399
	- net-tools: CVE-2025-46836
	- nodejs: CVE-2025-23165, CVE-2025-23166
	- openvmtools: CVE-2025-22247
	- python-django: CVE-2025-48432
	- python-requests: CVE-2024-47081
	- python-tornado: CVE-2025-47287
	- redis: CVE-2025-21605, CVE-2025-27151
	- samba4: CVE-2025-0620
	- sox: CVE-2021-23159, CVE-2021-23172, CVE-2021-23210, CVE-2021-3643,
	  CVE-2021-40426, CVE-2022-31650, CVE-2022-31651, CVE-2023-26590,
	  CVE-2023-32627, CVE-2023-34318
	- webkitgtk: CVE-2025-24223, CVE-2025-31204, CVE-2025-31205,
	  CVE-2025-31206, CVE-2025-31215, CVE-2025-31257

	Updated / fixed packages: alsa-utils, atkmm, atmm2_28, audit,
	bluez5_utils, busybox, catch2, connman, dbus-glib, dlib, dovecot,
	esp-hosted, execline, firmware-ele-imx, flex, fluent-bit, freescale-imx,
	ghostscript, gmrender-resurrect, grub2, gst1-plugins-bad, gtkmm3, iputils,
	kmsxx, libcamera, libcurl, libglade, libical, libuv, llvm-project,
	lm-sensors, m4, mesa3d, mongoose, openvmtools, php, protobuf-c,
	python-django, python-fastapi, python-flit-core, python-jc,
	python-requests, python-uvicorn, qt5 (declarative, webengine,
	webengine-chromium), qt6 (base, multimedia, tools), rpm, samba4, spdlog,
	systemd, uacme, uboot-tools, yasm

	Removed package: libebur128

	Infrastructure updates / fixes:

	- pkg-cmake now forces CMake>=3.5
	- pkg-meson now uses a dedicated buildroot build directory
	  see https://gitlab.com/buildroot.org/buildroot/-/issues/64
	- include defconfigs in sub-directories in make list-defconfigs
	- new manual section about private repositories
	- pkg-autotools: handle libtool 2.5.x
	- pkg-cmake: force check_language(CXX) to be false when building w/o C++
	- pkg-stats: add support for reporting stale CVE entries
	- add basic support for package file download over smb
	- toolchain/wrapper: check unsafe paths earlier
	- test_flutter: drop unneeded vga/vnc stanzas from QEMU invocation

	Test improvements

	- new python-pydantic runtime tests
	- new dieharder runtime test
	- test_xen: fix runtime test
	- test_timezone: fix test by setting a fixed time
	- new tree runtime test

	Boards fixes

	- imx6ulz-bsh-smm-m2: fix missing U-Boot
	- freescale: fix cpu name in i.MX9 boards
	- imx8mn-bsh-smm-s2: erase the entire NAND chip
	- freescale_t1040d4rdb: fix kernel build

	In addition, thanks to the new stale CVE reporting, reported
	vulnerabilities have been fixed for the following packages:
	busybox, dnsmasq, dovecot, exim, exim, freeradius-server, grub2,
	libopenh264, libssh, netsnmp, ninja, qt5base, ripgrep, sox, tinyxml

2025.02.3, released May 19th, 2025

	Build issues and other problems solved for packages:

        libcap

2025.02.2, released May 18th, 2025

	Important / security related fixes:

	- openvpn: CVE-2025-2704
	- ghostscript: CVE-2025-27830, CVE-2025-27831, CVE-2025-27832,
		CVE-2025-27833, CVE-2025-27834, CVE-2025-27835,
		CVE-2025-27836, CVE-2025-27837,
	- libfcgi: CVE-2025-23016
	- perl: CVE-2024-56406
	- mosquitto: CVE-2023-28366
	- c-ares: CVE-2025-31498
	- graphicsmagick: CVE-2025-32460, CVE-2025-27795
	- libxml2: CVE-2025-32414, CVE-2025-32415
	- wireshark: CVE-2025-1492
	- yam: CVE-2021-33454
	- sqlite: CVE-2025-29087
	- xz: CVE-2025-31115
	- python-django: CVE-2025-32873
	- libraw: CVE-2025-43961, CVE-2025-43962, CVE-2025-43963,
	    CVE-2025-43964
	- dropbear: CVE-2025-47203
	- intel-microcode: CVE-2025-24495, CVE-2024-28956, CVE-2024-43420,
	    CVE-2025-20103
	- openssh: CVE-2025-32728
	- screen: CVE-2025-23395, CVE-2025-46802, CVE-2025-46803,
	    CVE-2025-46804, CVE-2025-46805
	- python-flask: CVE-2025-47278
	- python-h11: CVE-2025-43859
	- postgresql: CVE-2025-4207

	Updated / fixed packages: sysklogd, libfcgi, double-conversion,
	igh-ethercat, c-periphery, socat, lua-periphery, fluent-bit,
	samba4, ca-certificates, dbus-cxx, atkmm2_28, pangomm2_46,
	cairomm1_14, glibmm2_66, gtkmm3, file, opencsd, libopenmpt,
	fwts, libtracefs, iproute2, ripgrep, bat, dust, trace-cmd,
	libubootenv, micropython, python-cryptography, dnsmasq,
	wireless-regdb, python-setuptools, libuci, libubox, ubus, waf,
	armadillo, ncftp, expat, libxml2, wireshark, hiredis, zfs,
	sunxi-mali-utgard-driver, ruby, mtools, hwdata, traceroute,
	zic, tzdata, jo, gdb, tpm2-pkcs11, nss-pam-ldapd, ghostscript,
	dropbear, intel-microcode, screen, python-flask, python-h11,
	mariadb, ffmpeg, postgresql

	Test Improvements:

	- test_edk2: add a few build tests
	- weston: fix the weston shutdown test
	- lighttpd: runtime test
	- openocd: runtime test
	- hyperfine: runtime test
	- python-urllib3: runtime test
	- test_edk2: add macchiatobin build test
	- bat: runtime test
	- dust: runtime test

	Infrastructure updates / fixes:

	- libopenh264: ignore CVE-2025-27091
	- edk2: drop dependency on tf-a for macchiatobin
	- vim: extend comment about vi symlink
	- board/raspberrypi/readme.txt: various improvements
	- raspberrypi5: install Raspberry Pi 500 device-tree blob
	- gen-bootlin-toolchains: allows armv8-a CPU to use armv7-a toolchains
	- libsigrokdecode: needs python3 w/ zlib support
	- dejavu: update homepage
	- pulseview: fix, update, and reorganise dependencies
	- boost: move host variables closer together
	- boost: move target library selection variables closer together
	- support/download/git: use FOO_DL_OPTS
	- stm32mp135f_dk: fix optee hash
	- libcamera: various fixes
	- apparmor don't reference libapparmor variables
	- rpi-firmware: add note to keep in sync with kernel
	- python-sdbus: fix upstream url
	- qt5webengine: drop unused file
	- warp7: Improve Wifi instructions
	- cryptopp: add upstream URL in help text
	- dpdk: fixup Config.in comment about dependencies
	- ffmpeg: add support for libopenmpt
	- pkg-stats: fix typo in --disable help text
	- imx28evk: enable BR2_DOWNLOAD_FORCE_CHECK_HASHES
	- friendlyarm_nanopi_r3s: fix host linux headers custom version
	- support/dependencies/dependencies.sh: awk is needed by Buildroot
	- Config.in: introduce BR2_HOST_GCC_AT_LEAST_{12..15}
	- dbus: set session-socket-dir to /tmp
	- fs/erofs: unbreak custom compression handling
	- nodejs: make target nodejs package virtual
	- mpd: update CPE/CVE information
	- Various fix for GCC15 host

	Build issues and other problems solved for packages:

	sqlite, pahole, libv4l, arm-trusted-firmware, libopenmpt, iptables,
	tailscale, wilc-driver, rtl8188eu, rtl8723ds, lmbench, fluent-bit,
	mosquitto, iproutes2, pixman, linux-tools, libcoap, libcamera,
	strongswan, mpv, hiredis, zfs, bird, netsnmp, libcap, musepack,
	ffmpeg, libqrencode

2025.02.1, released April 22nd, 2025

	Changes with potentially large impact:

	- gstreamer1 and related packages: updated from 1.22.x to 1.24.x.
	  1.22.x was already EOL when Buildroot 2025.02 was released, so
	  GStreamer should really already have been udpated to 1.24.x.
	  This update was needed to fix a lot of vulnerabilities.
	- frr: updated from 9.1.3 to 10.3. Version 9 is no longer
	  maintained upstream, and not in any distro either. This update
	  was needed to fix a vulernability.

	Important / security related fixes:

	- libmodsecurity: CVE-2025-27110.
	- tinyxml2: CVE-2024-50615.
	- xserver_xorg-server & xwayland: CVE-2024-9632, CVE-2025-26594,
	    CVE-2025-26595, CVE-2025-26596, CVE-2025-26597,  CVE-2025-26598,
	    CVE-2025-26599, CVE-2025-26600, CVE-2025-26601.
	- exim: CVE-2025-30232.
	- mbedtls: CVE-2025-27809, CVE-2025-27810.
	- libfreeglut: CVE-2024-24258, CVE-2024-24259.
	- libopenh264: CVE-2025-27091.
	- gstreamer1: CVE-2024-47834, CVE-2024-47835, CVE-2024-47778,
	    CVE-2024-47777 CVE-2024-47776, CVE-2024-47775, CVE-2024-47774,
	    CVE-2024-47615, CVE-2024-47613, CVE-2024-47607, CVE-2024-47606,
	    CVE-2024-47603, CVE-2024-47602, CVE-2024-47601, CVE-2024-47600,
	    CVE-2024-47599, CVE-2024-47598, CVE-2024-47597, CVE-2024-47596,
	    CVE-2024-47546, CVE-2024-47545, CVE-2024-47544, CVE-2024-47543,
	    CVE-2024-47542, CVE-2024-47541, CVE-2024-47540, CVE-2024-47539,
	    CVE-2024-47538, CVE-2024-47537.
	- augeas: CVE-2025-2588.
	- libndp: CVE-2024-5564.
	- python-jinja2: CVE-2025-27516.
	- python-django: CVE-2025-26699.
	- libarchive: CVE-2024-57970, CVE-2025-1632.
	- frr: CVE-2024-55553.

	Updated / fixed packages: libmodsecurity, intel-mediadriver,
	intel-vpl-gpu-rt, python-aerich, python-aiohttp, python-maturin,
	python-tortoise-orm, python-sqlalchemy, kodi-pvr-waipu, tor, mc,
	tinyxml2, libgeos, intel-vpl-gpu-rt, intel-mediadriver, ruby,
	ncftp, xserver_xorg-server, exim, mbedtls, gdb, freerdp, uclibc,
	libsoup3, cairo, zabbix, armadillo, spdlog, go, linux, linux-tools,
	gstreamer, linux-header, ethtool, apr, mali-driver, libcoap, libcap
	python-fastapi, python-twisted.

	Test Improvements:

	- linux-tools: selftests: Add path containing BPF binary.
	- testing: make time setting portable.
	- testing: set date in emulated machine.
	- testing: add git runtime test.
	- test_gstreamer1: fix test by using bootlin toolchain.

	Infrastructure updates/fixes:

	- kconfig: Handle backspace (^H) key.
	- xilinx-embeddedsw: fix menuconfig visualization.
	- DEVELOPERS: change arnout's address.
	- support/download/svn: use 'svn info' whith LC_ALL=C
	- glibc: disable on RISC-V ilp32f and lp64f, not supported.
	- dillo: Fix an issue related to _SITE url for make show-info.
	- pkg-stats: add -v/--verbose option

	Build issues/problems solved for packages:

	dillo, freerdp, freeswitch, gdb, glibc, linux-tools,
	mesa3d-demos, ncftp, tesseract-ocr,
	v4l2loopback, zabbix

2025.02, released March 17th, 2025

	Various fixes.

	Updated/fixed packages: expat, fio, libopenssl, php, rauc,
	rt-tests

2025.02-rc2, released March 13th 28th, 2025

	Fixes all over the tree.

        Linux: Support device tree overlays and support custom device
        tree files with Linux >= 6.12, which changed the build
        logic. For this a new BR2_LINUX_KERNEL_CUSTOM_DTS_DIR option
        has been introduced and the existing _CUSTOM_DTS_PATH option
        deprecated.

	Updated/fixed packages: compiler-rt, elfutils, fluidsynth,
	freescale-imx, go, jbig2dec, libcamera, libcdio, libjxl, musl,
	optee-os, postgresql, prboom, sqlite, systemd, util-linux,
	webkitgtk

2025.02-rc1, released February 28th, 2025

	Fixes all over the tree and new features.

        Nios2 architecture support removed.

	Toolchain:

        - binutils 2.44 added, binutils 2.43.1 becomes the default.

        - gdb 16.1 added, gdb 15.1 becomes the default.

        - glibc 2.41, uclibc-ng 1.0.51

        - Synopsys external ARC toolchains marked as broken as they
          are not "bare" toolchains, causing various build issues

        - ARM external toolchains bumped to 12.4.rel1 and are now also
          available for Aarch64 build machines

        Infrastructure:

        - utils/generate-cyclonedx script added to generate SBOM in
          CycloneDX format. To use it, run

            make show-info | utils/generate-cyclonedx > sbom.json

        new defconfigs: FriendlyARM NanoPi R3S, NXP imx8mm-evk /
        imx8mm-ddr4 /imx8mp-evk / imx93-evk / ls1043a-rdb /
        ls1046a-rdb, Orangepi 5 plus, Polyhex Debix model A,
        Raspberrypi zero 2w 64bit, Raxda rock 4SE, STM STM32MP135F-DK

	New packages: bmap-writer, cpuinfo, cross-ldd, farmhash,
	fft2d, fp16, gemmlowp, libecoli, libglib2-bootstrap, lynis,
	nxp-bt-wifi-firmware, nxp-mwifiex, panel-mipi-dbi-firmware,
	parsec, psimd, pthreadpool, python-aiohttp-sse-client,
	python-asyncclick, python-changelog-chug, python-telnetlib3,
	python-waitress, qt6graphs, qt6multimedia, qt6quick3d,
	rnnoise, ruy, snooze, tensorflow-lite, usbip, utfcpp,
	wlr-randr, xilinx-embeddedsw, xnnpack

        Removed packages: angularjs, angular-websocket, directfb,
        directfb-examples, fconfig, genromfs, giblib, gst-omx,
        hiwatha, latencytop, libhid, linux-fusion, lite, mimic,
        mongodb, obsidian-cursors, python-m2crypto, quagga, ramsmp,
        w_scan

	Issues resolved:
	- bluetooth.service cannot connect to D-BUS
	  https://gitlab.com/buildroot.org/buildroot/-/issues/65
        - gdb package doesn't have a licence hash in the gdb.hash file
          https://gitlab.com/buildroot.org/buildroot/-/issues/66
	- package/libsha1: Build failure with GCC 14 [-Wimplicit-int]
	  https://gitlab.com/buildroot.org/buildroot/-/issues/69
	- samba4 build failed in master
	  https://gitlab.com/buildroot.org/buildroot/-/issues/86

2024.11.4, released April 22nd, 2025

	Important / security related fixes:

	- xserver_xorg-server & xwayland: CVE-2024-9632, CVE-2025-26594,
	    CVE-2025-26595, CVE-2025-26596, CVE-2025-26597,  CVE-2025-26598
	    CVE-2025-26599, CVE-2025-26600, CVE-2025-26601.
	- exim: CVE-2025-30232.
	- mbedtls: CVE-2025-27809, CVE-2025-27810.
	- augeas: CVE-2025-2588.
	- libarchive: CVE-2024-57970, CVE-2025-1632, CVE-2025-25724.
	- xwayland: CVE-2024-31081, CVE-2024-31083, CVE-2024-9632,
	    CVE-2025-26594, CVE-2025-26595, CVE-2025-26596,
	    CVE-2025-26597, CVE-2025-26598, CVE-2025-26599,
	    CVE-2025-26600, CVE-2025-26601
	- libopenh264: CVE-2025-27091.
	- libmodsecurity: CVE-2025-27110.
	- tinyxml2: CVE-2024-50615.

	Updated/fixed packages:

	libgeos, freerdp, libsoup3, cairo, linux, apr, mali-driver,
	libcoap, python-fastapi, python-twisted, tor, mc, linux-header,
	linux-tools.

	Test Improvements:

	- linux-tools: selftests: Add path containing BPF binary.
	- testing: add git runtime test.

	Infrastructure updates/fixes:

	- DEVELOPERS: change arnout's address.
	- DEVELOPERS: add Dario Binacchi for ti-k3-boot-firmware.
	- support/download/svn: use 'svn info' whith LC_ALL=C**.
	- dillo: Fix an issue related to _SITE url for make show-info.
	- kconfig: Handle backspace (^H) key.
	- pkg-stats: add -v/--verbose option

	Build issues/problems solved for:

	freeswitch, glibc, v4l2loopback, ls1028ardb, ls1028ardb,
	mesa3d-demos.

2024.11.3, released March 24st, 2025

	Important / security related fixes.

	Defconfigs: Octavo osd23mp1: Fix TF-A/Linux compilation after
	move to newer toolchain versions.

	Updated/fixed packages: compiler-rt, exim, expat, fio, foot,
	go, jbig2dec, libcamera, libjxl, libopenssl, libxml2, mokutil,
	musl, optee-os, php, pkgconf, postgresql, prboom,
	python-typing-extensions, rauc, systemd, util-linux,
	watchdogd, webkitgtk

2024.11.2, released February 21st, 2025

	Important / security related fixes.

	Infrastructure: support/script/genimage.sh: exit on errors

	Defconfigs: ti_am62ax_sk: Include PMIC driver to fix boot
	issue

	Updated/fixed packages: acpica, apache, assimp, asterisk,
	bind, busybox, clamav, curlpp, dillo, elfutils, fakeroot,
	ffmpeg, freetype, git, glibc, gnu-efi, gnutls, go, gpsd,
	heimdal, imagemagick, intel-microcode, kodi, libbsd, libcurl,
	libopenssl, libtasn1, libxml2, mdnsd, mpg123, musl, nettle,
	nginx, nodejs, openjpeg, openssh, openvpn, php, pipewire,
	postgresql, python-django, python3, redis, rsync, socat,
	swipl, syslinux, tor, tzdata, uclibc, uemacs, unbound,
	usbutils, util-linux, webkitgtk, xen, zic, zlog, zstd,
	zxing-cpp

	Issues resolved:
	- samba4 build failed in master
	  https://gitlab.com/buildroot.org/buildroot/-/issues/86

2024.11.1, released January 9th, 2025

	Important / security related fixes.

        Infrastructure:

        - Ensure CONFIG_TRIM_UNUSED_KSYMS is disabled when building
          external Linux kernel modules

	Updated/fixed packages: apr, bc, bluez5_utils, c-icap,
	cryptodev-linux, dahdi-linux, dpdk, freeipmi, gdb, gnupg2,
	gnuplot, gnutls, go, gobject-introspection, grub2, gst-omx,
	gst1-devtools, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, igt-gpu-tools, iperf3, libcurl,
	libsha1, libsndfile, libsoup3, libvirt, libxcrypt, libxml2,
	libzenoh-pico, linux, linux-pam, netatalk, nettle, octave,
	opensc, perl, php, pixman, polkit, procps-ng,
	python-autocommand, python-django, python3, quickjs, samba4,
	skeleton, subversion, ti-k3-r5-loader, tzdata, v4l2loopback,
	wayland, webkitgtk, weston, wget, wireshark, wpewebkit,
	xr819-xradio, xxhash, zfs, zic

	Issues resolved:
	- bluetooth.service cannot connect to D-BUS
	  https://gitlab.com/buildroot.org/buildroot/-/issues/65
        - gdb package doesn't have a licence hash in the gdb.hash file
          https://gitlab.com/buildroot.org/buildroot/-/issues/66
	- package/libsha1: Build failure with GCC 14 [-Wimplicit-int]
	  https://gitlab.com/buildroot.org/buildroot/-/issues/69

2024.11, released December 8th, 2024

	Various fixes.

	Updated/fixed packages: eza, foot, gnutls, ibm-sw-tpm2,
	mosquitto, pixman

	Issues resolved:
        - procps-ng: builderror in 2024.08
          https://gitlab.com/buildroot.org/buildroot/-/issues/38

2024.11-rc3, released Decemmber 5th, 2024

	Fixes all over the tree.

	Updated/fixed packages: alsa-lib, android-tools, bats-core,
	doxygen, frr, gnutls, libvpl, linux-tools, lmbench, lrzsz,
	musl, nfs-utils, opkg, polkit, postgresql, procps-ng,
	python-psycopg2, quagga, rt-tests, rust, sexpect

2024.11-rc2, released November 23rd, 2024

	Fixes all over the tree.

	Updated/fixed packages: bmap-tools, go, intel-microcode,
	libblockdev, libcurl, libkrb5, libnvme, libpng, php,
	postgresql, python-sip, skopeo, tiff, util-linux-libs

2024.11-rc1, released November 13th, 2024

	Fixes all over the tree and package updates.

	Toolchain:

	- binutils 2.43 added, binutils 2.42 becomes the default.
	- glibc updated to 2.40
	- ARM, Bootlin and Synopsys external toolchains updated
	- Support added for ARM FDPIC, which allows to use shared
	  libraries on ARM noMMU targets

	Go support: allow using a pre-built Go compiler, using the new
	go-bin package.

	New defconfigs: friendlyarm_nanopi_neo, nvidia_bf3,
	stm32f746_disco_sd, ti_am62px_sk, versal_vek280

	Removed defconfigs: qemu_nios2_10m50

	New packages: andes-spi-burn, bfscripts, cpp-httplib, dlib,
	dpdk, evilwm, go-bin, iana-assignments, iotools, lua-uuid,
	oath-toolkit, perl-mime-base32, python-aiohappyeyeballs,
	python-aiomqtt, python-argcomplete, python-dotenv,
	python-dunamai, python-immutabledict, python-iterable-io,
	python-path, python-poetry-dynamic-versioning,
	python-propcache, python-proto-plus, python-psygnal,
	python-pyaml, python-pydantic-settings, python-pyqt5-sip,
	python-pysnmpcrypto, python-rgbmatrix, python-sdbus,
	python-sdbus-networkmanager, python-simple-websocket,
	python-tinyhtml5, python-zipstream-ng, qt6charts, qt6scxml,
	superiotool, tailscale, tinyinit, uefisettings

	Removed packages: bsdiff, popperjs

	Added tests: erofs filesystem, audit, dosfstools, dtc,
	exfatprogs, go-bin, iputils, oath-toolkit, parted, pppd, pv,
	pyqt5, python-sdbus, python-sdbus-networkmanager, rrdtool,
	unbound, which

	Issues resolved:
	- host rpath fixups misses needed directory
	  https://gitlab.com/buildroot.org/buildroot/-/issues/39
	- procps-ng: build failure when linking to systemd
	  https://gitlab.com/buildroot.org/buildroot/-/issues/28
	- ripgrep leaves /usr/crates2.json / .crates.toml files
	  https://gitlab.com/buildroot.org/buildroot/-/issues/17

2024.08.3, released December 8th, 2024

	Important / security related fixes.

	Defconfigs: fix mender_x86_64_efi_defconfig build on setups
	where /bin/sh is not bash.

	Updated/fixed packages: alsa-lib, android-tools, bats-core,
	bluez-alsa, bmap-tools, boost, checksec, ebtables, expat, fbv,
	ffmpeg, foot, frr, gnuplot, gnutls, intel-microcode, irssi,
	libcurl, libgit2, libkrb5, libmodbus, libpng, libvpl,
	linux-pam, linux-tools, lmbench, mbedtls, mosquitto, musl,
	musl-compat-headers, nfs-utils, ntp, php, picotool,
	postgresql, procps-ng, python-psycopg2, python-sip, qt6base,
	quagga, rt-tests, sexpect, sshguard, systemd, tiff, x11vnc

	Issues resolved:
	- procps-ng: builderror in 2024.08
	  https://gitlab.com/buildroot.org/buildroot/-/issues/38
	- fbv package download link is broken in long term support branch
	  https://gitlab.com/buildroot.org/buildroot/-/issues/73

2024.08.2, released November 14th, 2024

	Important / security related fixes.

	Updated/fixed packages: apache, asterisk, bind, cmake, criu,
	file, fluidsynth, ghostscript, heimdal, intel-microcode,
	iproute2, jailhouse, jsoncpp, libarchive, libcurl, libldns,
	libgit2, liblinear, libmdbx, libopenh264, libpng,
	libtraceevent, libxml2, ltrace, nethogs, nghttp2, ntp,
	openjdk, php, postgresql,procps-ng, python-pyqt5, python3,
	qemu, ruby, sqlite, sysvinit, tor, trace-cmd, wpebackend-fdo

	New packages: python-pyqt5-sip

2024.08.1, released October 20th, 2024

	Important / security related fixes.

	Per-package-directories fixes for the .gdbinit file and RPATH
	fixups for SDK.

	Legal-info: Ensure host-tar and redist directory exists when
	using override-srcdir, as otherwise the tarball generation
	(silently) fails.

	utils/check-package: Also check for correct indentation of
	help lines.

	A large number of typo fixes.

	Defconfigs: imx6slevk: Bump Linux kernel to 6.6.51 to fix
	build issue with GCC 13

	Updated/fixed packages: asterisk, aubio, bind, busybox, cairo,
	cryptsetup, cups, expat, ffmpeg, genpart, glibc, gnutls, go,
	grub2, libarchive, libcurl, libilbc, libpcap, lighttpd, linux,
	linux-pam, mosquitto, mtd, nginx, php, procps-ng, pure-ftpd,
	python-django, python3, qt6core5compat, qt6svg, qt6tools,
	rp-pppoe, samba4, sysklogd, wireplumber, wpewebkit, xenomai

	Issues resolved:
	- procps-ng: build failure when linking to systemd
	  https://gitlab.com/buildroot.org/buildroot/-/issues/28
	- orange pi 2w does not boot
	  https://gitlab.com/buildroot.org/buildroot/-/issues/36
	- glibc configure fails on aarch64 with mathvec SVE ACLE error
	  https://gitlab.com/buildroot.org/buildroot/-/issues/40
	- Kernel Build from Custom Git Repo fails with hash-error
	  https://gitlab.com/buildroot.org/buildroot/-/issues/46
	- package/linux-pam: Remove unneeded flex dependency
	  https://gitlab.com/buildroot.org/buildroot/-/issues/47

2024.08, released September 6th, 2024

	Various fixes.

        Fixed defconfigs: imx8mqevk: Bump TF-A, U-Boot and Linux to
        fix build with gcc 13.x

	Removed defconfigs: pandaboard

	Updated/fixed packages: aer-inject, arm-trusted-firmware,
	armadillo, babeld, cache-calibrator, clamav, fbdump, gerbera,
	libgtk4, libopenssl, mender, p910nd, tllist, wpa_supplicant

        Removed packages: midori

2024.08-rc3, released September 1st, 2024

	Fixes all over the tree.

	Removed defconfigs: mx25pdk

	Updated/fixed packages: chicken, comix-cursors, dovecot,
	dovecot-pigeonhole, elf2flt, enscript, fbset, freeipmi, gcc,
	grub2, libcuefile, libcurl, libglob, libuecc, norm, php,
	postgresql, proftpd, python-sqlparse, python3, sofia-sip,
	szip, unbound, x264, xserver_xorg-server, zabbix

	Removed packages: frotz

2024.08-rc2, released August 22nd, 2024

	Fixes all over the tree.

	Infrastructure: use "-ztext" rather than "-z text" in LDFLAGS
	to work around buggy build systems

	Defconfigs: Beaglev fire / Microchip mpfs icicle: Correct
	Linux/U-Boot tarballs, Raspberryi 5: Correct CPU setting,
	Zynqmp zcu106: use v1.0 DDR config, Zynqmp zcu10* / kria*:
	Correct U-Boot dependency

	Updated/fixed packages: aer-inject, asterisk, atop, aumix,
	avahi, botan, chicken, dc3dd, ffmpeg, flashrom, gnuradio,
	gnu-efi, gnutls, hiawatha, iperf3, iproute2, ledmon, libffi,
	libgpg-error, libkcapi, libpcap, mariadb, mdadm, ncurses,
	nginx, ntpsec, python-huepy, python-tpm2-pytss,
	python-unittest-xml-reporting, qt6base, qt6tools, skopeo,
	strongswan, systemd, uboot, uclibc, unbound, vboot-utils,
	wpa_supplicant, wpebackend-fdo

	Removed packages: fan-ctrl

2024.08-rc1, released August 8th, 2024

	Fixes all over the tree (especially related to GCC 14.x
	compatibility) and package updates.

	Toolchains:
	- uClibc updated to 1.0.49
	- GDB 15.x added, GDB 14.x now the default
	- GCC 14.x updated to GCC 14.2.0
	- Support for Linux 6.9/6.10 headers added

	Infrastructure:
	- Patches on packages are now applied with -F0, which means no
	  fuzz is accepted anymore.
	- Improvements to the canonical example of SysV init script

	New defconfigs: arm_fvp_ebbr, beagleplay, beaglev_fire,
	cubieboard1, imx6ulz_bsh_smm_m2_defconfig, raspberrypi5,
	spike_riscv32. ti_am62ax_sk, versal_vpk180

	Removed defconfigs: beagleboardx15, beaglev, imx8mpico

	New packages: blake3, chicken, cloudfared, docker-cli-buildx,
	espflash, fd, freescale-imx/firmware-upower, fwupd, fwupd-efi,
	gtkiostream, graphene, kmon, libavif, libdex, libgtk4,
	libjcat, libopenmpt, libtpms, mxt-app, nethogs, openconnect,
	parsec-tool, pico-sdk, picotool, python-aerich,
	python-autocommand, python-betterproto, python-configobj,
	python-grpclib, python-inflect, python-jaraco-collections,
	python-jaraco-context, python-jaraco-text, python-pyasynchat,
	python-pyasyncore, python-dictdiffer, python-pkgconfig,
	python-pypika-tortoise, python-ruamel-yaml-clib,
	python-tomlkit, python-tomli-w, python-tpm2-pytss,
	python-tortoise-orm, python-uswid, qt6declarative,
	qt6languageserver, qt6mqtt, qt6opcua, qt6shadertools,
	qt6tools, qt6virtualkeyboard, qt6wayland, qt6websockets,
	skopeo, sqlitecpp, swipl, swtpm, tig, tipidee, tpm2-openssl,
	xilinx-prebuilt, zoxide

	Removed packages: beaglev-ddrinit, beaglev-secondboot,
	beecrypt, cgic, dvb-apps, gamin

	New runtime tests: 4th, attr, atftp, bcc, btrfs, btrfsprogs,
	dmidecode, go, gpsd, iproute2, kmod, lame, make, mariadb,
	mawk, mosquitto, nmap, ntp, python-asn1crypto, python-pymupdf,
	python-ruamel-yaml, rt-tests, swipl, vorbis-tools, xfsprogs

	Issues resolved:
	- Are there plans to add raspberrypizero2w_64_defconfig config?
	  https://gitlab.com/buildroot.org/buildroot/-/issues/1
	- Some folders can't visit and some file is missing while running
	  https://gitlab.com/buildroot.org/buildroot/-/issues/2
	- wpewebkit build fails on ARM Neon
	  https://gitlab.com/buildroot.org/buildroot/-/issues/3
	- TAR-1.35 will not build for target (host-variant will build)
	  https://gitlab.com/buildroot.org/buildroot/-/issues/4
	- package/xz without shared libraries breaks Python build
	  https://gitlab.com/buildroot.org/buildroot/-/issues/5
	- unable to build - 404 at sources.buildroot.net
	  https://gitlab.com/buildroot.org/buildroot/-/issues/10
	- OpenSSH 9.8 broken
	  https://gitlab.com/buildroot.org/buildroot/-/issues/11
	- Update Openssh to Version 9.8p1 (CVE-2024-6387) in Long Term
	  Support Release 2024.02.x
	  https://gitlab.com/buildroot.org/buildroot/-/issues/14
	- Toolchain (host-gcc-final-14.1.0) build failure with
	  y2038/BR2_TIME_BITS_64 enabled
	  https://gitlab.com/buildroot.org/buildroot/-/issues/16
	- building go/golang gives error
	  https://gitlab.com/buildroot.org/buildroot/-/issues/18
	- GCC 13.3 is missing
	  https://gitlab.com/buildroot.org/buildroot/-/issues/20
	- package containerd update to avoid hanging docker exec
	  commands
	  https://gitlab.com/buildroot.org/buildroot/-/issues/21
	- "BR2_EXTERNAL broken missing srctree error Config.in"
	  https://gitlab.com/buildroot.org/buildroot/-/issues/24
	- Can't subscribe buildroot mailing list
	  https://gitlab.com/buildroot.org/buildroot/-/issues/25

2024.05.3, released September 9th, 2024

	Important / security related fixes.

        A large number of GCC 14.x compilation fixes and additional
        runtime tests.

        Infrastructure:
        - Be more robust against text files (for package hashes and
          users) incorrectly missing a terminating newline.

        - Fix various issues with the pkg-kconfig infrastructure and
          per-package-directories builds
          (BR2_PER_PACKAGE_DIRECTORIES).

	Updated/fixed packages: aer-inject, am335x-pru-package,
	apache, apr, apr-util, attr, augeas, autossh, bandwidthd,
	bcusdk, boost, brcm-patchram-plus, btrfs-progs, busybox,
	can-utils, coreutils, cpuload, cryptsetup, cwiid, dhrystone,
	dvb-apps, elfutils, faifa, fetchmail, ffmpeg, fluent-bit,
	fluidsynth, freerdp, gcc, gcc-bare-metal, gdb, gnutls, gpsd,
	hiawatha, hostapd, htop, ibm-sw-tpm2, intel-microcode, iperf3,
	iproute2, ksmbd-tools, libcli, libcoap, libcurl, libest,
	libfreefare, libgtk3, libngs, libpwquality, libressl, libupnp,
	libxml2, libxslt, lrzsz, mdio-tools, micropython,
	mjpg-streamer, mokutil, mpir, ncftp, nginx, nodejs, odb,
	open-iscsi, openldap, openswan, openvpn, pistache, procps-ng,
	python-django, quotatool, rtty, ruby, sconeserver, speex,
	swaybg, tar, tftpd, tinyssh, uclibc, uclibc-ng-test, unbound,
	uuu, vorbus-tools, wpewebkit, zfs, zsh

        Issues resolved:
	- TAR-1.35 will not build for target (host-variant will build)
	  https://gitlab.com/buildroot.org/buildroot/-/issues/4
	- Toolchain (host-gcc-final-14.1.0) build failure with
	  y2038/BR2_TIME_BITS_64 enabled
	  https://gitlab.com/buildroot.org/buildroot/-/issues/16

2024.05.2, released August 14th, 2024

	Important / security related fixes.

	Various minor improvements to utils/check-package

	Defconfigs: Add download hashes for chromebook-elm,
	chromebook-snow and stm32mp157a_dk1

	Updated/fixed packages: android-tools, bcc, bitcoin, boost,
	btrfs-progs, c-ares, cdrkit, check, containerd, directfb,
	dump1090, ed, exim, fail2ban, frotz, fwts, gcc, gdb, go, gpm,
	kexec, libarchive, libgeos, libressl, llvm, mupdf, ncftp,
	nodejs, ntpsec, octave, openssh, pppd, python-mupdf,
	python-ruamel-yaml, qt5webkit, rawk-hawkbit-updater,
	rtl8188eu, snappy, squid, sunxi-tools, syslinux, systemd,
	tcf-agent, tftpd, ubus, util-linux, uvw, webkitgtk, wolfssl,
	wpewebkit, x265, xlib_libxshmfence, xvisor

	Issues resolved (http://bugs.uclibc.org):

	#15231: gcc --help -v doesn't work correctly with gcc>=10 and..

2024.05.1, released July 13th, 2024

	Important / security related fixes.

	Infrastructure: Ensure support/scripts/apply-patches can be
	used outside Buildroot (regression in 2024.05).

	Defconfig: Pine64 rockpro64: Build ethernet driver in kernel
	rather than as module. QEMU sh4: Change to initramfs to
	workaround regression in QEMU. Visionfive2: Correct kernel
	headers version

	Updated/fixed packages: apache, avro-c, daq, dav1d,
	fluent-bit, ghostscript, glibc, libmad, libopenssl,
	linux-firmware, mesa3d, network-manager, ntp, nut, octave,
	openssh, openvpn, php, raspberrypi-usbboot, redis, sentry-cli,
	tor, uuu, vlc, xmrig, znc

2024.05, released June 12th, 2024

	Various fixes.

	Infrastructure: Ensure a custom tar program specified with
	make TAR=/path/to/custom/tar is used everwhere.

	Defconfigs: Fix build issues and runtime warnings for
	Beaglebone qt5, Qemu ppc64/le pseries, TI am62x/am64x.

	Add hashes for Beaglebone qt5, imx8mn bsh sm s2 / pro,
	stm32f429 disco XIP, stm32f769 disco sd.

	Updated/fixed packages: bc, collectd, composer, cvs,
	docker-compose, flutter-engine, git, liblockfile, libzenoh-c,
	lightning, nginx, p11-kit, python-lxml, python3, qt6base,
	rrdtool, sofia-sip, syslog-ng, systemd, uclibc, unixodbc

2024.05-rc2, released June 4th, 2024

	Fixes all over the tree.

	Download:
	- Dropped the (noop) --passive-ftp option from default wget
	  options for compatibility with wget2

	- Fixed an issue with the generated archives (for
	  git/svn/cargo/go) when multiple packages share an archive
	  (E.G. linux vs linux-headers).

	Defconfigs: Fix build issue with binutils 2.41+ for
	Acmesystems Aria / Arietta, add download hashes for a number
	of defconfigs. Fix FIT external position for i.MX8 boards

	Updated/fixed packages: dnsmasq, docker-compose, doom-wad,
	ebtables, esp-hosted, file, freeradius-client,
	freeradius-server, go, kmod, libmnl, libnetfilter_acct,
	libnetfilter_log, linux, luarocks, lynx, makedumpfile,
	micropython, mtd, ncftp, newlib-bare-metal, nfacct, ntp,
	octave, proftpd, qt5base, systemd, tpm2-tss, uboot-tools,
	ulogd, vala, zip

	Removed packages: at91bootstrap, at91dataflashboot,
	on2-8170-libs, on2-8170-modules

	Issues resolved (http://bugs.uclibc.org):

	#15973: imx8m bootloader image generation broken since update..
	#16093: kmod and gcc-14 build error

2024.05-rc1, released May 30th, 2024

	Fixes all over the tree and new features.

        Toolchains:
        - Binutils 2.24 added, 2.39 dropped, 2.41 is now default
        - GCC 14.x added, 11.x dropped, 13.x is now default
        - uClibc-ng bumped to 1.0.48
        - Musl bumped to 1.2.5, adds riscv32 support
        - Glibc bumped to 2.39, libcrypt no longer available (see
          libxcrypt package)
        - External glibc based toolchains no longer install libcrypt
          files (except for libcrypt.so.1) to not conflict with the
          libxcrypt package
        - Bootlin external toolchains updated to 2024.02
        - Support for external toolchains using GCC version 14
        - Old external Codesourcery ARM/AARCH64 toolchains removed
        - Old external Codesourcery niosII toolchain removed
        - Old external Codescape mips toolchains removed
        - Support for Linux 6.7 / 6.8 kernel headers added

	Architecture:
        - Support for riscv32 noMMU added
        - Internal toolchains for SPARC (re-)added
        - Support for the Motorola m68k specific shared library
	  support for the FLAT binary format dropped, as support has
	  been removed from the Linux kernel as of v5.19.

        Download (notice, Buildroot generated tarballs have changed):
        - Tar 1.35 is now required (will be automatically built if not
          available on the host). Notice that tar 1.35 changes the way
          devmajor/minor is stored, so tarballs created with 1.35 are
          not binary identical to <1.35
        - The tarball creation logic has now been extended to
          correctly handle when ACLs are set on the download
          directory.
        - An issue with conflicting git tags between (different
          versions of) a package has been fixes
        - Git attributes are now handled correctly

        Security:
        - The /dev/shm entry in the default /etc/fstab used for
          busybox and sysv init systems was missing the sticky bit,
          allowing users to delete and replace other users files.

        Infrastructure:
        - kconfig/menuconfig can now be built with GCC 14.x
        - Git is now used to to fetch CVE data from the FKIE
	  repository to work around an issue with missing meta files
	  in the releases.
        - utils/check-package now also checks if defconfigs use
          BR2_DOWNLOAD_FORCE_CHECK_HASHES to ensure custom
          bootloader/kernels are correctly downloaded.

        New defconfigs: Beagleboneai64, Orangepi Zero2w, Pine64 star64

	New packages: basu, bats-assert, bats-file, bats-support, bcc,
	bpftrace, export-subst, flutter-adaptive-scaffold-example,
	flutter-animations-example, flutter-dynamic-layouts-example,
	flutter-go-router-example, flutter-image-example,
	flutter-markdown-example, flutter-packages,
	flutter-rfw-local-example, go-bootstrap-stage3, igt-gpu-tools,
	libgpiod2, libxmlb, libzenoh-c, lmdb, lua-lightningmdb,
	lua-lsdbus, mokutil, python-email-validator,
	python-expandvars, python-fastui, python-hid, python-jc,
	python-mpmath, python-poetry-core, python-sympy,
	python-yamllint, qbee-agent, starfive-spltool, ustreamer

	Removed packages: flutter-gallery, omxplayer, ti-k3-image-gen

	Issues resolved (http://bugs.uclibc.org):

        #14416: Mesa3D missing DRI3 support for various Gallium drivers
        #15766: BR2_PACKAGE_WESTON_XWAYLAND -- 12.0.1 -- fails to build..
        #15997: Build Squid with GCC12.3 in Buildroot 2024.02 will fail
        #16009: 'select' does not work with 'choice'
        #16036: android-tools version is too old
        #16075: Cannot use linux kernel extensions from external tree..

2024.02.13, released April 22nd, 2025

	Important / security related fixes:

	- xserver_xorg-server & xwayland: CVE-2024-9632, CVE-2025-26594,
	    CVE-2025-26595, CVE-2025-26596, CVE-2025-26597,  CVE-2025-26598,
	    CVE-2025-26599, CVE-2025-26600, CVE-2025-26601.
	- exim: CVE-2025-30232.
	- mbedtls: CVE-2025-27809, CVE-2025-27810.
	- augeas: CVE-2025-2588.
	- libarchive: CVE-2024-57970, CVE-2025-1632, CVE-2025-25724.
	- libopenh264: CVE-2025-27091.
	- libmodsecurity: CVE-2025-27110.
	- tinyxml2: CVE-2024-50615.
	- libndp: CVE-2024-5564.
	- xwayland: CVE-2024-31080, CVE-2024-31081, CVE-2024-31083,
	    CVE-2024-9632, CVE-2025-26594, CVE-2025-26595,
	    CVE-2025-26596, CVE-2025-26597, CVE-2025-26598,
	    CVE-2025-26599, CVE-2025-26600, CVE-2025-26601.
	- libfreeglut: CVE-2024-24258, CVE-2024-24259.

	Updated/fixed packages:

	libsoup3, linux, apr, mali-driver,
	libcoap, python-fastapi, python-twisted, tor, linux-header,
	linux-tools, libmodsecurity

	Test Improvements:

	- linux-tools: selftests: Add path containing BPF binary.
	- testing: add git runtime test.

	Infrastructure updates/fixes:

	- DEVELOPERS: change arnout's address.
	- DEVELOPERS: add Dario Binacchi for ti-k3-boot-firmware.
	- support/download/svn: use 'svn info' whith LC_ALL=C.
	- dillo: Fix an issue related to _SITE url for make show-info.
	- kconfig: Handle backspace (^H) key.
	- pkg-stats: add -v/--verbose option

	Build issues/problems solved for:
	glibc, mesa3d-demos.

2024.02.12, released March 24st, 2025

	Important / security related fixes.

	Defconfigs: Octavo osd23mp1: Fix TF-A/Linux compilation after
	move to newer toolchain versions.

	Updated/fixed packages: compiler-rt, exim, expat, fio, foot,
	jbig2dec, libjxl, libxml2, musl, optee-os, php, postgresql,
	prboom, python-typing-extensions, systemd, util-linux,
	watchdogd, webkitgtk

2024.02.11, released February 21st, 2025

	Important / security related fixes.

	Updated/fixed packages: acpica, apache, assimp, asterisk,
	bind, busybox, clamav, curlpp, dillo, elfutils, ffmpeg, foot,
	freetype, git, gnutls, go, gpsd, heimdal, imagemagick,
	intel-microcode, libbsd, libcurl, libopenssl, libtasn1, mdnsd,
	mpg123, musl, nginx, nodejs, openjpeg, openssh, openvpn,
	postgresql, python-django, redis, rsync, sdbus-cpp, socat,
	tor, tzdata, uemacs, unbound, usbutils, webkitgtk, xen, zic,
	zlog, zmqpp, zstd

	Issues resolved:
        - OpenSSH 9.8 broken
          https://gitlab.com/buildroot.org/buildroot/-/issues/11
        - samba4 build failed in master
          https://gitlab.com/buildroot.org/buildroot/-/issues/86

2024.02.10, released January 9th, 2025

	Important / security related fixes.

        Infrastructure:

        - Ensure CONFIG_TRIM_UNUSED_KSYMS is disabled when building
          external Linux kernel modules

	Updated/fixed packages: apr, bc, cdrkit, cryptodev-linux,
	freeipmi, gdb, gnupg2, gnutls, go, gobject-introspection,
	grub2, gst-omx, gst1-devtools, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, iperf3, libcurl, libsha1,
	libsndfile, libsoup3, libvirt, libxcrypt, linux, linux-pam,
	mosquitto, netatalk, nettle, octave, opensc, perl, pixman,
	procps-ng, python-django, python3, qt6base, samba4, skeleton,
	subversion, tzdata, v4l2loopback, webkitgtk, wget, wireshark,
	wpewebkit, zic

	Issues resolved:
        - gdb package doesn't have a licence hash in the gdb.hash file
          https://gitlab.com/buildroot.org/buildroot/-/issues/66
	- package/libsha1: Build failure with GCC 14 [-Wimplicit-int]
	  https://gitlab.com/buildroot.org/buildroot/-/issues/69
	- [2024.02.9] Mosquitto doesn't build
	  https://gitlab.com/buildroot.org/buildroot/-/issues/78

2024.02.9, released December 8th, 2024

	Important / security related fixes.

	Updated/fixed packages: alsa-lib, android-tools, babeld,
	bmap-tools, boost, ebtables, expat, fbv, foot, frr, gamin,
	gnutls, intel-microcode, irssi, libcurl, libkrb5, libmodbus,
	libvpl, linux-tools, lmbench, mbedtls, mosquitto, musl,
	musl-compat-headers, nfs-utils, ntp, php, postgresql,
	procps-ng, python-psycopg2, python-sip, qt6base, quagga,
	rt-tests, sshguard, systemd, tiff, x11vnc

	Issues resolved:
	- procps-ng: builderror in 2024.08
	  https://gitlab.com/buildroot.org/buildroot/-/issues/38
	- fbv package download link is broken in long term support branch
	  https://gitlab.com/buildroot.org/buildroot/-/issues/73

2024.02.8, released November 14th, 2024

	Important / security related fixes.

	Updated/fixed packages: apache, asterisk, bind, bootgen, criu,
	file, fluidsynth, ghostscript, heimdal, intel-microcode,
	jailhouse, jsoncpp, libarchive, libcurl, libldns, liblinear,
	libmdbx, libopenh264, ltrace, lightning, nghttp2, ntp, php,
	postgresql, procps-ng, python-pyqt5, ruby, sysvinit, tor,
	wpebackend-fdo

	New packages: python-pyqt5-sip

2024.02.7, released October 21th, 2024

	Important / security related fixes.

	Per-package-directories fixes for the .gdbinit file and RPATH
	fixups for SDK.

	utils/check-package: Also check for correct indentation of
	help lines.

	A large number of typo fixes.

	Updated/fixed packages: aer-inject, armadillo, asterisk,
	aumix, babeld, bind, botan, cache-calibrator, clamav,
	comix-cursors, cryptsetup, cups, dovecot, dovecot-pigeonhole,
	expat, fbset, genpart, glibc, gnu-efi, gnutls, go, grub2,
	libarchive, libcuefile, libcurl, libglob, libgpg-error,
	libilbc, libkcapi, libopenssl, libpcap, libuecc, linux-pam,
	mosquitto, nginx, ntpsec, p910nd, php, postgresql, procps-ng,
	proftpd, pure-ftpd, python-django, python-huepy,
	python-sqlparse, python-unittest-xml-reporting, python3,
	qt6base, qt6svg, rp-pppoe, sofia-sip, strongswan, szip,
	tllist, unbound, wpebackend-fdo, wpewebkit, x264, xenomai,
	xserver_xorg-server, zabbix

	New packages: go-bootstrap-stage3

	Issues resolved:
	- procps-ng: build failure when linking to systemd
	  https://gitlab.com/buildroot.org/buildroot/-/issues/28
	- orange pi 2w does not boot
	  https://gitlab.com/buildroot.org/buildroot/-/issues/36
	- glibc configure fails on aarch64 with mathvec SVE ACLE error
	  https://gitlab.com/buildroot.org/buildroot/-/issues/40
	- Kernel Build from Custom Git Repo fails with hash-error
	  https://gitlab.com/buildroot.org/buildroot/-/issues/46
	- package/linux-pam: Remove unneeded flex dependency
	  https://gitlab.com/buildroot.org/buildroot/-/issues/47

2024.02.6, released September 9th, 2024

	Important / security related fixes.

        Added a large number of additional runtime tests.

        Infrastructure:
        - Be more robust against text files (for package hashes and
          users) incorrectly missing a terminating newline.

        - Fix various issues with the pkg-kconfig infrastructure and
          per-package-directories builds
          (BR2_PER_PACKAGE_DIRECTORIES).

	Updated/fixed packages: aer-inject, am335x-pru-package,
	apache, apr, apr-util, attr, boost, btrfs-progs, busybox,
	cryptsetup, dropbear, elfutils, fetchmail, ffmpeg, fluidsynth,
	freerdp, gcc, gdb, gnutls, gpsd, hiawatha, hostapd, htop,
	intel-microcode, iperf3, ksmbd-tools, libcoap, libcurl,
	libest, libgtk3, libpwquality, libressl, libupnp, libxml2,
	libxslt, lrzsz, mdio-tools, micropython, mjpg-streamer, mpir,
	ncftp, nginx, nodejs, open-iscsi, openldap, openvpn, pistache,
	procps-ng, python-django, ruby, speex, swaybg, tinyssh,
	uclibc, uclibc-ng-test, unbound, uuu, wpewebkit, zfs

        Issues resolved:
	- Toolchain (host-gcc-final-14.1.0) build failure with
	  y2038/BR2_TIME_BITS_64 enabled
	  https://gitlab.com/buildroot.org/buildroot/-/issues/16

2024.02.5, released August 14th, 2024

	Important / security related fixes.

	Various minor improvements to utils/check-package

	Defconfigs: Add download hashes for chromebook-elm,
	chromebook-snow and stm32mp157a_dk1

	Updated/fixed packages: bitcoin, boost, btrfs-progs, c-ares,
	cdrkit, check, containerd, directfb, ed, exim, fwts, gcc, gdb,
	go, kexec, libarchive, libgeos, libressl, mupdf, nodejs,
	ntpsec, octave, openssh, pppd, python-mupdf,
	python-ruamel-yaml, qt5webkit, rauc-hawkbit-updater, snappy,
	squid, sunxi-tools, syslinux, systemd, tcf-agent, ubus,
	util-linux, uvw, webkitgtk, wolfssl, wpewebkit, x265,
	xlib_libxshmfence, xvisor

	Issues resolved (http://bugs.uclibc.org):

	#15231: gcc --help -v doesn't work correctly with gcc>=10 and..

2024.02.4, released July 13th, 2024

	Important / security related fixes.

	Infrastructure: Ensure a custom tar program specified with
	make TAR=/path/to/custom/tar is used everwhere.

	Defconfig: Pine64 rockpro64: Build ethernet driver in kernel
	rather than as module.

	Updated/fixed packages: apache, composer, daq, fluent-bit,
	ghostscript, glibc, liblockfile, libmad, libopenssl, mesa3d,
	network-manager, ntp, octave, openssh, openvpn, php, python3,
	qt6base, raspberrypi-usbboot, redis, sentry-cli, systemd, tor,
	vlc, xmrig, znc

2024.02.3, released June 10th, 2024

	Important / security related fixes.

	Misc:
	- Fixed a number of compilation issues for hosts using GCC
          14.x, including for kconfig.

	Download:
	- Drop redundant --passive-ftp from default wget options and
	  migrate a number of packages using FTP upstreams to HTTP(S)
	  for compatibility with wget2 which does not have FTP support

	- Ensure downloads are correctly shared for host packages that
	  try to do so using <pkg>_DL_SUBDIR and ensure the correct
	  toplevel directory name is used in generated tarballs when
	  downloads are shared.

	Arch: Enable SSE2 support for x86 Pentium M variant.

	Defconfigs: Orangepi PC/R1, Raspberrypi zero2w, Sipeed
	licheepi nano, Wandboard: Fix compilation issues. PC x86-64
	bios/efi: add wireless regdb to fix kernel warning during
	boot, iMX.8 boards: Adjust FIT external data position to match
	imx-mkimage changes, fixing boot issues.

	Updated/fixed packages: am33x-cm, apcupsd,
	arm-trusted-firmware, binutils-bare-metal, bpftool, catch2,
	ccache, cjson, clamav, cog, coreutils, cryptodev-linux,
	dhcpcd, dmraid, dnsmasq, docker-cli, docker-compose,
	docker-engine, doom-wad, duma, elf2flt, ebtables, elfutils,
	evemu, file, fluidsynth, freeradius-client, freeradius-server,
	freerdp, fwts, gcc, gcc-bare-metal, git, gnuplot, go,
	gr-osmosdr, gst1-plugins-good, hidapi, imagemagick,
	intel-gmmlib, ivi-homescreen, janus-gateway, kexec, kmod,
	kodi, libarchive, libdrm, libedit, libffi, libglib2, libhtp,
	libjwt, libkrb5, libmanette, libmdbx, libmnl,
	libnetfilter_acct, libnetfilter_log, libnpth, libopenssl,
	libpng, libuhttpd, liburiparser, libutempter, libvncserver,
	libwpe, lightning, linux-firmware, linux-pam, lua-cffi,
	luajit, lvm2, lynx, mariadb, mesa3d, micropython, minisign,
	musl, mutt, ncftp, network-manager, newlib-bare-metal, nfacct,
	nfs-utils, octave, openjpeg, openocd, oprofile,
	perl-dbd-mysql, php, postgresql, pppd, privoxy, procps-ng,
	proftpd, proj, putty, python-ml-dtypes, python-pillow,
	python-rds-py, qemu, qt5base, redis-plus-plus, rtl8189fs,
	ruby, samba4, shadow, smcroute, speech, squid, sscep,
	suricata, swupdate, systemd, ti-sgx-km, tinycbor, tinyproxy,
	tor, tpm2-tss, ttyd, uboot-tools, ulogd, vala, weston,
	wpewebkit, x11vnc, zbar, zeromq, zfs, zip, zxing-cpp

	Issues resolved (http://bugs.uclibc.org):

        #15766: BR2_PACKAGE_WESTON_XWAYLAND -- 12.0.1 -- fails to build..
	#15973: imx8m bootloader image generation broken since update..
        #16075: Cannot use linux kernel extensions from external tree..
	#16093: kmod and gcc-14 build error

2024.02.2, released May 7th, 2024

	Important / security related fixes.

        Security: The /dev/shm entry in the default /etc/fstab used
        for busybox and sysv init systems was missing the sticky bit,
        allowing users to delete and replace other users files.

        Defconfigs: Mangopi mq1rdw1: Lock kernel headers to 6.6.x.

	Updated/fixed packages: apache, botan,
	brcmfmac_sdio-firmware-rpi, clamav, cmake, containerd,
	crucible, dmenu-wayland, dmraid, docker-cli, docker-engine,
	domoticz, fmc, freeipmi, gdal, gdb, giflib, gnupg2, go,
	google-breakpad, googlefontdirectory, imx-gpu-viv, inih,
	libassuan, libblockdev, libcurl, libdrm, libgpg-error,
	libksba, libnpth, libressl, libtracefs, lxc, mbedtls, mesa3d,
	oatpp, opensc, oprofile, perl-net-ssleay, petitboot,
	php-xdebug, psplash, python-pypng, python-segno,
	python-service-identity, python3, skeleton-init-sysv, systemd,
	tcf-agent, tiff, uuu, wolfssl, xmrig, zic

	Issues resolved (http://bugs.uclibc.org):

        #14416: Mesa3D missing DRI3 support for various Gallium drivers
        #16009: 'select' does not work with 'choice'
        #16036: android-tools version is too old

2024.02.1, released March 26th, 2024

	Important / security related fixes.

	Toolchain: Dropped old Codesourcery ARM / AARCH64 and
	Codescape MIPS external toolchains as they use old Glibc
	versions not compatible with 64-bit time_t

	Defconfigs: Starfive visionfive2: Use correct genimage
	configuration. TI am62x_sk / am64_sk: Use correct optee-os
	platform setting and use a fixed ti-k3-r5-loader version.

	Infrastructure: Use git to fetch CVE data from the FKIE
	repository to work around an issue with missing meta files in
	the releases.

	Updated/fixed packages: axel, bash, bitcoin, botan, busybox,
	containerd, cryptsetup, cvs, docker-compose, docker-engine,
	ell, expat, giflib, gmp, go, harfbuzz, intel-gmmlib,
	intel-mediadriver, iwd, kodi, kodi-pvr-hts, libcgroup, libdrm,
	libgit2, libkrb5, libnfs, libunwind, libvpl,
	libtorrent-rasterbar, libxml2, linux, mariadb, mesa3d,
	mmc-utils, msmtp, multipath-tools, neon, onevpl-intel-gpu,
	openssh, openvpn, osm2pgsql, owfs, php, poco, policycoreutils,
	postgis, privoxy, pulseaudio, pure-ftpd, putty,
	python-configshell-fb, python-rtslib-fb, rauc, restorecond,
	spice, squid, targetcli-fb, tzdata, util-linux, vdr, xmrig,
	xvisor, zic

	Issues resolved (http://bugs.uclibc.org):

	#15997: Build Squid with GCC12.3 in Buildroot 2024.02 will fail

2024.02, released March 5th, 2024

	Various fixes.

	Updated/fixed packages: botan, conmon, dash, efivar, expat,
	fluent-bit, gcc, gst1-vaapi, libcoap, libselinux, liburing,
	libva, libxml2, ltp-testsuite, luvi, newlib-bare-metal,
	nginx-naxsi, octave, openblas, openvmtools, parted, poco,
	powertop, python-aiohttp, python-cheroot, python-django,
	python-grpcio, rauc, rauc-hawkbit-updater, rtl8822cs, rust,
	sdl2, shadow, spirv-tools, strace, strongswan, tar, tllist,
	vim

	Removed packages: mysql (virtual), oracle-mysql,
	python-setuptools-scm-git-archive

2024.02-rc2, released March 1st, 2024

	Fixes all over the tree.

	Infrastructure: Various fixes for pkg-stats after moving to
	the FKIE CVE feed and support for older python/ijson versions.

	Updated/fixed packages: ccache, dracut, erlang, freetype,
	libheif, libpthsem, micropython, newlib-bare-metal, openssh,
	poco, python3, redis, rhash, shim, squid, syslinux

2024.02-rc1, released February 25th, 2024

	Fixes all over the tree and new features.

	Toolchain:

	- GDB: Add version 14.1, default to 13.2.

	- uClibc-ng updated to 1.0.45

	- Bootlin external toolchains updated to 2023.11-1, moving the
          stable toolchains to GCC 12.3 / binutils 2.40 / GDB 13.2 /
          glibc 2.38 / musl 1.2.4 / uClibc-ng 1.0.45

	- Add support for building a bare metal toolchain suitable for
	  building firmware for certain (co-)processors, possibly
	  using a different CPU architecture than the main Buildroot
	  configuration.

	Default optimization level changed from optimize for size
        (-Os) to optimize for speed (-O2).

	Support: Use the Fraunhofer FKIE JSON files for CVE matching
	now that NVD is about to deprecate its feeds.

	New defconfigs: AMD Zynqmp kria kd240 and kr260, zcu104, Avnet
	RZBoard V2L, Mangopi MQ1RDW2, NXP i.MX 93 11x11 EVK, QEMU
	Riscv64 virt-efi, TI AM574x Industrial Development Kit

	Removed defconfigs: Zynq qmtech

	New packages: binutils-bare-metal, dmenu-wayland, fcft, foot,
	firmware-ele-imx, ivi-homescreen, libjwt, libtraceevent,
	libtracefs, libutempter, lua-ansicolors, lua-argparse,
	lua-conciseserialization, lua-ubjson, minisign,
	newlib-bare-metal, python-aiosqlite, python-annotated-types,
	python-anyio, python-asyncssh, python-bitarray,
	python-cachetools, python-contourpy, python-decouple,
	python-fastapi-sessions, python-fastapi,
	python-google-api-core, python-google-auth,
	python-googleapis-common-protos, python-grpc-requests,
	python-grpcio-reflection, python-grpcio, python-httpcore,
	python-httpx, python-matplotlib-inline, python-ml-dtypes,
	python-multipart, python-pydantic-core, python-pypng,
	python-starlette, python-tcolorpy, python-trafaret,
	python-urwid-readline, python-uvicorn, rlwrap, tllist

	Removed packages: davinci-bootcount (renamed to
	uboot-bootcount), flickcurl, gmpc, libmpd, micropython-lib,
	python-crossbar, python-pygame, tinymembench

	Issues resolved (http://bugs.uclibc.org):

	#10096: SH4 toolchain does not build Linux kernel magicpanelr2_..
	#15889: please update meson
	#15898: Unable to boot syslinux.efi produced by buildroot (EFI 64-..
	#15910: USB keyboard is not working by default "raspberrypicm4io_..
	#15952: Grub fails to load large rootfs files

2023.11.3, released March 26th, 2024

	Important / security related fixes.

	Defconfigs: Starfive visionfive2: Use correct genimage
	configuration.

	Updated/fixed packages: bind, bitcoin, botan, c-ares, clamav,
	conmon, containerd, cvs, dash, dnsmasq, docker-engine, dracut,
	ell, expat, fluent-bit, freetype, gcc, ghostscript, gmp,
	gnupg2, go, google-breakpad, gst1-python, gst1-vaapi, iwd,
	libcoap, libcurl, libdnet, libgit2, libheif, libkrb5,
	libmodsecurity, libnfs, libopenssl, libselinux, libunwind,
	liburing, libuv, libva, libxml2, ltris, lua-http, luvi,
	mmc-utils, nginx-naxsi, nodejs, octave, openssh, openvmtools,
	parted, petitboot, php, poco, postgresql, powertop, privoxy,
	pure-ftpd, putty, python-cheroot, python-configshell-fb,
	python-django, python-rtslib-fb, python3,
	rauc-hawkbit-updater, redis, redis-plus-plus, rsync,
	s390-tools, sdl2, shim, spice, spirv-tools, squid, strace,
	strongswan, sudo, systemd, targetcli-fb, uhd, unbound,
	util-linux, v4l2loopback, vim, webkitgtk, wpewebkit, xvisor,
	zlib-ng

	Issues resolved (http://bugs.uclibc.org):

	#15997: Build Squid with GCC12.3 in Buildroot 2024.02 will fail

2023.11.2, released March 1st, 2024

	Important / security related fixes.

	Added CPE identifiers for a large number of packages.

	Updated/fixed packages: bayer2rgb-neon, brltty, c-ares, cog,
	containerd, cpio, crda, criu, darkhttpd, davinci-bootcount,
	dbus, depot-tools, dhcpcd, domoticz, environment-setup, expat,
	faad2, falcosecurity-libs, flex, flutter-engine,
	flutter-gallery, flutter-pi, flutter-sdk-bin,
	freeradius-server, freerdp, frr, gesftpserver, glibc, gnutls,
	go, gst1-devtools, gst1-libav, gst1-python, gst1-vaapi,
	gst-omx, gstreamer1, haproxy, hiredis, joe, json-c, leptonica,
	libcurl, libp11, libuwsc, libvips, libzenoh-pico,
	linux-firmware, linux-headers, localedef, lua-http, lvm2,
	lynx, mbedtls, micropython, minizip, mpfr, netatalk, ngrep,
	onevpl, opencv4, opencv4-contrib, openssh, opus, petitboot,
	php, python-aiohttp, python-bitarray, python-bitstring,
	python-esptool, python-gunicorn, python-hpack,
	python-html5lib, python-lmdb, python-mako, python-numpy,
	python-oauthlib, python-sqlparse, python-wheel, qt5base,
	qt6base, redis, runc, sdl2, sqlite, syslog-ng, sysstat,
	util-linux, vulkan-loader, webkitgtk, weston, wireless-regdb,
	wlroots, wpewebkit, xlib_libXpm, xterm, xwayland, yasm

	New packages: python-bitarray

	Issues resolved (http://bugs.uclibc.org):

	#10096: SH4 toolchain does not build Linux kernel magicpa..
	#15952: Grub fails to load large rootfs files

2023.11.1, released January 15th, 2024

	Important / security related fixes.

	Infrastructure:

	- Download: Revert a permission fixup step in the tarball
	  creation logic, which lead to a hash mismatch issue in two
	  cargo-vendored packages, ripgrep and sentry-cli.

	- Build: Pass GIT_DIR=. in the environment (through
	  HOST_MAKE_ENV/TARGET_MAKE_ENV) to the build steps to
	  workaround packages trying to detect if they are building in
	  a git checkout and getting confused when building in a sub
	  directory of a Buildroot git checkout.

	Defconfigs: Rock5b: Add download hashes for U-Boot and Linux

	Updated/fixed packages: apcupsd, arm-trusted-firmware, botan,
	cjson, criu, cryptodev-linux, cups, dahdi-linux, dahdi-tools,
	dbus, docker, dropbear, duktape, edk2, erlang, exim, faad2,
	freeswitch, gcc, gdal, gdb, giflib, glibc, gnuplot, gnutls,
	go, google-breakpad, gst-omx, gstd, gst1-devtools, gst1-libav,
	gst1-plugins-bad, gst1-plugins-base, gst1-plugins-good,
	gst1-plugins-ugly, gst1-python, gst1-rtsp-server, gst1-vaapi,
	gstreamer1, gstreamer1-editing-services, ipcalc, jq,
	json-for-modern-cpp, ksmbd-tools, libaio, libarchive,
	libcamera, libcamera-apps, libcap-ng, libcgroup, libcurl,
	libde265, libebml, libgtk3, libheif, libiec61850, libndns,
	libostree, libraw, libsigsegv, libssh, libssh2, libuev,
	libwebsockets, libzenoh-pico, liquid-dsp, lvm2, madplay,
	mesa3d, micropython, minizip, mp4v2, nushell,
	onevpl-intel-gpu, opensc, openssh, optee-client, orc, php,
	pipewire, postgis, postgresql, proftpd, putty, python-brotli,
	python-pysensors, python-sip, python-werkzeug, shim, squid,
	strongswan, sway, tinyssh, tor, transmission, tree, udev,
	uftp, valijson, wireshark, wlroots, wolfssl,
	xserver_xorg-server, xwayland,

2023.11, released December 4th, 2023

	Various fixes.

	Defconfigs: Toradex apalis i.mx6: Add download hashes for
	Linux and U-Boot.

	Updated/fixed packages: cog, freescale-imx, imagemagick,
	libde265, libmemcached, libpjsip, libusb-compat,
	libzenoh-pico, linux-tools, lttng-modules, mariadb, monit,
	openfpgaloader, perl, putty, python-numpy, rtty, speechd,
	wireshark, xenomai, xtables-addons, zfs

2023.11-rc2, released November 29th, 2023

	Fixes all over the tree.

	Defconfigs: Raspberry pi: Fix bluetooth autoprobing,
	rockpro64: Fix U-Boot build, bump rootfs size, vim3: Use
	device tree from Linux rather than from U-Boot.

	Updated/fixed packages: erlang, exfatprogs, flutter-engine,
	flutter-sdk-bin, gcc, gsl, intel-microcode, janet,
	kodi-pvr-hts, libgdiplus, libpam-tacplus, libxml2,
	libzenoh-pico, memcached, motion, netsnmp, nodejs, oatpp,
	openrc, opensc, perl, postgresql, python-msgpack, qemu,
	refpolicy, samba4, squid, vim, vlc, xwayland, zfs

	Issues resolved (http://bugs.uclibc.org):

	#15856: Using BR2_CONFIG= on a different file-system...

2023.11-rc1, released November 14th, 2023

	Fixes all over the tree and new features.

	Architecture: MIPS IV (re-)added. The mutually exclusive ABI
	selection dropped for PowerPC.

	Toolchain:

	- Support for GDB 13.2, make GDB 12.x the default

	- Glibc bumped to 2.38

	- Bootlin external toolchains updated to 2023.08, bringing
          support for Aarch64 BE with musl.

	- Motorola 68K w/MMU support added for glibc and musl.

	- License info added for GCC

	Infrastructure:

	- The CMake infrastructure now supports building packages with
          ninja instead of make (based on <pkg>_CMAKE_BACKEND).

	- The RPATH fixup done at the end of the build is now done in
          parallel (according to BR2_JLEVEL).

	- Packages downloaded from Subversion repos no longer
          retrieves svn:externals unless <pkg>_SVN_EXTERNALS is set to
          YES.

	- Packages where a free-form version/site can be specified
          (E.G. Linux, U-Boot, ..) can now have the corresponding
          tarballs of these custom downloads checked by the download
          infrastructure based on .hash files in the global patch
          directory. These hashes are optional unless
          BR2_DOWNLOAD_FORCE_CHECK_HASHES is enabled.

	  A utils/add-custom-hashes helper script has been added to
          assist in managing such hash files.

	- Various improvements to utils/docker-run to handle external
          (BR2_DL_DIR defined in environment) download directory,
          proxy configuration, SELinux and out of tree (O=) builds.

	New defconfigs: AMD Zynq ZC702, ASUS Tinker-s rk3288, ICnova
	A20-adb4006, Khadas vim3, Libre Computer ROC-RK3399-PC,
	Microchip PolarFire SoC Icicle Kit, NXP imxrt1050-evk, Pine64
	pinecube, Sipeed LicheePi Nano, Synopsys ARC700 nSIM, TI
	SK-AM62 and TI SK-AM64

	New packages: ti-k3-boot-firmware, ti-k3-image-gen,
	amlogic-boot-fip, criu, cutekeyboard, depot-tools, fft-eval,
	firewalld, flutter-engine, flutter-gallery, flutter-pi,
	flutter-sdk-bin, ledmon, libcanberra, libnvme, libsoup3,
	libspdm, libucontext, libzenoh-pico,
	microchip-hss-payload-generator, nodejs-bin, nushell,
	nvidia-persistenced, oatpp, onevpl-intel-gpu, onevpl,
	python-calver, python-distlib, python-jeepney,
	python-jsonschema-specifications, python-kmod,
	python-pysensors, python-referencing, python-segno,
	python-tftpy, python-trove-classifiers,
	python-types-python-dateutil, python-versioneer,
	qoriq-fm-ucode, qt6core5compat, rauc-hawkbit-updater,
	rust-bindgen, spirv-headers, spirv-tools, vulkan-loader,
	vulkan-tools

	Removed packages: google-material-design-icons, libtextstyle,
	python-pyxb

	Issues resolved (http://bugs.uclibc.org):

	#14366: Nodejs fails with "version `GLIBC_2.34' not found"..
	#14741: e2fsck is failing during cronjob build where fail...
	#15628: Missing dependencies in BR2_PACKAGE_PYTHON_MAKO
	#15733: xfsprogs outdated
	#15772: lz4 failed to compile with gcc 10.4.0
	#15778: strace comilation fails on Fedora39/gcc13
	#15787: atmel_sama5d3_xplained_mmc_defconfig: Missing...
	#15790: at91sam9x5ek_dev_defconfig: Missing...
	#15808: connman is not supported on musl
	#15814: C++ not supported by bootlin toolchain
	#15820: make linux-menuconfig does not modify correct .config..
	#15823: Installing nodejs modules with native extensions ...
	#15826: nodejs modules with native extensions fail to install
	#15835: Incompatibility between network-manager and libcurl 8.4

2023.08.4, released December 4th, 2023

	Important / security related fixes.

	Defconfigs: Raspberrypi: Fix DT overlay for autoproving of
	bluetooth driver, Toradex apalis i.mx6: Add download hashes
	for Linux and U-Boot.

	Updated/fixed packages: gcc, erlang, exfatprogs, gsl,
	imagemagick, intel-microcode, libde265, libmemcached,
	libpjsip, libxml2, mariadb, memcached, motion, netsnmp, perl,
	postgresql, putty, rtty, samba4, speechd, squid, vim, vlc,
	xenomai, xtables-addons, zfs

	Issues resolved (http://bugs.uclibc.org):

	#15856: Using BR2_CONFIG= on a different file-system...

2023.08.3, released November 14th, 2023

	Important / security related fixes.

	Per-package builds: Unbreak SDK relocation logic. Only drop
	the hard links for the final host / target directory, fixing a
	build time / size regression in 2023.08.2.

	Packages where a free-form version/site can be specified
	(E.G. Linux, U-Boot, ..) can now have the corresponding
	tarballs of these custom downloads checked by the download
	infrastructure based on .hash files in the global patch
	directory. These hashes are optional unless
	BR2_DOWNLOAD_FORCE_CHECK_HASHES is enabled.

	A utils/add-custom-hashes helper script has been added to
	assist in managing such hash files.

	Defconfigs: Avenger96: Downgrade to TF-A v2.5 to fix boot
	issue since 2023.08, stm32mp157a-dk1, stm32mp157c-dk2: Unbreak
	TF-A build, stm32mp157c-odessey: Use a fixed TF-A version for
	reproducibility

	Updated/fixed packages: apache, arm-trusted-firmware, aufs,
	aufs-util, azure-iot-sdk, casync, cjson, clamav, conmon,
	cups-filters, dhcpcd, docker-cli, docker-engine,
	freeradius-server, go, inadyn, ksmbd-tools, kvmtool,
	libgdiplus, libgeos, libmemcached, libmdbx, libopenssl,
	libosmium, libtommath, libupnp, libzlib, lightning, linux-pam,
	lxc, mender, minizip-zlib, mpd, mxsldr, nano, nettle,
	network-manager, nghttp2, nodejs-src, opencv4,
	opencv4-contrib, openjdk-bin, openvpn, opusfile, paho-mqtt-c,
	pango, perl-lwp-protocol-https, petitboot, php, pistache,
	python-django, python-pycryptodomex, python-urllib3,
	python-web2py, rabbitmq-c, redis, reproc,
	riscv64-elf-toolchain, sedutil, snort3, suricata, tar, tiff,
	tor, traceroute, vim, websocketpp, wireshark, wolfssl,
	xdg-dbus-proxy, xen, xlib_libX11, xlib_libXpm, zabbix, zchunk

	Issues resolved (http://bugs.uclibc.org):

	#14741: e2fsck is failing during cronjob build where fail...
	#15772: lz4 failed to compile with gcc 10.4.0
	#15787: atmel_sama5d3_xplained_mmc_defconfig: Missing...
	#15790: at91sam9x5ek_dev_defconfig: Missing...
	#15820: make linux-menuconfig does not modify correct .config..
	#15823: Installing nodejs modules with native extensions ...
	#15835: Incompatibility between network-manager and libcurl 8.4

2023.08.2, released October 15th, 2023

	Important / security related fixes.

	Defconfigs: Freescale ARM: Add ATF patch to fix build issue
	with binutils 2.39+.  QEMU Aarch64-virt: Enable ACPI support
	for EDK2. Visionfive2: Bump kernel to fix build issue with GCC
	13.

	Per-package builds: Do not use hard links for host / target
	dirs, fixing issues with package rebuilds or post-build
	scripts modifications.

	Infrastructure: Explicitly disable shuffle mode for Make >=
	4.4 where needed.

	Urandom-scripts: Move seedrng init script to S01 for earlier
	random number entrophy initialization.

	Updated/fixed packages: at91bootstrap, batman-adv, bind, cups,
	efl, enlightenment, exim, gcc, glibc, gnu-efi, go, gptfdisk,
	grub2, gst-omx, gst1-devtools, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rstp-server, gst1-rtsp-vaapi, gstreamer1,
	gstreamer1-editing-services, gtkmm3, libcue, libcurl,
	libfastjson, libhtp, libmodplug, librsvg, libvpx, libyang,
	linux-pam, linux-tools, mbedtls, mosquitto, mutt, neon,
	netsnmp, nmap, nodejs, olsr, openblas, opkg-utils, php, pound,
	powertop, python-mako, python3, rauc, rockchip-mali, samba4,
	sslh, stress-ng, suricata, syslog-ng, systemd, tar, unifdef,
	urandom-scripts, usbguard, webkitgtk, wilc-driver,
	wireless-regdb, wpewebkit

	Issues resolved (http://bugs.uclibc.org):

	#15628: Missing dependencies in BR2_PACKAGE_PYTHON_MAKO
	#15808: connman is not supported on musl
	#15814: C++ not supported by bootlin toolchain

2023.08.1, released September 27th, 2023

	Important / security related fixes.

	Updated/fixed packages: agentpp, asterisk, bind, binutils,
	conmon, cpio, docker-cli, docker-engine, e2fsprogs, erlang,
	esp-hosted, expect, fail2ban, fio, freerdp, fstrcmp, gcc, gdb,
	ghostscript, go, haproxy, hwloc, icu, irssi, libcoap, libcurl,
	libde265, libheif, libiec61850, libjxl, libopenssl, libpjsip,
	libqb, libraw, libssh, libuv, lldpd, mdadm, mutt, ne10,
	netatalk, nodejs, nut, openblas, opensc, openvpn, petitboot,
	php, pound, pppd, python-pytest, python3, qt5,
	rtl8812au-aircrack-ng, sngrep, stress-ng, strongswan, sysstat,
	tar, tcl, timescaledb, util-linux, vim, webkitgtk, webp,
	wireshark, xserver_xorg-server, xterm, zbar, zxing-cpp,
	zynaddsubfx

	Issues resolved (http://bugs.uclibc.org):

	#14366: Nodejs fails with "version `GLIBC_2.34' not found"..
	#15787: atmel_sama5d3_xplained_mmc_defconfig: Missing...
	#15790: at91sam9x5ek_dev_defconfig: Missing...

2023.08, released September 6th, 2023

	Various fixes.

	Defconfigs: BeagleV: Fix build issue with binutils >=
	2.38. Hifive unleashed: U-Boot needs OpenSSL

	Updated/fixed packages: dt, grub2, heirloom-mailx, libgpgme,
	libtommath, libxcrypt, log4cxx, mesa3d-demos, openjdk,
	openjdk-bin, pam, pcm-tools, pixman, poppler, python-django,
	python-ipython, python-pip, python-tornado, zeromq

	New packages: libdecor

2023.08-rc3, released August 29th, 2023

	Fixes all over the tree.

	Defconfigs: Avenger96: Bump ATF to 2.9 to fix build warnings
	with binutils >= 2.39. CI20: Bump kernel to 5.4.254 to fix
	build issue with GCC 12. Hifive unleashed: Add missing
	pylibfdt dependency / bump kernel to 5.10.109 to fix build
	issue GCC 12. PC x86-64 bios/elf: Add missing libelf
	dependency. Sipeed maix sdcard: Fix build issues with
	binutils >= 2.38

	Updated/fixed packages: check, clamav, cups, esp-hosted,
	f2fs-tools, freeswitch, gcc, gmp, libks, libmodsecurity,
	mosquitto, mpg123, network-manager, php, postgresql, python3,
	ramspeed, rtl8189fs, rust, rust-bin, samba4, screen, zlib-ng

2023.08-rc2, released August 20th, 2023

	Fixes all over the tree.

	Toolchains: Only show external toolchains based on a GCC
	version supporting the selected architecture
	variant. Correctly mark Codescape MIPS external toolchains as
	not providing a gdbserver.

	Defconfigs: Andes ae350_45: Drop custom U-Boot march setting,
	breaking builds with GCC 12. Nitrogen*: Bump
	U-Boot/Linux. Nitrogen8*: Use ATF 2.8, fixing array bounds
	errors. QEMU m68k: Add Linux patch to fix build issue with
	binutils >= 2.41. Raspberrypi*: Enable console on HDMI when
	using systemd as well.

	Updated/fixed packages: at91dataflashboot, aubio, berkeleydb,
	bwm-ng, ccache, check, chocolate-doom, compiler-rt, composer,
	conmon, connman, dav1d, diffutils, dracut, e2fsprogs, elf2flt,
	esp-hosted, flite, gcc, gdb, go-bootstrap-stage2,
	intel-microcode, kodi-imagedecoder-heif, less, libcoap,
	libedit, libglib2, libksba, liblo, libserial, log4cxx, lsof,
	luvi, meson, mosquitto, mpd, mpv, mv-ddr-marvell, nftables,
	ntpsec, openssh, optee-test, perftest, python-botocore,
	python-docker, python-pylibfdt, python3, screenfetch,
	sentry-cli, sngrep, stellarium, trinity, tvheadend, uboot,
	uclibc, util-linux, xfsprogs, yajl

	New packages: nftables-python, xlib_libXpresent

	Removed packages: lpc32xxcdl

2023.08-rc1, released August 5, 2023

	Numerous package updates and fixes, additional runtime tests.

	Toolchain:
	- Toolchains from ARM (for ARM, AArch64 and AArch64 BE)
          updated to 12.2.
	- Support for binutils 2.40 and 2.41 added, binutils 2.37 and
          2.38 removed, binutils 2.40 is now the default
	- Support for gcc 13 added, gcc 10 removed, gcc 12 is now the
          default

	Architectures:
	- Additional x86-64 variants added
	- RISC-V vector extension support added

	Infrastructure:
	- Go now built in 3 stages to be able to update to Go 1.20.x.

	New defconfigs: rock5b

	Removed defconfigs: qemu_sparc_ss10

	New packages: composer, conmon, dfu-programmer, esp-hosted,
	kodi-imagedecoder-heif, kodi-imagedecoder-raw, libde2654,
	libdisplay-info, libheif, llvm-cmake, llvm-libunwind,
	lua-dkjson, mbpoll, mdnsd, mhz, opencsd, python-libconf,
	python-blinker, python-midiutil, python-rdps-py, python-wheel,
	qt6svg, redis-plus-plus, rockchip-rkbin, rtl8822cs, swaybg,
	swugenerator

	Removed packages: libasplib, ocf-linux, tovid

2023.05.3, released September 26th, 2023

	Important / security related fixes.

	Defconfigs: PC x86-64 bios/efi: Needs libelf. Raspberrypi:
	Also enable HDMI console when systemd is used.

	Updated/fixed packages: agentpp, asterisk, at91dataflashboot,
	aubio, berkeleydb, bind, bwm-ng, chocolate-doom, clamav,
	compiler-rt, connman, cpio, cups, dav1d, diffutils, dracut,
	dt, expect, fail2ban, fio, flite, freerdp, freeswitch,
	fstrcmp, gcc, gdb, ghostscript, gmp, go, grub2, haproxy,
	heirloom-mailx, hwloc, icu, intel-microcode, irssi, less,
	libcoap, libcurl, libglib2, libiec61850, libjxl, libks,
	libksba, libmodsecurity, libpjsip, libqb, libraw, libssh,
	libtommath, lldpd, log4cxx, lsof, mdadm, mosquitto, mpd, mpv,
	mutt, mv-ddr-marvell, ne10, netatalk, network-manager,
	nftables, nodejs, ntpsec, nut, openblas, openjdk, openjdk-bin,
	opensc, openssh, pcm-tools, perftest, petitboot, php, pixman,
	poppler, postgresql, python-django, python-ipython,
	python-pip, python-pylibfdt, python-tornado, python3, qt5,
	ramspeed, rtl8189fs, rtl8812au-aircrack-ng, samba4, screen,
	screenfetch, sngrep, sofia-sip, stellarium, stress-ng,
	strongswan, sysstat, tar, tcl, uboot, uclibc, vim, webkitgtk,
	webp, wireshark, xfsprogs, xserver_xorg-server, xterm, yajl,
	zbar, zxing-cpp

	New packages: xlib_libXpresent

2023.05.2, released August 31th, 2023

	Important / security related fixes.

	Toolchains: Correctly mark Bootlin external toolchains as
	having OpenMP support.

	Arch: Mark Alderlake x86 variants as no AVX512 support.

	Utils: Ensure utils/docker-run correctly supports git
	worktrees.

	Defconfigs: Beaglebone: U-Boot needs OpenSSL. Beaglebone qt5:
	Enable support for green wireless variant.

	Updated/fixed packages: arm-trusted-firmware, bind, cairo,
	cmocka, containerd, crudini, cryptodev-linux, dmidecode,
	ffmpeg, firmware-imx, gcc, gdb, ghostscript, gkrellm,
	gnuradio, go, igh-ethercat, iperf3, kodi, libcurl, libopenssl,
	libssh, libubootenv, libuhttpd, linux-tools, mali-driver,
	nfs-utils, ntp, openssh, php, pipewire, python-pysmb,
	python-iniparse, python-iptables, rtl8189es, rtl8189fs,
	sam-ba, samba4, seatd, shadow, speex,
	sunxi-mali-utgard-driver, supertuxkart, sysdig, systemd, tor,
	tpm2-tss, transmission, uboot, unzip, webkitgtk,
	wireless-regdb, wolfssl, wpebackend-fdo, wpewebkit, xenomai,
	yaml-cpp, yavta

	Issues resolved (http://bugs.uclibc.org):

	#15634: fluidsynths refers to missing libgomp.so.1

2023.05.1, released July 17th, 2023

	Important / security related fixes.

	Defconfigs: Chiliboard, mx53loco: fix build on hosts without
	openssl development headers.
	Nitrogen*: fix build on hosts without openssl or pylibfdt.
	Hifive unleased: Bump OpenSBI to 1.2 to fix a build issue.
	Raspberrypi: Handle DTB overlays for all variants

	Updated/fixed packages: agentpp, alsa-plugins, assimp, audit,
	bind, busybox, c-ares, check, cups, dav1d, dbus, fftw,
	fluidsynth, freetype, fwts, ghostscript, gnupg2, gnuradio,
	graphicsmagick, gupnp, haproxy, heimdal, hwdata, jhead, kodi,
	libcap, libgcrypt, libgpg-error, libgtk3, libmdbx, libxslt,
	mesa3d, mesa3d-demos, mpir, nodejs, php, pkgconf,
	python-cryptography, python-dbus-fast, python-django,
	python-docker, python-pyicu, python-requests, python3, qemu,
	qt6, quickjs, rtl8192eu, samba4, sconeserver, syslog-ng,
	taglib, tiff, wine, wireshark, xdriver_xf86-video-dummy,
	xlib_libX11,

	Issues resolved (http://bugs.uclibc.org):

	#15643: ERROR: No hash found for linux-6.3.8.tar.xz
	#15658: hifive_unleashed_defconfig: Linker errors in opensbi-0.9
	#15661: mx53loco_defconfig: Dependency on OpenSSL missing
	#15664: Can't compile mesa3d with v3d driver
	#15673: PKGCONF_SITE in pkgconf.mk points to parked domain
	#15682: pkgconf: no longer able to download source from...

2023.05, released June 7th, 2023

	Fixes all over the tree.

	Infrastructure: Add BR2_HOST_CMAKE_AT_LEAST_* for packages
	needing a newer host-cmake than what is currently enforced
	(3.18) - Up to the version provided by the cmake package (3.22).

	Defconfigs: QEMU s390x: Bump rootfs size to 120MB to make room
	for kernel modules.

	Updated/fixed packages: at-spi2-core, go, libdeflate, libjxl,
	perl-http-message, php, redis

2023.05-rc3, released June 4th, 2023

	Fixes all over the tree.

	Updated/fixed packages: bird, containerd, earlyoom, gcc,
	ipython, kexec, kodi-skin-confluence, libcurl, libopenssl,
	mesa3d, minidlna, mpd, openjdk, openjdk-bin,
	python-matplotlib, sdl2_net, vdr

	New packages: python-asttokens, python-executing,
	python-pure-eval, python-stack-data

2023.05-rc2, released May 28th, 2023

	Fixes all over the tree.

	Updated/fixed packages: busybox, clamav, crudini,
	kodi-pvr-vbox, libcurl, libmnl, libpqxx, libressl, libssh,
	llvm, lua, mesa3d, perl-http-message, python-can,
	python-django, sdl2_mixer, webkitgtk, zfs, znc

	New packages: perl-clone

	Issues resolved (http://bugs.uclibc.org):

	#15421: qemu_aarch64_ebbr_defconfig: Missing Linux kernel source..
	#15581: qemu_ppc_mpc8544ds_defconfig: Fails due to non-working patch

2023.05-rc1, released May 15th, 2023

	Fixes all over the tree and new features.

	Toolchain:
	- glibc update to 2.37, uClibc-ng updated to 1.0.43
	- suppoert 6.2.x / 6.3.x kernel headers

	Infrastucture:
	- go: Ensure go versions of os/user and net are used for
          static builds so CGO is not used

	- rust / cargo: Correctly split up rust flags for host and
          target builds

	New defconfigs: STM32F769 discovery

	New packages: petitboot, python-evdev, python-hwdata,
	python-pyproject-hooks, shadow

	Removed packages: atk, at-spi2-atk, optee-benchmark,
	python-pep517

	Issues resolved (http://bugs.uclibc.org):

	#14356: cronstamp jobs are not performed with bumped version of...
	#15191: pc_x86_64_efi_defconfig doesn't run on real hardware
	#15306: glibc build fails in Docker container
	#15321: docker-engine now requires libseccomp by default
	#15376: Libiconv config
	#15461: QtVirtualKeyboard segfaults

2023.02.11, released March 26th, 2024

	Important / security related fixes.

	Defconfigs: Starfive visionfive2: Use correct genimage
	configuration.

	Updated/fixed packages: bind, bitcoin, botan, c-ares, clamav,
	cvs, dash, dnsmasq, ell, exim, expat, freetype, ghostscript,
	gnupg2, google-breakpad, gst1-python, gst1-vaapi, iwd,
	libcoap, libcurl, libgit2, libkrb5, libmodsecurity, libunwind,
	libuv, libxml2, lua-http, luvi, nginx-naxsi, nodejs, openssh,
	openvmtools, parted, php, poco, postgresql, privoxy,
	pure-ftpd, putty, python-cheroot, python-configshell-fb,
	python-django, python-rtslib-fb, python3, rsync, sdl2, shim,
	spice, squid, strace, strongswan, sudo, systemd, targetcli-fb,
	unbound, uvw, v4l2loopback, vim, webkitgtk, wpewebkit, xvisor,
	zlib-ng

	Issues resolved (http://bugs.uclibc.org):

	#15997: Build Squid with GCC12.3 in Buildroot 2024.02 will fail

2023.02.10, released March 1st, 2024

	Important / security related fixes.

	Added CPE identifiers for a large number of packages.

	Updated/fixed packages: bayer2rgb-neon, brltty, c-ares,
	containerd, crda, darkhttpd, davinci-bootcount, dbus,
	domoticz, environment-setup, expat, faad2, falcosecurity-libs,
	flex, freeradius-server, freerdp, frr, gesftpserver, glibc,
	gnutls, go, gst1-devtools, gst1-libav, gst1-python,
	gst1-vaapi, gst-omx, gstreamer1, haproxy, joe, json-c,
	leptonica, libcurl, libuwsc, libvips, linux-firmware,
	linux-headers, localedef, lua-http, lvm2, lynx, mbedtls,
	micropython, minizip, mpfr, netatalk, ngrep, opencv4,
	opencv4-contrib, openssh, opus, php, python-aiohttp,
	python-esptool, python-gunicorn, python-hpack,
	python-html5lib, python-lmdb, python-mako, python-numpy,
	python-oauthlib, python-sqlparse, qt5base, qt6base, redis,
	runc, sdl2, sqlite, sysstat, uuu, webkitgtk, wireless-regdb,
	wpewebkit, xlib_libXpm, xterm, xwayland, yasm

	Issues resolved (http://bugs.uclibc.org):

	#10096: SH4 toolchain does not build Linux kernel magicpa..
	#15952: Grub fails to load large rootfs files

2023.02.9, released January 15th, 2024

	Important / security related fixes.

	Infrastructure:

	- Download: Revert a permission fixup step in the tarball
	  creation logic, which lead to a hash mismatch issue in two
	  cargo-vendored packages, ripgrep and sentry-cli.

	- Build: Pass GIT_DIR=. in the environment (through
	  HOST_MAKE_ENV/TARGET_MAKE_ENV) to the build steps to
	  workaround packages trying to detect if they are building in
	  a git checkout and getting confused when building in a sub
	  directory of a Buildroot git checkout.

	Updated/fixed packages: apcupsd, arm-trusted-firmware, botan,
	cjson, cups, dropbear, duktape, edk2, exim, faad2, freeswitch,
	gcc, gdal, gdb, giflib, glibc, go, google-breakpad, gst-omx,
	gstd, gst1-devtools, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, ipcalc, jq, json-for-modern-cpp,
	ksmbd-tools, libaio, libcamera, libcap-ng, libcurl, libebml,
	libgtk3, libiec61850, libraw, libsigsegv, libssh, libssh2,
	libuev, libwebsockets, liquid-dsp, lvm2, madplay, mesa3d,
	micropython, mp4v2, opensc, openssh, orc, php, pipewire,
	postgis, postgresql, proftpd, putty, python-sip,
	python-werkzeug, rng-tools, shim, squid, strongswan, sway,
	tinyssh, tor, tree, uftp, valijson, wireshark, wolfssl,
	xserver_xorg-server, xwayland

2023.02.8, released December 4th, 2023

	Important / security related fixes.

	Defconfigs: Raspberrypi: Fix DT overlay for autoproving of
	bluetooth driver, Toradex apalis i.mx6: Add download hashes
	for Linux and U-Boot.

	Updated/fixed packages: exfatprogs, gcc, imagemagick,
	intel-microcode, libpjsip, libxml2, mariadb, memcached,
	motion, netsnmp, perl, postgresql, rtty, samba4, speech,
	squid, vim, vlc, xenomai, xtables-addons, zfs

	Issues resolved (http://bugs.uclibc.org):

	#15856: Using BR2_CONFIG= on a different file-system...

2023.02.7, released November 14th, 2023

	Important / security related fixes.

	Per-package builds: Unbreak SDK relocation logic. Only drop
	the hard links for the final host / target directory, fixing a
	build time / size regression in 2023.02.6.

	Packages where a free-form version/site can be specified
	(E.G. Linux, U-Boot, ..) can now have the corresponding
	tarballs of these custom downloads checked by the download
	infrastructure based on .hash files in the global patch
	directory. These hashes are optional unless
	BR2_DOWNLOAD_FORCE_CHECK_HASHES is enabled.

	A utils/add-custom-hashes helper script has been added to
	assist in managing such hash files.

	Defconfigs: stm32mp157a-dk1, stm32mp157c-dk2: Unbreak TF-A
	build, stm32mp157c-odessey: Use a fixed TF-A version for
	reproducibility

	Updated/fixed packages: apache, arm-trusted-firmware, aufs,
	aufs-util, azure-iot-sdk, cjson, cups-filters, clamav, dhcpcd,
	freeradius-server, go, htop, ksmbd-tools, kvmtool, libgdiplus,
	libopenssl, libosmium, libtommath, libupnp, libzlib, lxc,
	mender, minizip-zlib, mpd, mxsldr, nano, nettle,
	network-manager, nghttp2, nodejs, opencv4, opencv4-contrib,
	openjdk-bin, openvpn, opusfile, paho-mqtt-c,
	perl-lwp-protocol-https, php, python-django, python-urllib3,
	python-web2py, rabbitmq-c, redis, riscv64-elf-toolchain,
	suricata, tar, tiff, tor, traceroute, vim, websocketpp,
	wireshark, wolfssl, xdg-dbus-proxy, xen, xlib_libX11,
	xlib_libXpm, zabbix, zchunk

	Issues resolved (http://bugs.uclibc.org):

	#14741: e2fsck is failing during cronjob build where fail...
	#15772: lz4 failed to compile with gcc 10.4.0
	#15787: atmel_sama5d3_xplained_mmc_defconfig: Missing...
	#15790: at91sam9x5ek_dev_defconfig: Missing...
	#15820: make linux-menuconfig does not modify correct .config..
	#15823: Installing nodejs modules with native extensions ...
	#15835: Incompatibility between network-manager and libcurl 8.4

2023.02.6, released October 16th, 2023

	Important / security related fixes.

	Per-package builds: Do not use hard links for host / target
	dirs, fixing issues with package rebuilds or post-build
	scripts modifications.

	Infrastructure: Explicitly disable shuffle mode for Make >=
	4.4 where needed.

	Urandom-scripts: Move seedrng init script to S01 for earlier
	random number entrophy initialization.

	Go: Bump to 1.20.x as 1.19.x is now EOL and affected by
	security issues.

	Updated/fixed packages: at91bootstrap, bind, cups, efl,
	enlightenment, exim, gcc, glibc, gnu-efi, go, go-bootstrap,
	gptfdisk, gst-omx, gst1-devtools, gst1-libav,
	gst1-plugins-bad, gst1-plugins-base, gst1-plugins-good,
	gst1-plugins-ugly, gst1-python, gst1-rstp-server,
	gst1-rtsp-vaapi, gstreamer1, gstreamer1-editing-services,
	libcue, libcurl, libfastjson, libhtp, libmodplug, librsvg,
	libvpx, libyang, linux-tools, mbedtls, mosquitto, mutt, neon,
	netsnmp, nmap, nodejs, olsr, openblas, opkg-utils, php,
	powertop, python-mako, python3, rockchip-mali, samba4, sslh,
	suricata, tar, unifdef, unrandom-scripts, webkitgtk,
	wireless-regdb, wpewebkit

	Issues resolved (http://bugs.uclibc.org):

	#15628: Missing dependencies in BR2_PACKAGE_PYTHON_MAKO
	#15808: connman is not supported on musl
	#15814: C++ not supported by bootlin toolchain

2023.02.5, released September 27th, 2023

	Important / security related fixes.

	Updated/fixed packages: agentpp, asterisk, at91dataflashboot,
	aubio, berkeleydb, bind, bwm-ng, chocolate-doom, clamav,
	compiler-rt, connman, cups, dav1d, diffutils, dracut, dt,
	expect, fail2ban, fio, flite, freerdp, freeswitch, fstrcmp,
	gcc, gdb, ghostscript, gmp, go, grub2, haproxy,
	heirloom-mailx, hwloc, icu, intel-microcode, irssi, libcoap,
	libcurl, libiec61850, libjxl, libks, libksba, libmodsecurity,
	libpjsip, libqb, libraw, libssh, libtommath, less, lldpd,
	log4cxx, lsof, mdadm, mosquitto, mpd, mutt, mv-ddr-marvell,
	ne10, netatalk, network-manager, nftables, nodejs, ntpsec,
	nut, openblas, openjdk, openjdk-bin, opensc, openssh,
	pcm-tools, perftest, php, pixman, poppler, postgresql, pppd,
	python-django, python-ipython, python-pip, python-pylibfdt,
	python-tornado, python3, qt5, ramspeed, rtl8189fs, samba4,
	screen, screenfetch, sngrep, sofia-sip, stellarium,
	strongswan, sysstat, tar, tcl, uboot, uclibc, vim, webkitgtk,
	webp, wireshark, xfsprogs, xserver_xorg-server, xterm, yajl,
	zbar, zxing-cpp

	Issues resolved (http://bugs.uclibc.org):

	#14366: Nodejs fails with "version `GLIBC_2.34' not found"..
	#15754: The docker-engine and docker-cli versions are not...
	#15787: atmel_sama5d3_xplained_mmc_defconfig: Missing...
	#15790: at91sam9x5ek_dev_defconfig: Missing...

2023.02.4, released August 31th, 2023

	Important / security related fixes.

	Toolchains: Correctly mark Bootlin external toolchains as
	having OpenMP support.

	Arch: Mark Alderlake x86 variants as having no AVX512 support.

	Utils: Ensure utils/docker-run correctly supports git
	worktrees.

	Defconfigs: Beaglebone qt5: Enable support for green wireless
	variant.

	Updated/fixed packages: arm-trusted-firmware, bind, cairo,
	cmocka, containerd, crudini, dmidecode, ffmpeg, freescale-imx,
	gcc, gdb, ghostscript, gkrellm, gnuradio, go, heimdall,
	iperf3, libcurl, libmodsecurity, libopenssl, libssh,
	libubootenv, libuhttpd, linux-tools, ntp, openssh, php,
	pipewire, python-iniparse, python-iptables, python-pysmb,
	rtl8189fs, sam-ba, samba4, seatd, speex, supertuxkart, sysdig,
	tor, tpm2-tss, uboot, unzip, webkitgtk, wireless-regdb,
	wolfssl, wpebackend-fdo wpewebkit, xenomai, yaml-cpp, yavta

	Issues resolved (http://bugs.uclibc.org):

	#15634: fluidsynths refers to missing libgomp.so.1

2023.02.3, released July 17th, 2023

	Important / security related fixes.

	Defconfigs: Chiliboard: fix build on hosts without openssl
	development headers.
	Nitrogen*: fix build on hosts without openssl or pylibfdt.
	Raspberrypi: Handle DTB overlays for all variants

	Updated/fixed packages: agentpp, alsa-plugins, assimp, bind,
	busybox, dbus, c-ares, check, dav1d, fluidsynth, fftw, fwts,
	ghostscript, gnupg2, gnuradio, gupnp, haproxy, heimdal,
	hwdata, jhead, libcap, libgcrypt, libgpg-error, libgtk3,
	libxslt, mesa3d-demos, mpir, nodejs, php, pkgconf,
	python-cryptography, python-dbus-fast, python-django,
	python-pyicu, python-requests, python3, qt6, quickjs,
	sconeserver, taglib, tiff, wireshark, xdriver_xf86-video-dummy

	Issues resolved (http://bugs.uclibc.org):

	#15643: ERROR: No hash found for linux-6.3.8.tar.xz
	#15673: PKGCONF_SITE in pkgconf.mk points to parked domain
	#15682: pkgconf: no longer able to download source from...

2023.02.2, released June 16th, 2023

	Important / security related fixes.

	Infrastructure: Add BR2_HOST_CMAKE_AT_LEAST_* for packages
	needing a newer host-cmake than what is currently enforced
	(3.18) - Up to the version provided by the cmake package (3.22).

	utils/docker-run: Now correctly handles git
	workdirs/worktrees.

	Defconfigs: QEMU s390x: Bump rootfs size to make room for
	kernel modules, Stm32f4xx: Tweak config to save RAM, Xilinx
	Versal vck190: Use correct (A72) CPU variant

	Updated/fixed packages: atkmm, bird, busybox, cairomm1_14,
	cmake, containerd, crudini, cups, delve, docker-cli,
	docker-engine, earlyoom, edid-decode, fluent-bit, freeswitch,
	gcc, gdb, glibmm_2_66, gnupg2, go, gptfdisk, graphicsmagick,
	intel-microcode, libass, libcurl, libdeflate, libgeos,
	libgtk3, libjxl, libnftl, libopenssl, libressl, libssh, llvm,
	lua, mesa3d, micropython, minidlna, moby-buildkit, mpd, mupdf,
	ncurses, nftables, openjdk, openjdk-bin, php, postgresql,
	python-can, python-django, python-django, python-ipython,
	python-matplotlib, python-mupdf, python-requests, python3,
	qemu, redis, rpm, runc, sdl2_mixer, tzdata, uclibc, vdr,
	wilc-firmware, xapp_xcalc, xapp_xdpyinfo, xapp_xinput,
	xapp_xwininfo, xdata_xbitmaps, xdata_xcursor-themes,
	xdriver_xf86-input-mouse, xdriver_xf86-video-ark,
	xdriver_xf86-video-geode, xdriver_xf86-video-neomagic,
	xfont_encodings, xlib_libX11, xlib_libXaw, xlib_libXi,
	xlib_libXfixes, xlib_libXft, xlib_libXpm, zfs, znc

	New packages: perl-clone, perl-http-message, python-asttokens,
	python-executing, python-pure-eval, python-stack-data

	Issues resolved (http://bugs.uclibc.org):

	#15421: qemu_aarch64_ebbr_defconfig: Missing Linux kernel source code

2023.02.1, released May 9th, 2023

	Important / security related fixes.

	Infrastucture:
	- go: Ensure go versions of os/user and net are used for
          static builds so CGO is not used

	- rust / cargo: Correctly split up rust flags for host and
          target builds

	Defconfigs: Olimex a20 olinuxino lime*: Bring up network at
	boot, stmf469 disco sd: Lock U-Boot version

	Updated/fixed packages: agentpp, apache, bluez5_utils,
	ca-certificates, containerd, coremark, dcron, dnsmasq,
	docker-cli, docker-engine, efivar, eudev, ffmpeg, flann,
	fluidsynth, git, go, gst-omx, gst1-devtools, gst1-libav,
	gst1-plugins-bad, gst1-plugins-base, gst1-plugins-good,
	gst1-plugins-ugly, gst1-python, gst1-rtsp-server, gst1-vaapi,
	gstreamer1, gstreamer1-editing-services, intel-microcode,
	kexec, libcurl, libite, libgtk3, libmicrohttpd, libxml2,
	linux-tools, lua, mali-driver, matio, mdadm, nginx, openocd,
	openssh, php, poppler, postgresql, python-web2py, qt6base,
	readline, rtl8189fs, rtl8723ds, rtl8812au-aircrack-ng, runc,
	rust, rust-bin, s390-tools, samba4, sdl2, snmppp, sudo,
	systemd, tcpdump, uclibc, vim, webkitgtk, wireshark,
	wpewebkit, xr819-radio, xserver_xorg-server, zeek

	Issues resolved (http://bugs.uclibc.org):

	#14356: cronstamp jobs are not performed with bumped version of...
	#15306: glibc build fails in Docker container
	#15376: Libiconv config
	#15461: QtVirtualKeyboard segfaults

2023.02, released March 12th, 2023

	Fixes all over the tree.

	Updated/fixed packages: ace, apache, audit, bridge-utils,
	docker-engine, go, gtkmm3, janet, libbpf, libev, libgcrypt,
	libgpg-error, libmad, linux, mesa3d, network-manager, nut,
	pcre2, php, rdma-core, rsync, rtl8821cu, rtl_433,
	s6-linux-utils, speechd, uqmi, xdriver_xf86-video-qxl, znc

	New packages: atkmm2_28, cairomm1_14, glibmm2_66, libsigc2,
	pangomm2_46, python-glslang

	Issues resolved (http://bugs.uclibc.org):

	#15306: glibc build fails in Docker container
	#15321: docker-engine now requires libseccomp by default

2023.02-rc3, released March 8th, 2023

	Fixes all over the tree.

	Updated/fixed packages: apr, bash, docker-engine, exfat,
	exfat-utils, f2fs-tools, gensio, gr-osmosdr, libcurl, libglfw,
	libolm, libpcap, libpjsip, linux, mender, mpv,
	multipath-tools, opus, paho-mqtt-c, proftpd, pugixml,
	pulseaudio, qemu, quazip, quickjs, rtl8189es, rtl8821cu,
	uacme, uqmi, wpebackend-fdo,

2023.02-rc2, released February 27th, 2023

	Fixes all over the tree.

	Updated/fixed packages: asterisk, at91dataflashboot, bind,
	efivar, erlang, flac, fluent-bit, freerdp, gcc, gdal, gerbera,
	gnuradio, gqrx, haproxy, hawktracer, imx-gpu-g2d,
	intel-gmmlib, libarchive, libblockdev, libcamera-apps, libjxl,
	libmodsecurity, libsigrokdecode, lightning, lirc-tools,
	lttng-babeltrace, modem-manager, modsecurity2,
	multipath-tools, mutt, mxs-bootlets, netsurf, network-manager,
	nginx-naxsi, ntpsec, opensbi, optee-client, pcm-tools,
	php-xdebug, pistache, postgresql, proxychains-ng,
	python-m2crypto, python-numpy, python-webargs,
	python-werkzeug, rtl8723bu, rtty, speechd, sudo, systemd,
	tiff, tmux, wilc-driver, wpa_supplicant, xerces,
	xtables-addons, xwayland, zabbix

	Removed packages: uccp420wlan

2023.02-rc1, released February 20th, 2023

	Numerous package updates and many (62) new packages.

	Toolchain:

	- The check for access to "unsafe" (E.G. from the build host)
	  header files and libraries by the cross compiler is now
	  unconditionally enabled.

	- Bootlin external toolchains updated to 2022.08

	- The handling of the CCACHE_* environment variables by the
          toolchain wrapper is now more strict, causing the variables
          to only be exported when BR2_CCACHE is enabled.

	Infrastructure:

	- Br2-external: Fix make performance issue when many (> 6)
	  external trees are used together.

	- Legal-info: Stop warning about not saving sources for local
	  / override packages if <PKG>_REDISTRIBUTE is set to NO.

	- Go: Ensure our go build and module cache is used, even for the
	  download step.

	- Cargo: CARGO_HOME (the location where cargo stores it
          downloaded artifacts) is now located under DL_DIR rather
          than in HOST_DIR/share/cargo, ensuring it is shared between
          builds.

	Misc:

	- Erofs: Use fixed timestamp and UUID when BR2_REPRODUCIBLE is
	  used.

	- Ext2: Year 2038+ compatible inodes are now used by default,
          independently of the filesystem size.

	- Linux: Fix build of < 5.6 kernels with host-gcc >= 10.

	A large number of NXP related packages and defconfigs have
	been updated as upstream moved the git repositories to Github.

	New defconfigs: i.MX8mn BSH SMM S2 / pro, QEMU ARM EBBR,
	Sipeed Lichee rv / rv dock, Starfive Visionfive2, Xilinx Versal
	VCK190.

	New packages: catch2, cli11, dotconf, edk2-non-osi,
	fluent-bit, fxdiv, hddtemp, highway, imx-vpu-hantro-daemon,
	libjxl, libsolv, libunibreak, neon-2-sse, open-iscsi,
	opencv4-contrib, perftest, perl-image-exiftool,
	python-apispec, python-async-generator, python-cppy,
	python-dbus-fast, python-dicttoxml2, python-flask-smorest,
	python-h11, python-hkdf, python-magic-wormhole,
	python-magic-wormhole-mailbox-server,
	python-magic-wormhole-transit-relay, python-marshmallow,
	python-munch, python-outcome, python-pycrate, python-pyspnego,
	python-reedsolo, python-selenium, python-smbprotocol,
	python-sniffio, python-spake2, python-trio,
	python-trio-websocket, python-uhid, python-webargs,
	python-wsproto, qt5speech, qt6serialbus, rdma-core, reproc,
	rtl8723ds-bt, rtl8821cu, sexpect, speechd, sscep, stb, sway,
	termcolor, ti-k3-r5-loader, tl-expected, unifdef,
	versal-firmware, xwayland, z3

	Removed packages: docker-proxy, elixir, gummiboot,
	python-bunch, python-m2r, sun20i-d1-spl, ucl,
	xdriver_xf86-input-keyboard, xdriver_xf86-video-glint,
	xdriver_xf86-video-imx-viv, xdriver_xf86-video-tga

	Issues resolved (http://bugs.uclibc.org):

	#14971: Kernel 3.10.108 fail to build in Buildroot 2022.08-rc1
	#14996: Too many directories in BR2_EXTERNAL causes hang during make
	#15161: kernel can't support SUBDIR
	#15196: Setting BR2_PACKAGE_RPI_FIRMWARE_CONFIG_FILE does not work
	#15226: lsblk: not found
	#15271: no start-qemu.sh
	#15281: Error compiling GDAL library for RPi-64 if libgdal-dev install..
	#15291: BR2_PACKAGE_GNU_EFI_ARCH_SUPPORTS without location
	#15301: Selecting NAND Flash boot media (NAND_BOOT) breaks the uboot..
	#15331: Warning on python-flit-core license when generating legal info

2022.11.3, released March 18th, 2023

	Important / security related fixes.

	Updated/fixed packages: ace, apache, apr, apr-util, asterisk,
	at91dataflashboot, audit, bash, bind, bridge-utils, clamav,
	dmalloc, efivar, erlang, exfat, exfat-utils, f2fs-tools, gcc,
	gdal, gensio, gerbera, git, glslsandbox-player, go, haproxy,
	hawktracer, intel-gmmlib, ipmiutil, less, libblockdev,
	libcurl, libev, libgcrypt, libglfw, libmad, libmdbx,
	libmodsecurity, libolm, libpjsip, lirc-tools,
	lttng-babeltrace, mender, mpv, mutt, mxs-bootlets, netsurf,
	ntpsec, nut, opensbi, opus, paho-mqtt-c, pcm-tools, php,
	pistache, proftpd, proxychains-ng, pulseaudio,
	python-cryptography, python-django, python-m2crypto,
	python-numpy, python-werkzeug, qemu, quazip, quickjs,
	rockchip-mali, rsync, s6-linux-utils, sudo, tiff, uacme, uqmi,
	webkitgtk, wilc-driver, wpa_supplicant, wpewebkit,
	xdriver_xf86-video-qxl, znc

	Issues resolved (http://bugs.uclibc.org):

	#15306: glibc build fails in Docker container
	#15361: Buildroot linking error on Apple Silicon

2022.11.2, released March 1st, 2023

	Important / security related fixes.

	Fix make O=..._defconfig builds (regression in 2022.11.1).

	A number of additional/stricter checks have been added to
	./utils/check-package.

	Build host dependencies check extended to check for a number
	of specific perl modules to better handle distributions (like
	Fedora) with very fine grained perl packages. Also ensure
	build host has git >= 2.0.0 when using packages written in
	go/rust because the vendoring may need it.

	Defconfigs: ASUS tinker rk3288: Fix boot issue related to TPL

	Updated/fixed packages: afboot-stm32, apache, barebox, c-ares,
	elf2flt, freeswitch, fwts, gcc, gdal, git, gitlab-runner,
	ipmitool, kodi, libgit2, libks, libopenssl, libressl, live555,
	lua, lxc, mariadb, mesa3d-headers, modsecurity2, mongoose,
	netopeer2, nodejs, openjdk, openpowerlink, openvpn, opusfile,
	postgresql, proftpd, pugixml, python-future, python-idna, qt5,
	rtl8192eu, rtl8723ds, sdl2, sofia-sip, ssdp-responder, sudo,
	sunxi-mali-utgard, thermald, ti-sgx-km, tmux, uboot, upx, vim,
	webkitgtk, wolfssl, wpewebkit, xlib_libXpm,
	xserver_xorg-server, xxhash, xz, yajl, zabbix

	Issues resolved (http://bugs.uclibc.org):

	#15271: no start-qemu.sh
	#15281: Error compiling GDAL library for RPi-64 if libgdal-dev install..
	#15291: BR2_PACKAGE_GNU_EFI_ARCH_SUPPORTS without location
	#15301: Selecting NAND Flash boot media (NAND_BOOT) breaks the uboot..
	#15331: Warning on python-flit-core license when generating legal info

2022.11.1, released January 18th, 2023

	Important / security related fixes.

	Br2-external: Fix make performance issue when many (> 6)
	external trees are used together.

	Erofs: Use fixed timestamp and UUID when BR2_REPRODUCIBLE is
	used.

	Go: Ensure our go build and module cache is used, even for the
	download step.

	Legal-info: Stop warning about not saving sources for local /
	override packages if <PKG>_REDISTRIBUTE is set to NO.

	Linux: Fix build of < 5.6 kernels with host-gcc >= 10.

	A large number of NXP related packages and defconfigs have
	been updated as upstream moved the git repositories to Github.

	Defconfigs: zcu106, kria kv260: Fix U-Boot build

	Updated/fixed packages: asterisk, bearssl, botan, cairo,
	capnproto, check, checkpolicy, connman, containerd, crun,
	dbus-cxx, docker-cli, docker-engine, exempi, exfat,
	exfat-utils, falcosecurity-libs, fluidsynth, fmc, fmlib,
	freeradius-server, gcc, glib-networking, go,
	gobject-introspection, gperf, i2pd, ima-evm-utils,
	imx-alsa-plugins, imx-kobs, imx-lib, imx-m4fwloader,
	imx-mkimage, intel-microcode, janus-gateway, libcurl,
	libdeflate, libftdi1, libkcapi, libksba, libmbim, libmng,
	libpjsip, libtalloc, libuwsc, libxkbcommon, lpeg, lrzsz,
	lttng-tools, lua-cqueues, mali-driver, mbedtls, mfgtools,
	moby-buildkit, mutt, opensc, php, policycoreutils, polkit,
	postgresql, pptp-linux, qcom-db410c-firmware, qemu, qoriq-rcw,
	qt5virtualkeyboard, redis, rhash, rtl8189es, rtl8192eu,
	rtl_433, ruby, sqlite, swupdate, tealdeer, tekui, tiff,
	tinyxml, tor, webkitgtk, wireshark, wpasupplicant, wpewebkit,
	xr819-xradio, xdriver_xf86-video-imx-viv, xserver_xorg-server,
	xxhash, zip

	Issues resolved (http://bugs.uclibc.org):

	#14971: Kernel 3.10.108 fail to build in Buildroot 2022.08-rc1
	#14996: Too many directories in BR2_EXTERNAL causes hang during make
	#15161: kernel can't support SUBDIR
	#15196: Setting BR2_PACKAGE_RPI_FIRMWARE_CONFIG_FILE does not work
	#15226: lsblk: not found

2022.11, released December 5th, 2022

	Fixes all over the tree.

	Defconfigs: Nitrogen8*: Bump rootfs size, Zynqmp
	kv260/zcu102/zcu106: Update to Xilinx 2022.2,

	Updated/fixed packages: dash, dovecot, elf2flt, exim, gcc,
	gdb, git, kodi, libarchive, libmdbx, linuxptp, lxc,
	matchbox-keyboard, memcached, netsnmp, optee-client,
	python-scipy, python3, qt6base, qt6serialport, rtl8188eu,
	rtl8723bu, rtl8723ds, rtl8821au, vim, vlc, wilc-driver

	Removed packages: rabbitmq-server

	Issues resolved (http://bugs.uclibc.org):

	#15131: Target GDB uses internal zlib
	#15151: Busybox /etc/init.d scripts are not executable

2022.11-rc3, released November 24th, 2022

	Fixes all over the tree.

	Updated/fixed packages: asterisk, edk2, edk2-platforms,
	freerdp, gitlab-runner, gnupg2, gptfdisk, heimdal,
	igh-ethercat, iwd, libkrb5, libksba, libnss, libopenssl,
	mesa3d, nginx, nodejs, openpgm, python3, rsync, rtl8189es,
	rtl8723ds, samba4, sdl, sdl2, swupdate, sysstat, systemd,
	uboot, xen, xterm

	Issues resolved (http://bugs.uclibc.org):

	#15141: kernel 5.16.2 (realtime patch 19) fails to build

2022.11-rc2, released November 16th, 2022

	Fixes all over the tree.

	Removed defconfigs: Amarule a64 relic, ARM Juno, Bananapi M1 /
	M1 plus / M2 plus / M64, FriendlyARM NanoPC T4 / A64 / M1 / M1
	plus / M4 / Neo2 / Neo4 / Neo plus2 / R1 / Orangepi PC2 / Plus
	/ Prime / rk3399 / Win, Rock PC rk3399 / PI4 / N10.

	Updated/fixed packages: alsa-utils, arm-trusted-firmware,
	bdwgc, boost, botan, ca-certificates, crun, dbus-broker,
	docopt-cpp, dracut, efivar, freeipmi, gawk, gensio, gptfdisk,
	gsl, guile, imagemagick, ipmitool, libidn2, libkcapi,
	libopenssl, libqb, libuhttpd, libvncserver, linux,
	linux-tools, lxc, makedumpfile, matchbox-startup-monitor,
	mdio-tools, multipath-tools, mupdf, ntfs-3g, numactl,
	perl-net-ssleay, pixman, procps-ng, rpi-userland, rsync,
	s6-linux-init, socat, strongswan, sudo, swupdate, systemd,
	udisks, vlc, wavemon, wolfssl, zlib-ng

	Removed packages: libdcadec

	Issues resolved (http://bugs.uclibc.org):

	#15121: make nconfig failes with nvidia drivers and mesa3d selected

2022.11-rc1, released November 3rd, 2022

	Fixes all over the tree and new features.

	Architecture:

	- PowerPC: add Power9 CPU type
	- ARM: support dropped for iWMMXt processors

	Toolchain:

	- binutils 2.39 added, binutils 2.38 is now the default
	- gdb 12 added, gdb 11 is now the default
	- support for 5.18, 5.19 and 6.0 kernel headers
	- glibc updated to 2.36

	Filesystem:

	- Ability to use dracut to create an initramfs that contains a
          subset of the root filesystem contents.

	New packages: agent-proxy, catatonit, cni-plugins, crun,
	docopt-cpp, dracut, forge, kmemd, libmanette, mdio-tools,
	open-isns, python-editables, python-hatch-fancy-pypi-readme,
	python-hatch-vcs, python-hatchling, python-libevdev,
	python-minimalmodbus, python-pathspec, qt6-serialport,
	rtl8192eu, signal-estimator, slirp4netns, tinycompress

	More than 400 packages have been updated to a newer version.

	New defconfigs: ls1028ardb, qemu_aarch64_ebbr, visionfive.

	Issues resolved:

	#11776: qt5webengine 5.12.2 build failed with arm toolchain
	        and linaro toolchain
	#12131: qt5webengine builderror in the latest stable Buildroot
	        2019.05.01 version
	#13216: 2020.02.6 requires GNU find  utils
	#14601: Python build fails on 2022.02-rc2
	#14746: Lack of management after loading
	#14796: 64 bit time and seccomp conflict (OpenSSH  server crash)
	#14921: wpewebkit build fails because of internal  build order
	#14936: nodejs does not build
	#15006: toolchain Arm AArch64 toolchain 11.2-2022.02
	#15021: Buildroot not compiling with systemd  and glibc.
	#15026: package/udisks: install to staging
	#15061: Node.js Package fails to build against musl  i386
	#15071: RTL8723BS library is outdated

2022.08.3, released December 10th, 2022

	Important / security related fixes.

	Updated/fixed packages: asterisk, dash, dovecot, edk2,
	edk2-platforms, elf2flt, exim, freerdp, gcc, gdb, git, gnupg2,
	heimdal, iwd, kodi, libarchive, libkrb5, libksba, libmdbx,
	libopenssl, matchbox-keyboard, memcached, netsnmp, nginx,
	nodejs, openpgm, optee-client, python-scipy, python3, rsync,
	rtl8723bu, samba4, sdl, sdl2, swupdate, sysstat, systemd,
	uboot, vim, vlc, wilc-driver, xen, xterm

	Issues resolved (http://bugs.uclibc.org):

	15131: Target GDB uses internal zlib

2022.08.2, released November 16th, 2022

	Important / security related fixes.

	Defconfig: Aspeed ast2600evb: Correct FPU config, Kontron bl
	imx8mm: Bump U-Boot to fix build issue, Pine64: Change to
	mainline ATF to fix build issue, Zynqmp zcu102 / zcu106 / kria
	kv260: Fix pmufw reset issue

	Updated/fixed packages: arm-trusted-firmware, bind, botan,
	ca-certificates, collectd, darkhttpd, dbus, dbus-broker, dhcp,
	dnsmasq, docker-cli, docker-engine, exfatprogs, expat,
	f2fs-tools, faad2, ffmpeg, freerdp, gitlab-runner, glibc,
	gnutls, go, gpsd, gptfdisk, grub2, gsl, gst-omx,
	gst1-devtools, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, hdparm, hostapd, imagemagick,
	iwd, jack2, libbpf, libcurl, libidn2, libinput, libmdbx,
	libopenssl, libosip2, libpng, libtasn1, libtorrent-rasterbar,
	libuhttpd, libvncserver, libxml2, linux, linux-tools, lldpd,
	lrzip, lz4, matchbox-startup-monitor, meson, msmtp,
	multipath-tools, mupdf, musl, mv-ddr-marvell, mxml, nodejs,
	ntfs-3g, numactl, openssh, openvmtools, oracle-mysql,
	paho-mqtt-c, perl-net-ssleay, php, pixman, poppler, procps-ng,
	python-django, python3, qdecoder, redis, rpi-userland, rsync,
	rtl8189es, rtl8189fs, rtl8723bu, rtl8723ds,
	rtl8812au-aircrack-ng, rtl8821au, rtl_433, samba4, shapelib,
	socat, sqlite, squashfs, squid, strongswan, sudo, swupdate,
	timescaledb, uclibc-ng-test, udisks, uftp, uhd, umtprd,
	usbguard, vim, vlc, volk, wavemon, wilc-driver,
	wireguard-linux-compat, wolfssl, wpa_supplicant, wpewebkit,
	zlib-ng, zsh

	Issues resolved (http://bugs.uclibc.org):

	#14936: nodejs does not build
	#15026: package/udisks: install to staging
	#15061: Node.js Package fails to build against musl i386

2022.08.1, released October 2nd, 2022

	Important / security related fixes.

	Updated/fixed packages: botan, busybox, docker-cli,
	docker-engine, expat, git, haproxy, heirloom-mailx, icu,
	imx-gpu-viv, libconfuse, libmdbx, libupnp, libxml2,
	ltp-testsuite, m4, makedevs, mariadb, mesa3d, meson,
	mosquitto, ncurses, openssh, pango, python3, qlibc,
	qt5xmlpatterns, rtl8189es, rtl8723bu, rt8723ds,
	rtl8812au-aircrack-ng, runc, sox, tinyproxy, uacme, unbound,
	unzip, vim, xtables-addons

	Issues resolved (http://bugs.uclibc.org):

	#14796: 64 bit time and seccomp conflict (OpenSSH server crash)
	#14921: wpewebkit build fails because of internal build order

2022.08, released September 10th, 2022

	Fixes all over the tree.

	Autotools: Drop --runstatedir=/run as it causes build issues
	with older packages

	Defconfigs: rockpro64: Change to mainline ATF to fix build issue

	Updated/fixed packages: dhcpd, fwup, gcc, gdb, go, linux-tools,
	minidlna, mosquitto, mv-ddr-mervell, networkd-dispatcher,
	optee-os, polkit, python-pillow, python3, sconeserver, uuu,
	wolfssl

2022.08-rc2, released September 1st, 2022

	Fixes all over the tree.

	dependencies: Ensure 'find' and 'xargs' are available on the
	build host.

	A large number of typo fixes.

	Defconfigs: bananapi m1, olimex a20/a33/lime: Use standard FPU
	configuration, pine64_sopine: Use mainline ATF to fix build

	Updated/fixed packages: ace, alsa-utils, busybox, cups,
	dbus-broker, directfb, domoticz, drbd-utils, edk2,
	edk2-platforms, ffmpeg, freeradius-server, freeswitch, gauche,
	gcc, gdb, glibc, gnutls, gst1-plugins-bad, gst1-plugins-good,
	hawktracer, igd-ethercat, imagemagick, intel-mediadriver,
	jack2, jose, jpeg, jquery-ui-themes, kodi, libcamera, libdill,
	libgit2, libglvnd, libgpg-error, libgpgme, libinput, libp11,
	libsepol, libtirpc, libvirtd, libvncserver, libwpe, libzlib,
	linux, linux-tools-perf, llvm, lshw, makedumpfile,
	mali-driver, memcached, minetest, mutt, ne10, netsniff-ng,
	ntpsec, ocrad, ola, opencv4, openocd, opensc, optee-os,
	pcsc-lite, postgresql, protobuf, pulseaudio, python-autobahn,
	python-paho-mqtt, python-protobuf, python-pygame, python3, qemu,
	qoriq-cadence-dp-firmware, qt5doc, qt6base, ranger, rng-tools,
	rsync, rustc, sconeserver, sdl2, snort, sqlite, squid,
	stress-ng, strongswan, sunxi-mali-utgard-driver, sysdig,
	sysklogd, syslinux, syslog-ng, tcf-agent, tcpreplay,
	tesseract-ocr, uacme, uboot-tools, uclibc, udpcast, usbguard,
	v4l2loopback, vim, webkitgtk, wolftpm, wpewebkit, xenomai,
	xserver_xorg-server, zeek, zerofree

2022.08-rc1, released August 12th, 2022

	Fixes all over the tree and new features.

	Architecture

	- Support for NDS32 removed
	- Support for C-SKY removed
	- Support for configurable page size on ARM64 added
	- Architecture menu re-organized: the MMU selection now
	  appears in this architecture menu.

	Toolchain:

	- GCC 12.x support added, GCC 11.x is now the default
	  compiler, and support for building a GCC 9.x toolchain has
	  been removed.
	- glibc bumped to 2.35-134-gb6aade18a7e5719c942aa2da6cf3157aca993fa4
	- uclibc bumped to 1.0.42
	- BR2_GCC_ENABLE_LTO option removed, the toolchain is now
	  always built with LTO support. The new option BR2_ENABLE_LTO
	  enables the use of LTO in a subset of packages that have
	  explicit handling for LTO.
	- GDB enabled on OpenRISC.
	- Toolchain menu now appears before "Build options". The
	  selection of the C library now determines whether static
	  library (BR2_STATIC_LIBS) will be available or not, instead
	  of the other way around.

	Filesystem:

	- genimage.cfg files now use shortcuts from genimage for the
	  GUID of well-known GPT partitions.

	Bootloaders:

	- U-Boot can now be built with host-gnutls as a dependency,
	  needed for some configurations
	- OP-TEE can now be built with host-python-pillow as a
	  dependency, needed for some configurations.
	- OP-TEE source can now be retrieved from a custom tarball
	  URL.
	- Grub has been bumped to 2.06.

	Over 390 packages updated.

	New defconfigs: aspeed_ast2500evb, aspeed_ast2600evb,
	broadcom_northstar, canaan_kd233, qemu_riscv64_nommu_virt,
	sipeed_maix_bit, sipeed_maix_bit_sdcard, sipeed_maix_dock,
	sipeed_maix_dock_sdcard, sipeed_maix_go,
	sipeed_maix_go_sdcard, sipeed_maixduino,
	sipeed_maixduino_sdcard

	Removed defconfigs: andes_ae300, csky_gx6605s,
	friendlyarm_nanopi_neo, minnowboard_max-graphical

	New packages: clpeak, compiler-rt, crucible, dbus-broker, dht,
	double-conversion, dust, freeradius-server, gdal, hawktracer,
	hyperfine, libb2, libdeflate, libdill, mbw, mender-connect,
	minizip-zlib, nerdctl, ntpsec, opencl-hpp, opensc,
	python-alembic, python-appdirs, python-beniget,
	python-construct, python-dtschema, python-gast, python-kflash,
	python-lark, python-maturin, python-mypy-extensions,
	python-pylibfdt, python-pythran, python-pyrsistent,
	python-qrcode, python-rfc3987, python-rtoml,
	python-ruamel-yaml, python-scipy, python-typeguard,
	python-typing-inspect, python-zlmdb, qt6base, rtl8723ds,
	spirv-llvm-translator, tealdeer, uuu, vis-network, volk,
	wolftpm, zeek, zerofree

	Removed packages: rtl8723bs

	Issues resolved:

	#14556: python-crossbar fails to build
	#14951: boost compile error when running make  silently
	#14646: OpenSSH 8.9p1 compiler error under mipsel
	#14841: support/download/git fails with "fatal: No  such remote
		'origin'" due to incorrect check for origin remote
	#13356: libabseil-cpp: not building for raspberry pi
	#14911: host-python3 build needs python3 on the host
	#13831: mesa3d - kmsro driver requires dri3
	#13816: xstart failed since update the x11 libraries
	#13796: Problems compiling package gst-plugins-good
	#14191: patchelf v0.9 corrupt Nvidia shared  libraries
	#14891: sudo: group setup fails since commit  9b7f8da96b
	#14881: Watchdogd Package missing INSTALL_STAGING
	#14876: arm-trusted-firmware can no longer be  compiled with fPIE

2022.05.3, released October 2nd, 2022

	Important / security related fixes.

	Fixed compatibility issue with make 4.3 and the 'printvars' /
	'show-vars' commands.

	Dependencies: Ensure 'find' and 'xargs' are available on the
	build host.

	A large number of typo fixes.

	Defconfigs: Galileo: Fix defconfig syntax, Licheepi zero: Fix
	U-Boot dependencies, Bananapi m1, Olimx a20 olinuxino lime
	1+2, a33 olinuxino: Use standard FPU configuration, Pine 64
	sopine, Rockpro 64: Change to mainline ATF to fix build issue.

	Updated/fixed packages: ace, arm-trusted-firmware,
	babeltrace2, boost, botan, busybox, clamav, cog, containerd,
	cups, dhcpcd, directfb, docker-cli, docker-engine, connman,
	edk2, edk2-platform, elf2flt, expat, ffmpeg, ficl, freeswitch,
	gcc, gdb, git, glibc, gnutls, go, gocryptfs, graphicsmagick,
	grub2, gst1-plugins-bad, gst1-plugins-good, heirloom-mailx,
	icu, igh-ethercat, imagemagick, imx-gpu-viv, jack2, jose,
	jpeg, jquery-ui-themes, kodi, kvm-unit-tests, libcamera,
	libconfuse, libfreeimage, libglvnd, libgpg-error, libinput,
	libmdbx, libp11, libsepol, libtirpc, libupnp, libvirt,
	libvncserver, libwpe, libxml2, libzlib, linux, linux-tools,
	lshw, m4, makedevs, mali-driver, mariadb, memcached, mesa3d,
	minidlna, mosquitto, mutt, mv-ddr-marvell, ncurses, ne10,
	netsniff-ng, networkd-dispatcher, ocrad, ola, opencv4,
	openocd, openssh, openvmtools, pango, pcsc-lite, pistache,
	polkit, postgis, postgresql, python-crossbar,
	python-paho-mqtt, python-pygame, python-service-identity,
	python-txdbus, python3, qemu, qlibc,
	qoriq-cadence-dp-firmware, qt5xmlpatterns, ranger, redis,
	rng-tools, rsync, rsyslog, rtl8189es, rtl8723bu, runc, rustc,
	sconeserver, sdl2, snort, sox, sqlite, squid, stress-ng,
	strongswan, sunxi-mali-utgard-driver, sysdig, syslinux,
	syslog-ng, tcf-agent, tcpreplay, tesseract-ocr, tinyproxy,
	uacme, uboot-tools, uclibc, unzip, usbguard, v4l2loopback,
	vim, waffle, webkitgtk, weston, wolfssl, wpewebkit, xfsprogs,
	xserver_xorg-server, xtables-addons, zziplib

	Issues resolved:

	#13216: [Documentation] 2020.02.6 requires GNU find utils
	#14556: python-crossbar fails to build
	#14796: 64 bit time and seccomp conflict (OpenSSH server crash)
	#14951: boost compile error when running make  silently

2022.05.2, released August 31st, 2022

	Important / security related fixes.

	dependencies: Ensure 'cmp' is available on the build host.

	pkg-utils: The KCONFIG_ENABLE_OPT macro used to enforce a specific
	Kconfig option to be enabled (E.G. for kernel options needed by
	packages) no longer changes a =m (modular) with =y (built in).

	check-host-rpath: Silence readelf warnings when clang is used

	GCC 10.x updated to 10.4.0

	Defconfigs: Kria kv260: Fix u-boot configuration

	Updated/fixed packages: apg, arm-trusted-firmware, assimp,
	bayer2rgb-neon, bind, bird, cog, cwiid, diffutils, freerdp,
	fluidsynth, gcc, gdk-pixbuf, glibc, glslsandbox-player,
	gnupg2, gtest, i2pd, jack2, jquery-validation, jszip,
	kvm-unit-tests, libbsd, libcamera, libcurl, libest, libiio,
	libkrb5, libopenssl, libp11, libpsl, libwebsockets, localedef,
	luasyslog, lxc, mbedtls, mstpd, mutt, netdata, netsniff-ng,
	nodejs, nvidia-driver, ola, openssl, opkg-utils, paho-mqtt-c,
	pango, pcsc-lite, perl, perl-crypt-openssl-rsa, pimd, poppler,
	postgis, powerpc-utils, pppd, protobuf-c, pulseaudio,
	python-bottle, python-django, python-lxml, python3, qt5webkit,
	redis, rpi-userland, rsyslog, runc, rustc, sconeserver,
	sg3_utils, shadowsocks-libev, stellarium, suricata, swupdate,
	tcpreplay, uacme, uclibc, v4l2loopback, webkitgtk,
	wilc-driver, wine, wpewebkit, xdg-dbus-proxy,
	xserver_xorg-server, zeromq, zfs, zlib-ng

	Issues resolved (http://bugs.uclibc.org):

	#13796: Problems compiling package gst-plugins-good

2022.05.1, released July 24th, 2022

	Important / security related fixes.

	Disable big endian no-mmu on ARM as it is not supported by
	elf2flt.

	Tighten dependencies for external Bootlin toolchains to ensure
	they can only be selected in compatible configurations.

	Support external toolchains without gdbserver.

	Updated/fixed packages: apache, avahi, bdwgc, bind, bpftool,
	cups, darkhttpd, dmalloc, ecryptfs-utils, fxload, ghostscript,
	gnutls, gst-omx, gst1-devtools, gst1-libav, gst1-plugins-base,
	gst1-plugins-bad, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, gtest, iptables, keyutils, lcms2,
	libabseil-cpp, libcamera, libcurl, libeastl, libgpgme,
	libgtk3, libmdbx, libmediaart, libmodsecurity, libnetconf2,
	libopenssl, libpjsip, libsamplerate, libsndfile, libtalloc,
	logrotate, luajit, nginx, noip, paxtest, php, postgresql,
	procrank_linux, pure-ftpd, python-pillow, qdecoder,
	rabbitmq-server, rpi-userland, ruby, rustc, sofia-sip,
	systemd, tcpreplay, tinyproxy, tor, uacme, uboot-tools, vim,
	watchdogd, webkitgtk, weston, wireguard-linux-compat,
	wpa_supplicant, wpewebkit, zstd

	Issues resolved (http://bugs.uclibc.org):

	#14881: Watchdogd Package missing INSTALL_STAGING

2022.05, released June 6th, 2022

	Fixes all over the tree.

	Rework BR2_STATIC_LIBS handling to ensure it can only be
	enabled if a suitable C library is available.

	Updated/fixed packages: arm-trusted-firmware, at91bootstap,
	boinc, boost, cpulimit, diffutils, edk2, eigen, fbv, gcr,
	gensio, glibc, go, gtest, iucode-tool, kvm-unit-tests, libcec,
	libcurl, libks, linux, linux-tools, lttng-modules, mariadb,
	memcached, mono, musl, mutt, netdata, network-manager, nginx,
	ogre, openjpeg, openvpn, pipewire, python-crossbar, qemu,
	qpid-proton, rauc, rockchip-mali, rsyslog,
	rtl8812au-aircrack-ng, ruby, runc, rustc, samba4, tiff,
	uclibc, unrar, vim, webkitgtk, wpewebkit,
	xdriver_xf86-video-ati, xml-security-c, zchunk, zlib-ng

	Issues resolved (http://bugs.uclibc.org):

	#14821: Samba server is failing to compile
	#14826: make qemu_x86_64_defconfig stopped working

2022.05-rc2, released May 30th, 2022

	Fixes all over the tree.

	Defconfigs: qemu_ppc64*: Use binutils 2.36.1 to fix build
	issue, qemu_arm_vexpress_tz: Fix optee-os build issue,
	qemu_arm_versatile_nommu: Drop now that nommu for ARMv5 is no
	longer available

	Updated/fixed packages: dhcp, edk2, gcr, glibc, i2pd, janet,
	janus-gateway, libfreeimage, libnftnl, libnss, libodb-boost,
	libostree, libwebsockets, linux-tools, midori, ntfs-3g, ola,
	optee-client, pcsc-lite, pipewire, python-flask,
	python-service-identity, python-werkzeug, qemu, rng-tools,
	rockchip-mali, strace, xdriver_xf86-video-amdgpu

	Removed packages: ktap

2022.05-rc1, released May 18th, 2022

	Fixes all over the tree and new features.

	Toolchain:
	- glibc update to 2.35, musl updated to 1.2.3
	- gcc 11.x updated to 11.3, support for external gcc 12.x
	- binutils 2.38 added, 2.32/2.35.2 removed, default changed to 2.37
	- s390x Bootlin external toolchain added
	- 5.17.x kernel headers support added

	Filesystem:
	- Rework OCI entrypoint/command logic to handle command arguments
	- Squashfs block size is now configurable

	Graphs: Also generate a build time timeline graph (for top
	level parallel builds).

	scripts/pkg-stats: Optimize memory consumption for CPE parsing

	Fix compatibility issue with the fakeroot script logic and
	modern versions of dash.

	Change git:// URLs pointing to Github to https://, now that
	Github has turned off support for git://

	New defconfigs: Octavo osd32mp1_brk / osd32mp1_red

	New packages: falcosecurity-libs, lzma-alone, octave,
	python-flit-core, python-orjson, python-pydevmem,
	qt5webengine-chromium, qt5webengine-chromium-catapult, ragel,
	tbb, wilc-driver, wtfutil

	Wilc1000-firmware renamed to wilc-firmware

	Issues resolved (http://bugs.uclibc.org):

	#14596: package dialog is outdated and contains a bug
	#14651: OpenSSH 8.9p1 compiler error under ARM
	#14656: Adding dependencies from an external tree does not work
	#14661: Fakeroot script relies on bash-isms, does not work with..
	#14681: QT5WEBENGINE not building
	#14686: genimage.cfg have a hard-coded .ext4 extension which..
	#14701: Multiple unresolved symbols while building kernel ..
	#14706: nodjs build problem
	#14711: nodjs build problem missing bzip
	#14721: python-argon2_cffi no longer works
	#14731: BR2_PACKAGE_IOSTAT
	#14751: LVM2 Outdated Link

2022.02.12, released May 5th, 2023

	Important / security related fixes.

	Updated/fixed packages: agentpp, apache, ca-certificates,
	containerd, coremark, dcron, eudev, ffmpeg, git,
	intel-microcode, kexec, lcdproc, libmicrohttpd, libosmium,
	libxml2, linux-tools, matio, osm2pgsql, poppler, postgresql,
	protozero, python-web2py, runc, s390-tools, samba4, snmppp,
	sudo, tcpdump, uclibc, vim, webkitgtk, wpewebkit,
	xserver_xorg-server

2022.02.11, released March 19th, 2023

	Important / security related fixes.

	Updated/fixed packages: apache, apr, apr-util, asterisk,
	at91dataflashboot, audit, bash, bind, bridge-utils, clamav,
	dmalloc, exfat, exfat-utils, f2fs-tools, gcc, git,
	glslsandbox-player, go, haproxy, intel-gmmlib, ipmiutil, less,
	libblockdev, libcurl, libev, libgcrypt, libmad, libmdbx,
	libmodsecurity, libolm, libpjsip, lttng-babeltrace, mender,
	mpv, mutt, mxs-bootlets, opensbi, opus, paho-mqtt-c,
	pcm-tools, php, proxychains-ng, python-django,
	python-m2crypto, python-werkzeug, quazip, quickjs,
	rockchip-mali, rsync, sudo, tiff, uacme, uqmi, webkitgtk,
	wpebackend-fdo, wpewebkit, xdriver_xf86-video-qxl, znc

	Issues resolved (http://bugs.uclibc.org):

	#15306: glibc build fails in Docker container
	#15361: Buildroot linking error on Apple Silicon

2022.02.10, released March 1st, 2023

	Important / security related fixes.

	Fix make O=..._defconfig builds (regression in 2022.02.9).

	A number of additional/stricter checks have been added to
	./utils/check-package.

	Build host dependencies check extended to check for a number
	of specific perl modules to better handle distributions (like
	Fedora) with very fine grained perl packages. Also ensure
	build host has git >= 2.0.0 when using packages written in
	go/rust because the vendoring may need it.

	Defconfigs: ASUS tinker rk3288: Fix boot issue related to TPL

	Updated/fixed packages: afboot-stm32, apache, barebox, c-ares,
	elf2flt, freeswitch, fwts, gcc, git, kodi, libgit2, libks,
	libopenssl, live555, lua, lxc, mesa3d-headers, modsecurity2,
	netopeer2, openjdk, openpowerlink, openvpn, opusfile,
	postgresql, pugixml, python-future, qt5, sdl2, sofia-sip,
	ssdp-responder, sudo, sunxi-mali-utgard, ti-sgx-km, tmux,
	uboot, upx, vim, webkitgtk, wolfssl, wpewebkit, xlib_libXpm,
	xserver_xorg-server, xxhash, xz, yajl, zabbix

	Issues resolved (http://bugs.uclibc.org):

	#15271: no start-qemu.sh
	#15291: BR2_PACKAGE_GNU_EFI_ARCH_SUPPORTS without location
	#15301: Selecting NAND Flash boot media (NAND_BOOT) breaks the uboot..

2022.02.9, released January 18th, 2023

	Important / security related fixes.

	Br2-external: Fix make performance issue when many (> 6)
	external trees are used together.

	Erofs: Use fixed timestamp and UUID when BR2_REPRODUCIBLE is
	used.

	Go: Ensure our go build and module cache is used, even for the
	download step.

	Legal-info: Stop warning about not saving sources for local /
	override packages if <PKG>_REDISTRIBUTE is set to NO.

	Linux: Fix build of < 5.6 kernels with host-gcc >= 10.

	A large number of NXP related packages and defconfigs have
	been updated as upstream moved the git repositories to Github.

	Updated/fixed packages: asterisk, bearssl, botan, cairo,
	capnproto, check, checkpolicy, connman, containerd,
	docker-cli, docker-engine, exempi, exfat, exfat-utils, fmc,
	fmlib, glib-networking, go, gobject-introspection, gperf,
	i2pd, ima-evm-utils, imx-alsa-plugins, imx-kobs, imx-lib,
	imx-m4fwloader, imx-mkimage, intel-microcode, janus-gateway,
	libcurl, libftdi1, libksba, libmbim, libmng, libpjsip,
	libtalloc, libuwsc, libxkbcommon, linux, lpeg, lrzsz,
	lttng-tools, lua-cqueues, mbedtls, mfgtools, mutt, php,
	policycoreutils, polkit, postgresql, pptp-linux,
	qcom-db410c-firmware, qemu, qoriq-rcw, qt5virtualkeyboard,
	rhash, rtl_433, ruby, sqlite, swupdate, tekui, tiff, tinyxml,
	tor, wayland, wireshark, wpa_supplicant,
	xdriver_xf86-video-imx-viv, xserver_xorg-server, xxhash, zip

	Issues resolved (http://bugs.uclibc.org):

	#14971: Kernel 3.10.108 fail to build in Buildroot 2022.08-rc1
	#14996: Too many directories in BR2_EXTERNAL causes hang during make
	#15161: kernel can't support SUBDIR
	#15196: Setting BR2_PACKAGE_RPI_FIRMWARE_CONFIG_FILE does not work
	#15226: lsblk: not found

2022.02.8, released December 10th, 2022

	Important / security related fixes.

	Updated/fixed packages: asterisk, dash, dovecot,
	dovecot-pigeonhole, edk2, edk2-platforms, elf2flt, exim,
	freerdp, gcc, gdb, git, gnupg2, heimdal, iwd, kodi,
	libarchive, libmdbx, libkrb5, libksba, libopenssl, memcached,
	netsnmp, nginx, openpgm, optee-client, python3, rsync,
	rtl8723bu, samba4, sdl, sdl2, swupdate, sysstat, systemd,
	uboot, vim, vlc, xen, xterm

	Issues resolved (http://bugs.uclibc.org):

	#15131: Target GDB uses internal zlib

2022.02.7, released November 17th, 2022

	Important / security related fixes.

	Defconfig: Pine64: Change to mainline ATF to fix build
	issue, Zynqmp zcu102 / zcu106: Fix pmufw reset issue

	Updated/fixed packages: arm-trusted-firmware, bind, botan,
	collectd, darkhttpd, dbus, dhcp, dnsmasq, docker-cli,
	docker-engine, exfatprogs, expat, f2fs-tools, faad2, ffmpeg,
	freerdp, gnutls, go, gpsd, grub2, gsl, gst-omx, gst1-devtools,
	gst1-libav, gst1-plugins-bad, gst1-plugins-base,
	gst1-plugins-good, gst1-plugins-ugly, gst1-python,
	gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, hdparm, hostapd, imagemagick,
	iwd, jack2, libbpf, libcurl, libfribi, libidn2, libinput,
	libmdbx, libopenssl, libosip2, libpng, libtasn1,
	libtorrent-rasterbar, libuhttpd, libvncserver, libxml2, linux,
	linux-tools, lldpd, lrzip, lz4, matchbox-startup-monitor,
	msmtp, multipath-tools, mupdf, musl, mv-ddr-marvell, mxml,
	nodejs, ntfs-3g, numactl, openvmtools, oracle-mysql,
	paho-mqtt-c, perl-net-ssleay, php, pixman, poppler, procps-ng,
	python-django, python3, qdecoder, rpi-userland, rsync,
	rtl8189es, rtl8189fs, rtl8723bu, rtl8812au-aircrack-ng,
	rtl8821au, rtl_433, samba4, shapelib, socat, squid, sqlite,
	squashfs, strongswan, sudo, swupdate, timescaledb, u-boot,
	uclibc-ng-test, udisks, uftp, uhd, umtprd, vim, wavemon,
	wireguard-linux-compat, wolfssl, wpa_supplicant, wpewebkit,
	zlib-ng, zsh

	Issues resolved (http://bugs.uclibc.org):

	#15026: package/udisks: install to staging
	#15061: Node.js Package fails to build against musl i386

2022.02.6, released October 2nd, 2022

	Important / security related fixes.

	Fixed compatibility issue with make 4.3 and the 'printvars' /
	'show-vars' commands.

	Dependencies: Ensure 'find' and 'xargs' are available on the
	build host.

	A large number of typo fixes.

	Defconfigs: Galileo: Fix defconfig syntax, Licheepi zero: Fix
	U-Boot dependencies, Bananapi m1, Olimx a20 olinuxino lime
	1+2, a33 olinuxino: Use standard FPU configuration, Pine 64
	sopine, Rockpro 64: Change to mainline ATF to fix build issue.

	Updated/fixed packages: ace, arm-trusted-firmware,
	babeltrace2, boost, botan, busybox, clamav, cog, connman,
	containerd, cups, dhcpcd, directfb, docker-cli, docker-engine,
	edk2, edk2-platforms, elf2flt, expat, ffmpeg, ficl,
	freeswitch, freetype, gcc, gdb, git, gnutls, go,
	graphicsmagic, grub2, gst1-plugins-bad, gst1-plugins-good,
	heirloom-mailx, icu, igh-ethercat, imagemagick, imx-gpu-viv,
	jose, jpeg, jquery-ui-themes, kodi, libconfuse, libfreeimage,
	libglvnd, libgpg-error, libinput, libmdbx, libsepol, libtirpc,
	libupnp, libvirt, libvncserver, libwpe, libxml2, libzlib,
	linux, linux-tools, lshw, m4, makedevs, makedumpfile,
	mali-driver, mariadb, memcached, mesa3d, minidlna, mosquitto,
	mutt, mv-ddr-marvell, ncurses, ne10, netsniff-ng,
	networkd-dispatcher, ocrad, opencv4, openocd, openssh, pango,
	pcsc-lite, polkit, postgis, postgresql, python-paho-mqtt,
	python-pygame, python3, qemu, qlibc,
	qoriq-cadence-dp-firmware, qt5xmlpatterns, ranger, rng-tools,
	rsync, rsyslog, rtl8189es, rtl8723be, runc, rustc,
	sconeserver, sdl2, snort, sox, sqlite, squid, stress-ng,
	strongswan, sunxi-mali-utgard-driver, syslinux, syslog-ng,
	tcf-agent, tcpreplay, tesseract-ocr, tinyproxy, uacme,
	uboot-tools, uclibc, unzip, usbguard, v4l2loopback, vim,
	webkitgtk, wolfssl, wpewebkit, xfsprogs, xserver_xorg-server,
	xtables-addons, zziplib

	Issues resolved:

	#13216: [Documentation] 2020.02.6 requires GNU find utils
	#14796: 64 bit time and seccomp conflict (OpenSSH server crash)
	#14951: boost compile error when running make silently

2022.02.5, released August 31st, 2022

	Important / security related fixes.

	dependencies: Ensure 'cmp' is available on the build host.

	pkg-utils: The KCONFIG_ENABLE_OPT macro used to enforce a specific
	Kconfig option to be enabled (E.G. for kernel options needed by
	packages) no longer changes a =m (modular) with =y (built in).

	check-host-rpath: Silence readelf warnings when clang is used

	GCC 10.x updated to 10.4.0

	Updated/fixed packages: apg, arm-trusted-firmware, assimp,
	bayer2rgb-neon, bind, bird, cog, cwiid, diffutils, fluidsynth,
	freerdp, gcc, glibc, glslsandbox-player, gdk-pixbuf, gnupg2,
	gtest, i2pd, jack2, jquery-validation, jszip, libbsd, libcamera,
	libcurl, libest, libiio, libkrb5, libopenssl, libpsl,
	luasyslog, lxc, mbedtls, mstpd, mutt, netdata, netsniff-ng,
	nodejs, nvidia-driver, openssl, opkg-utils, paho-mqtt-c,
	pango, pcsc-lite, perl, pimd, poppler, postgis, powerpc-utils,
	pppd, protobuf-c, pulseaudio, python-bottle, python-django,
	python-lxml, python3, qt5webkit, rpi-userland, rsyslog, runc,
	rustc, sconeserver, sg3_utils, shadowsocks-libev, suricata,
	tcpreplay, uacme, uclibc, v4l2loopback,, webkitgtk, wine,
	wpewebkit, xdg-dbus-proxy, xserver_xorg-server, zeromq, zfs,
	zlib-ng

	Issues resolved (http://bugs.uclibc.org):

	#13796: Problems compiling package gst-plugins-good
	#14926: package/nodejs: build for host fails with GTEST errors

2022.02.4, released July 28th, 2022

	Important / security related fixes.

	Disable big endian no-mmu on ARM as it is not supported by
	elf2flt.

	Tighten dependencies for external Bootlin toolchains to ensure
	they can only be selected in compatible configurations.

	Support external toolchains without gdbserver.

	Updated/fixed packages: apache, avahi, bdwgc, bind, bpftool,
	cups, darkhttpd, dmalloc, ecryptfs-utils, fxload, ghostscript,
	gnutls, gst-omx, gst1-devtools, gst1-libav, gst1-plugins-base,
	gst1-plugins-bad, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, gtest, iptables, keyutils, lcms2,
	libabseil-cpp, libcamera, libcurl, libeastl, libgpgme,
	libgtk3, libmdbx, libmediaart, libmodsecurity, libnetconf2,
	libopenssl, libpjsip, libsamplerate, libsndfile, libtalloc,
	logrotate, luajit, nginx, noip, paxtest, php, postgresql,
	procrank_linux, pure-ftpd, python-pillow, qdecoder,
	rabbitmq-server, rpi-userland, rustc, sofia-sip, systemd,
	tcpreplay, tinyproxy, tor, uacme, uboot-tools, vim, watchdogd,
	webkitgtk, wireguard-linux-compat, wpa_supplicant, wpewebkit,
	zstd

	Issues resolved (http://bugs.uclibc.org):

	#14881: Watchdogd Package missing INSTALL_STAGING

2022.02.3, released June 19th, 2022

	Important / security related fixes.

	Infrastructure: Fix building under paths containing regex
	characters (E.G. '+')

	Toolchain: Only allow ppc64le variants for which a
	glibc/musl/uclibc toolchain is supported.
	Mark codescape mti/img mips toolchains as shared library only
	(glibc).

	Updated/fixed packages: arm-trusted-firmware,
	at91dataflashboot, boinc, dhcp, diffutils, edk2, fbv, gensio,
	glibc, go, gtest, iucode-tool, janet, libcec, libcurl,
	libfreeimage, libnftnl, libodb-boost, linux, linux-tools,
	lttng-modules, mariadb, memcached, mono, mutt,
	network-manager, nginx, ntfs-3g, ogre, openjpeg, openvpn,
	qemu, qpid-proton, qt5webengine, rauc, rockchip-mali, rsyslog,
	ruby, runc, rustc, samba4, strace, tiff, uclibc, unrar, vim,
	webkitgtk, wpewebkit, xdriver_xf86-video-amdgpu,
	xdriver_xf86-video-ati, zlib-ng

	New packages: qt5webengine-chromium,
	qt5webengine-chromium-catapult

	Issues resolved (http://bugs.uclibc.org):

	#14766: package dhcp on buildroot 2022.02.1 failed
	#14821: Samba server is failing to compile
	#14826: make qemu_x86_64_defconfig stopped working

2022.02.2, released May 29th, 2022

	Important / security related fixes.

	Archictures: Drop sh2a, correct x86 Bonnell variant

	Toolchain: Bump GCC 11.x to 11.3, correct pre-installed
	external toolchain logic when toolchain is available in path.

	Rework OCI filesystem entrypoint/command logic to handle
	command arguments

	Defconfigs: Update Zynqmp zcu102/106 to final 2022.1 release,
	fix zcu106 PLL config

	Updated/fixed packages: adwaita-icon-theme, afboot-stm32,
	aircrack-ng, alchemy, alsa-lib, arptables, assimp, asterisk,
	aubio, avrdude, azure-iot-sdk-c, batman-adv, binutils,
	bpftool, brotli, cairo, cifs-utils, clamav, cryptodev-linux,
	dhcp, diffutils, dmalloc, duktape, e2fsprogs, elf2flt, espeak,
	expat, ffmpeg, fluidsynth, freerdp, gcc, git, glorytun,
	glslsandbox-player, gnutls, go, gst1-imx, gst1-plugins-good,
	gzip, imagemagick, janus-gateway, keepalived, kompexsqlite,
	kvm-unit-tests, libarchive, libcgi, libcurl, libevdev,
	libeXosip2, libhtp, libinput, libkcapi, libkrb5, libks,
	libmdbx, libmnl, libnpupnp, libnspr, libopenssl, liboping,
	libpjsip, libpri, libselinux, libsigsegv, libv4l,
	libwebsockets, libxml2, linux, linux-tools, ltp-testsuite,
	luajit, lvm2, mali-driver, mariadb, mc, minizip, mpd, mutt,
	netatalk, netsurf, network-manager, nodejs, numactl, nut,
	omniorb, openbox, opencv4, openjdk, openjdk-bin, openocd,
	pamtester, pango, pcre2, php, php-apcu, pinentry, pixman,
	polkit, postgis, postgresql, pure-ftpd, python-aenum,
	python-avro, python-django, python-pillow, python-simplejson,
	python-urllib3, python-zopfli, python3, qemu, qpdf, quazip,
	redis, rockchip-mali, rsync, rt-tests, rust, rtl8818eu,
	rtl8189es, rtl8189fs, rtl_433, sam-ba, samba4, sdl2_ttf,
	shadowsocks-libev, shim, subversion, sun20i-d1-spl, suricata,
	systemd, tftpd, trinity, tvheadend, udev, uftrace,
	urandom-scripts, usb_modeswitch, valgrind, vde2, vim,
	wireplumber, wolfssl, wpa_supplicant, xlib_libXfont2, xz,
	zlib, zlog

	Issues resolved (http://bugs.uclibc.org):

	#14751: LVM2 Outdated Link

2022.02.1, released April 11th, 2022

	Important / security related fixes.

	Graphs: Also generate a build time timeline graph (for top
	level parallel builds).

	scripts/pkg-stats: Optimize memory consumption for CPE parsing

	Fix compatibility issue with the fakeroot script logic and
	modern versions of dash.

	Change git:// URLs pointing to Github to https://, now that
	Github has turned off support for git://

	Updated/fixed packages: ace, apache, apr, apr-util, belr,
	bind, bluez5_utils, boinc, bpftool, busybox, cloop, cog,
	containerd, cppcms, dav1d, dhcp, dieharder, dnsmasq,
	docker-cli, docker-engine, efl, ell, fakeroot, flac,
	fluidsynth, gdk-pixbuf, glib-networking, gnutls, gst-omx,
	gst1-devtools, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, haproxy, htop, intel-gmmlib,
	ipmiutil, iwd, jack1, jack2, lftp, libabseil-cpp, libbluray,
	libcamera-apps, libcoap, libcurl, libest, libgee, libglib2,
	libgtk3, libiec61850, libkrb5, libminiupnpc, libodb,
	libodb-boost, libopenssl, libp11, libpsl, libressl, librstp,
	librtlsdr, liburing, libyang, libzlib, luasec, lxc, matio,
	meson, minidlna, minizip, mpd, mtools, netatalk, nbd, odb,
	openblas, openssh, openvpn, optee-os, opus, paho-mqtt-c,
	pango, php, pipewire, pkcs11-helper, postgresql, ppp,
	protozero, python-aioconsole, python-avro, python-brotli,
	python-greenlet, python-paramiko, python-pillow,
	python-rpi-gpio, python-treq, python-twisted, python-ujson,
	python-weasyprint, qt5base, qt5wayland, raptor, rpi-firmware,
	rpi-userland, rtl_433, runc, rust, rygel, samba4,
	shairport-sync, spice, spidev_test, stunnel, systemd,
	timescaledb, trace-cmd, trousers, ts4900-fpga, tvheadend,
	udpcast, unbound, upower, urandom-scripts, usbguard, valgrind,
	valijson, vim, wavpack, wget, wireplumber, wireshark, woff2,
	xmrig, zabbix, zlib-ng, zynaddsubfx, zziplib

	Issues resolved (http://bugs.uclibc.org):

	#13971: ip6tables-nft build does not include MASQUERADE target..
	#14651: OpenSSH 8.9p1 compiler error under ARM
	#14656: Adding dependencies from an external tree does not work
	#14661: Fakeroot script relies on bash-isms, does not work ..
	#14686: genimage.cfg have a hard-coded .ext4 extension which..
	#14701: Multiple unresolved symbols while building kernel ..
	#14711: nodjs build problem missing bzip
	#14731: BR2_PACKAGE_IOSTAT

2022.02, released March 8th, 2022

	Various fixes.

	Fixes to cargo and golang packaging infrastructure.

	Defconfigs: OrangePi RK3399: Fix genimage format

	Updated/fixed packages: azure-iot-sdk-c, bpftool, cog,
	directfb, directfb-examples, dnsmasq, docker-engine, expat,
	freerdp, frr, gdb, ghostscript, glib-networking, go, haproxy,
	hostapd, kf5-extra-cmake-modules, kf5-kcoreaddons,
	kf5-modemmanager-qt, kf5-networkmanager-qt, libcamera-apps,
	libgee, libglfw, librstp, libtorrent, libvirt, libxslt, linux,
	mariadb, oprofile, osm2pgsql, pulseview, python-cryptography,
	python-gnupg, python-treq, qt5base, qt5webkit, rauc, re2,
	rygel, safeclib, sconeserver, seatd, sord, upmpdcli,
	util-linux, weston, wpa_supplicant, xdriver_xf86-video-mach64,
	xdriver_xf86-video-nouveau, xdriver_xf86-video-qxl,
	xscreensaver, zabbix

	New packages: gdk-pixbuf-xlib

	Removed packages: python-pycli

	Issues resolved (http://bugs.uclibc.org):

	#13126: make fails - bzip2-1.0.6.tar.gz and DirectFB-1.7.7.tar..
	#14611: 2022.02-rc2: Build of BR2_x86_64 with BR2_LINUX_KERNEL_..
	#14631: host-go-bootstrap: go not being built for package in ..
	#14636: azure-iot-sdk-c: Installed headers do not compile
	#14641: oprofile can not find the events files

2022.02-rc3, released February 28th, 2022

	Fixes all over the tree.

	Defconfigs: Xilinx zynqmp zcu102/zcu106: Fix U-Boot DTS config

	Updated/fixed packages: bluez5_utils, bpftool, dbus, exempi,
	flac, freerdp, frr, gnutls, libpjsip, libxml2, mariadb,
	openssh, python-twisted, qt5webkit, samba4, vim, weston,
	wireshark, wolfssl, xdg-dbus-proxy, xterm,

2022.02-rc2, released February 20th, 2022

	Fixes all over the tree.

	Defconfigs: Friendlyarm Nanopi R2S: Fix U-Boot build, Kontron
	BL i.MX8M Mini: Fix U-Boot build, PC Engines APU2: Fix Linux
	build, ROC-RK3399-PC: Bump rootfs size to fix build

	Updated/fixed packages: apache, apparmor, apr-util, arp-scan,
	binutils, bluez5_utils, connman, cryptsetup, dnsmasq,
	dovecot-pigeonhole, expat, gdk-pixbuf, gst1-plugins-base,
	guile, keepalived, kodi, libbpf, libglvnd, libgsasl, libiconv,
	librsvg, libuhttpd, libusb, libv4l, luasyslog, mongrel2, neon,
	pcre, perl-netaddr-ip, php, psmisc, python-ipython,
	python-pycli, python-pygame, python-regex, python-twisted,
	qt5location, qt5webkit, resiprocate, rygel, safeclib,
	sdl2_ttf, socketcand, strongswan, sudo, systemd, toolchain,
	urg, webkitgtk, wireless-regdb, wpewebkit,
	xdriver_xf86-video-{ati,mach64,mga,r128,savage,tdfx}, xz, zfs,
	zsh

2022.02-rc1, released February 13th, 2022

	Numerous package updates and many (80) new packages.

	Toolchain:
	- glibc: Optional support for compatibility shims for running
          on older kernels than what glibc has been built against
	- uClibc: Use uClibc-ng 1.0.40
	- External toolchains: Update Bootlin toolchains to 2021.11-1
          version

	Python 2.7 and python 2.x specific packages removed as python
	2.x is EOL since April 2020. Likewise a number of python3
	specific host packages has been renamed (host-python-foo
	instead of host-python3-foo) now host-python is always python
	3.x.

	Cargo (Rust) package infrastructure added. Vendoring support
	added to golang package infrastructure.

	New defconfigs: FriendlyARM NanoPi R2S, Kontron BL i.MX8M
	Mini, Microchip Sama7g7ek, Olimex STMP157 OlinuXino LIME2,
	QEMU PPC Bamboo, PPC64 PowerNV, Raspberry Pi Zero 2W, Spike
	Riscv64, Xilinx zcu102

	Removed defconfigs: Synopsys arch38 VDK, aarch64 VDK

	New packages: ace, alchemy, alfred, bat, bento4, bmx7,
	bpftool, brcmfmac_sdio-firmware-rpi, cfm, cups-pk-helper,
	davinci-bootcount, dbus-cxx, embiggen-disk, freeipmi,
	gocryptfs, kodi-pvr-plutotv, kodi-pvr-waipu, ksmbd-tools,
	libcamera-apps, libest, libexecinfo, libfutils, libglvnd,
	libks, libmd, libopenaptx, libpeas, libshdata, liburing, lilv,
	lua-argon2, lua-cffi, lua-inotify, lv2, mali-driver,
	moby-buildkit, modsecurity2, networkd-dispatcher, pahole,
	php-apcu, php-lua, php-pam, python-argon2-cffi-bindings,
	python-cssselect2, python-distro, python-fonttools,
	python-gnupg, python-installer, python-memory-profiler,
	python-mpd2, python-pep517, python-pydyf, python-pypa-build,
	python-pyphen, python-tinycss2, python-tomli,
	python-weasyprint, python-zopfli, qoriq-cadence-dp-firmware,
	riscv-isa-sim, rockchip-mali, rpi-rgb-led-matrix, sdbus-cpp,
	sentry-cli, serd, simple-mail, sord, sratom,
	sunxi-mali-utgard, sunxi-mali-utgard-driver, tinifier, ulog,
	vulkan-headers, xlib_libxcvt, zabbix, zchunk, zynaddsubfx

	Removed packages: gstreamer1-mm, python, python-backports-abc,
	python-backports-functools-lru-cache,
	python-backports-shutil-get-terminal-size,
	python-backports-ssl-match-hostname, python-configobj,
	python-dialog, python-enum, python-enum34, python-functools32,
	python-futures, python-id3, python-ipaddr, python-ipaddress,
	python-mad, python-nfc, python-pam, python-pathlib2,
	python-pycap, python-pyro, python-singledispatch,
	python-subprocess32, python-typing, python-yieldfrom,
	qt5webkit-examples, rpi-bt-firmware, rpi-wifi-firmware,
	sunxi-mali-mainline, sunxi-mali-mainline-driver, zynq-boot-bin

	Issues resolved (http://bugs.uclibc.org):

	#12271: python-iptables runtime dependencies
	#13436: PPP 2.4.9 is out
	#14351: needs to mount sysfs before mount -a
	#14451: nodejs won't build on Fedora 35
	#14471: alsa_utils wrong deployment
	#14501: lttng-modules v2.11 package fails to build
	#14531: Package EFL - build error

2021.11.3, released March 24th, 2022

	Important / security related fixes.

	Updated/fixed packages: apache, azure-iot-sdk-c, boinc, dbus,
	directfb, docker-engine, exempi, expat, flac, gdb, gdk-pixbuf,
	gnutls, go, haproxy, libcurl, libiec61850, libminiupnpc,
	libodb, libodb-boost, libopenssl, libpjsip, libressl, librsvg,
	libsrtp, libvirt, libxml2, libxslt, lxc, mariadb, minidlna,
	odb, openblas, openvpn, oprofile, php, pppd, python-ipython,
	python-twisted, raptor, rpi-firmware, samba4, seatd,
	timescaledb, usbguard, util-linux, vim, wavpack,
	wireless-regdb, wireplumber, wireshark, wolfssl, xscreensaver,
	xterm, zsh

	New packages: gdk-pixbuf-xlib

	Issues resolved (http://bugs.uclibc.org):

	#13126: make fails - bzip2-1.0.6.tar.gz and DirectFB-1.7.7.tar..
	#14636: azure-iot-sdk-c: Installed headers do not compile
	#14641: oprofile can not find the events files

2021.11.2, released February 28th, 2022

	Important / security related fixes.

	Defconfigs: Andes ae3xx, Intel galileo: Fix build with host
	gcc >= 10, ROC-RK3399-PC: Bump rootfs size to fix build issue.

	Add conditional patching logic to fix build issues for older
	U-Boot / Linux kernel versions when built with a host gcc >=
	10.

	Updated/fixed packages: apitrace, binutils, casync, cgilua,
	connman, expat, gauche, gdb, gensio, glibc, go, gst-omx,
	gst1-devtools, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, kf5-extra-cmake-modules, kodi,
	libarchive, linux, lm-sensors, localedef, log4cxx, mpd,
	nfs-utils, php, pistache, pkcs11-helper, prosody,
	python-django, python-pyzmq, python-regex,
	python-sqliteschema, resiprocate, rtl8723bu, thermald, tiff,
	tor, util-linux, vim, xen

2021.11.1, released January 29th, 2022

	Important / security related fixes.

	check-package: Improve variable override check

	pkg-stats: List CVEs where the version info cannot be parsed
	as unsure rather than completely ignoring them.

	Defconfigs: Beaglebone: Support BeagleBone black wireless,
	stm32f469_xip_disco: Fix kernel boot

	Updated/fixed packages: alsa-utils, apache, binutils, cage,
	capnproto, civetweb, clamav, collectd, connman, containerd,
	coreutils, dav1d, docker-cli, docker-engine, erlang,
	erlang-rebar, expat, findutils, flare-engine, flare-game,
	font-awesome, freeswitch, gcc, ghostscript, glibc, gnuchess,
	go, grpc, gst1-interpipe, gst1-rtsp-server, gupnp-tools,
	hackrf, icu, imagemagick, janus-gateway, json-for-modern-cpp,
	keepalived, lapack, libdbi, libiio, libjpeg, libmbim, libnss,
	libopenssl, libpjsip, libqmi, liburiparser, libvirt,
	linux-pam, lxc, mbedtls, mender, mongodb, mpd-mpc, mutt,
	nodejs, openblas, pcre2, php, pipewire, polkit, privoxy,
	prosody, python-charset-normalizer, python-django,
	python-idna, python-lxml, python-pyqt5, python-requests,
	python-urllib3, python3, qt5base, qt5location, rhash,
	rng-tools, ruby, runc, rustc, samba4, sofia-sip, targetcli-fb,
	tcpreplay, tinyxml, tor, tpm2-tss, util-linux-libs, vim, vlc,
	wireshark, xapp_xauth, xapp_xinput-calibrator, xen, xenomai,
	xlib_libX11, xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#14451: nodejs won't build on Fedora 35
	#14471: alsa_utils wrong deployment

2021.11, released December 5th, 2021

	Various fixes.

	Defconfigs: Grinn chiliboard/liteboard, PC x86-64 bios: Fix
	build

	Updated/fixed packages: apr, coreutils, diffutils, e2fsprogs,
	exfat, freeswitch, gnupg, grub2, gstreamer1, guile, heimdal,
	hiawatha, hplip, icu, janus-gateway,
	kodi-screensaver-asterwave, kodi-screensaver-cpblobs,
	kodi-screensaver-matrixtrails, libatomic_ops, libbson, libffi,
	libgdiplus, libgee, libhtp, libite, libnspr, libnss,
	libunwind, lynx, mender-grubenv, mkpasswd, motion, mxml,
	netdata, qemu, samba4, speex, stress-ng, tinydtls, unixodbc,
	unrar, util-linux, util-linux-libs, watchdogd, wireshark

	Issues resolved (http://bugs.uclibc.org):

	#14351: needs to mount sysfs before mount -a
	#14411: 2021.11-rc2: Samba doesn't compile

2021.11-rc3, released November 30th, 2021

	Fixes all over the tree.

	Defconfigs: Nitrogen8mp: Fix Linux build, Zynqmp-zxu106: Fix
	ATF build

	Updated/fixed packages: asterisk, automake, gdb, glorytun,
	gmp, hackrf, libgee, libglib2, libmodsecurity, libosmium,
	libressl, lighttpd, linux, micropython, mosquitto, mtd,
	nfs-utils, nss-myhostname, pcre, php, poco, pure-ftpd,
	python-cycler, qemu, qdecoder, smack, smcroute, spidev_test,
	strace, syslinux, toolchain, uboot, uhd, vim, websocketpp,
	wireshark, xcursor-transparent-theme, xscreensaver,
	xtables-addons

	Issues resolved (http://bugs.uclibc.org):

	#14346: BR2_PACKAGE_NFS_UTILS_RPC_NFSD does not patch CONFIG_NFSD..

2021.11-rc2, released November 19th, 2021

	Fixes all over the tree.

	Coding style fixes for a large number of board genimage
	configuration files for clarity and consistency.

	Defconfigs: Acmesystems Aria/Arietta g25, Armadeus
	apf28/apf51, beagleboneai, Olimx a64, rock64, sheevaplug: Fix
	build with hostcc >= 10, Nezha: Correct U-Boot dependencies

	Updated/fixed packages: alsa-lib, apparmor, binutils,
	bluez5_utils, botan, diffutils, firmware-utils, gdb, glmark2,
	glog, gpu-amd-bin-mx51, gst1-interpipe, imx-vpuwrap, iperf,
	isl, janet, libdnet, libglib2, libhtp, liburcu, log4cxx,
	luajit, luvi, meson, mksh, mongodb, mosquitto, mpd, mupdf,
	opencv4, oracle-mysql, pipewire, postgresql, python-aiohttp,
	python-pudb, python-ujson, qhull, samba4, seatd, sg3_utils,
	suricata, tpm2-tss, uboot, vim, xserver_xorg-server

	New packages: pipewire-media-session

	Issues resolved (http://bugs.uclibc.org):

	14311: Cannot compile dahdi (part of Asterisk) for x86 (P1mmx)

2021.11-rc1, released November 8th, 2021

	Numerous package updates. Notable updates including numerous
	Python modules, Kodi add-ons, nodejs, OpenJDK.

	Toolchain:
	- glibc update to 2.34
	- support for gdb 11.x added, gdb 10.x now the default
	- external toolchains provided by ARM updated
	- remove support for internal toolchain on the CSKY
          architecture, as it was broken and unmaintained

	Many packages updated to enable the appropriate SELinux
	refpolicy module when SELinux support is enabled.

	Support was added in the test-pkg package testing utility for
	using Gitlab CI to run the builds.

	New libgbm virtual package to better support OpenGL
	implementations that provide a libgbm library.

	Bootloaders/firmware: grub2 extended to be able to support
	multiple platforms in the same build.

	Filesystems:
	- new OCI filesystem type, to build container images
	  compatible with the Open Container Initiative standard
	- support for hybrid ISO9660 images added, which work on
          legacy and EFI BIOS machines

	New defconfigs: Allwinner nezha, stm32mp157c_odyssey

	Removed defconfigs: qemu_csky

	New packages: dtbocfg, firmware-utils, gstd, libdbi,
	libdbi-drivers, libteam, lua-augeas, mstpd, php-pecl-dbus,
	python-aioprocessing, python-bidict,
	python-charset-normalizer, python-flask-expects-json,
	python-git, python-pyndiff, python-rsa,
	python-unitest-xml-reporting, python-xmljson,
	python3-cryptography, python3-pip, qt5opcua, rwmem,
	sloci-image, softhsm2, sun20i-d1-spl, uqmi, vuejs-router,
	watchdogd, wireplumber

	Removed packages: canfestival, python-meld3

	Work toward the removal of python 2 has progressed: many
	python modules and packages have been updated to a version
	supporting python 3.

	Issues resolved (http://bugs.uclibc.org):

	#14271: compilation error with rsync command for  permission
	#14276: Unable to get login prompt
	#14196: when using raspberrypicm4io_64_defconfig, make fails
	        with mkfs.ext4: No such file or directory while trying
	        to determine filesystem size

2021.08.3, released December 13th, 2021

	Important / security related fixes.

	Defconfigs: Various fixes for building with gcc >= 10 host or
	target compilers.

	Updated/fixed packages: alsa-lib, apparmor, apr, asterisk,
	binutils, bluez5_utils, coreutils, e2fsprogs, exfat,
	freeswitch, gdb, glmark2, glog, glorytun, gmp,
	gpu-amd-bin-mx51, gst1-interpipe, gstreamer1, guile, gupnp,
	hackrf, heimdal, hiawatha, hplip, icu, imx-vpuwrap, isl,
	janus-gateway, libatomic_ops, libbson, libdnet, libffi,
	libgdiplus, libgee, libglib2, libhtp, libmodsecurity, libnspr,
	libnss, libosmium, libunwind, linux, lynx, meson, micropython,
	mkpasswd, mksh, mosquitto, motion, mupdf, mxml, netdata,
	nfs-utils, opencv4, oracle-mysql, pcre, php, postgresql,
	pure-ftpd, python-cycler, qdecoder, rcw-smarc-sal28, samba4,
	smack, speex, stress-ng, suricata, syslinux, uboot, unixodbc,
	unrar, vim, websocketpp, wireshark

	Issues resolved (http://bugs.uclibc.org):

	#14346: BR2_PACKAGE_NFS_UTILS_RPC_NFSD does not patch CONFIG_NFSD..

2021.08.2, released November 10th, 2021

	Important / security related fixes.

	Updated/fixed packages: asterisk, audit, bind, bitcoin,
	containerd, cryptsetup, dahdi-linux, dbus-python, dfu-util,
	docker-cli, docker-engine, earlyoom, edk2-platforms, exiv2,
	ffmpeg, freerdp, gdb, gensio, gnupg2, go, gpsd,
	gst1-plugins-bad, gst1-plugins-ugly, gst1-vaapi, gtest,
	hiredis, lftp, libps1, libva, libva-utils, lightning,
	log4cplus, lrzip, netdata, nodejs, olsr, openjdk, openjdk-bin,
	pango, php, python3-cffi, qemu, refpolicy, rng-tools, samba4,
	snort, strongswan, sunxi-mali-mainline-driver, suricata,
	systemd, tor, vim, weston, wf111, wireguard-linux-compat,
	xerces

	Issues resolved (http://bugs.uclibc.org):

	#14311: Cannot compile dahdi (part of Asterisk) for x86 (P1mmx)

2021.08.1, released October 11, 2021

	Important / security related fixes.

	gdbinit: Mark the sysroot as a "safe path" before configuring
	it, so pretty printers work correctly without having to pass
	-ix to gdb

	Updated/fixed packages: alsa-lib, apache,
	arm-trusted-firmware, atftp, bind, botan, cog, containerd,
	cryptopp, docker-cli, dash, dc3dd, docker-engine, dovecot,
	environment-setup, erlang, fetchmail, ffmpeg, fio, gcc, gd,
	gdb, ghostscript, gnuradio, gnutils, go,
	gobject-introspection, google-breakpad, gst-omx,
	gst1-devtools, gst1-interpipe, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, gupnp, haproxy, imlib2, kodi,
	kodi-pvr-octonet, kodi-visualisation-fishbmc, libcurl,
	libexif, libgcrypt, libglib2, libkrb5, libressl, librsvg,
	libsndfile, libssh, libvirt, libxcrypt, libyang, links, lvm2,
	lynx, lxc, mc, mesa3d, micropython, minicom, mono, mosquitto,
	mtr, mupdf, mv-ddr-marvell, net-tools, nginx-dav-ext, nmap,
	nodejs, ntfs-3g, openjdk, openjdk-bin, openldap, openssh,
	pcre2, php, php-gnupg, pipewire, postgis, python-aioconsole,
	python-cbor2, python-cffi, python-cython, python-dateutil,
	python-django, python-pillow, python-pip, python-texttable,
	python-urllib3, python-webob, qemu, qt5location, redis,
	refpolicy, ripgrep, ruby, runc, sispmctl, sox, squid,
	strongswan, supervisor, swupdate, syslinux, systemd, tinycbor,
	trace-cmd, uboot-tools, uclibc, udisks, uhd, vim, vsftpd,
	wavemon, webkitgtk, wget, wireless-regdb, wpewebkit,
	xapp_xrdb, xapp_xwd, xen, xlib_libXfont2, xlib_libXft,
	xserver_xorg-server, zip

	Issues resolved (http://bugs.uclibc.org):

	#14206: Kodi: even when not enabled, forcefully selects libevdev..
	#14211: libffi-3.3.tar.gz repacked
	#14221: mv-ddr-marvell fails license validation

2021.08, released September 4th, 2021

	Various fixes.

	Updated/fixed packages: gstreamer1-mm, netsniff-ng, nginx,
	openmpi, python-pyudev, python3, qt5base, wlroots, xvisor

2021.08-rc3, released August 31st, 2021

	Fixes all over the tree.

	Toolchain: Disable fortify support for Microblaze as it is not
	currently working.

	Defconfigs: Acmesystems aria/ariette g25: Fix build issue
	after at91bootstrap bump, BeagleV: Correct kernel headers
	version, PC x86-64: Bump kernel to 4.19.204 to fix build issue
	with GCC 10.x.

	Updated/fixed packages: alsa-utils, at91bootstrap3, belle-sip,
	bullet, c-ares, cjson, coreutils, cpio, eigen, fetchmail, gdb,
	haproxy, heirloom-mailx, ipmiutil, kvm-unit-tests, libarchive,
	libffi, libmodsecurity, libopenssl, libressl, libshout,
	libvirt, linux-pam, lmbench, localedef, lua-lunix, mesa3d,
	mpv, mtd, nodejs, nvidia-driver, openvmtools, php, polkit,
	python-requests, python3-requests, rust-bin, rustc, samba4,
	sdl2, snort3, ushare, xen

	Removed packages: libmcrypt, mcrypt, sentry-cli

2021.08-rc2, released August 18th, 2021

	Fixes all over the tree.

	Defconfigs: Acmesystems acqua a5: Bump at91bootstrap version
	to fix build issue with binutils >= 2.35, Microchip sam9x60ek
	mmc_dev: Add missing toolchain/system options, sama5d2-icp
	mmc: Correct at91bootstrap options

	Updated/fixed packages: arm-trusted-firmware, at91bootstrap3,
	azure-iot-sdk-c, bluez5_utils, bullet, busybox, cegui, efl,
	erlang, ffmpeg, flatbuffers, fontconfig, gcc, gd, glibc, go,
	gobject-introspection, gpsd, guile, harfbuzz, iozone, iputils,
	jszip, libargtable2, libbpf, libebml, libepoxy, libesmtp,
	libfuse3, libgeos, libnss, libodb-boost, libodb-mysql,
	libodb-pgsql, libqmi, libqrtr-glib, libuhttpd, libuwsc,
	libvirt, ltp-testsuite, luaossl, mongodb, mpd, mupdf, mutt,
	network-manager, nginx-naxsi, nodejs, ogre, openzwave,
	optee-os, osm2pgsql, pdbg, perl-net-ssh2, php, pipewire,
	pistache, pixman, poke, polkit, poppler, postgresql, postkit,
	prelink-cross, prosody, protobuf, pulseview,
	python-cryptography, python-keyring, python-matplotlib,
	python-pymupdf, python-pyopenssl, python-secretstorage,
	python-treq, python-txtorcon, python3, qemu, qpdf, qt5base,
	refpolicy, ruby, rust-bin, s390-tools, sconeserver, seatd,
	shairport-sync, sox, sqlite, sylpheed, sysdig, syslog-ng,
	system-config-printer, tar, terminology, tor, tpm2-tools, uhd,
	unbound, usbguard, wireshark, xen, xenomai, xlib_libxshmfence,
	zstd

	New packages: desktop-file-utils

	Issues resolved (http://bugs.uclibc.org):

	#13586: grub failure with BR2_OPTIMIZE_3
	#13671: openSSH server closes connection before authentication..

2021.08-rc1, released August 3rd, 2021

	Numerous package updates.

	Toolchain:

        - add support for gcc 11.x, gcc 10.x is now the default, gcc
	  9.x updated to 9.4.0, removed gcc 8.x support except for
	  PowerPC SPE

	- add support for binutils 2.37, binutils 2.36.x is now the
          default, binutils 2.34 removed.

	- glibc updated to 2.33

        - gdb enabled on NIOS II, gdbserver enabled on RISC-V.

	Bootloaders/firmware: support for building the EDK II UEFI
	firmware, support for building AT91Bootstrap 4.x.

	New BR2_ENABLE_RUNTIME_DEBUG option, that controls whether
	packages should be compiled with runtime debugging
	information (which is different than debugging symbols).

	Many features of the bluez5_utils package have been made
	optional, and default to disabled. Users of bluez5_utils are
	encouraged to review their configuration.

	Many packages (over 70) updated to enable the appropriate
	SELinux refpolicy module when SELinux support is enabled.

	Many packages updated to select the appropriate OpenSSL
	features after many OpenSSL ciphers/features have been made
	optional.

	New defconfigs: kontron_pitx_imx8m, microchip_sama5d2_icp,
	qemu_aarch64_sbsa, raspberrypicm4io, raspberrypicm4io_64,
	terasic_de10nano_cyclone5, uevm5432.

	New packages: alsa-plugins, apg, bmap-tools, daq3, edk2,
	edk2-platforms, gumbo-parser, libbpf, libosmium, libpsl,
	libqb, libtalloc, libvirt, lua-linux, lua-zlib, mupdf,
	opencv4, osm2pgsql, poke, python-augeas, python-dbus-next,
	python-pymupdf, rtl_433, rtl8812au-aircrack-ng, seatd, snort3,
	system-config-printer, usbguard, xml-security-c, xmrig.

	Removed packages: clapack, libsoil.

	Issues resolved (http://bugs.uclibc.org):

	#13326: regarding dtc error in buildroot source code
	#13661: host-python2 build fails on aarch64
	#13836: package build failure when target install set to no on
	        pkg-generic pkg types
	#13846: BR2_PACKAGE_LVM2_STANDARD_INSTALL should be default to
	        y as before

2021.05.3, released October 11, 2021

	Important / security related fixes.

	gdbinit: Mark the sysroot as a "safe path" before configuring
	it, so pretty printers work correctly without having to pass
	-ix to gdb

	Updated/fixed packages: alsa-lib, apache,
	arm-trusted-firmware, atftp, bind, botan, containerd,
	cryptopp, dash, dc3dd, docker-cli, docker-engine, dovecot,
	erlang, fetchmail, ffmpeg, gdb, ghostscript, go, gst-omx,
	gst1-devtools, gst1-interpipe, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, kodi, kodi-pvr-octonet,
	kodi-visualisation-fishbmc, libcurl, libkrb5, libressl,
	libsndfile, libxcrypt, libyang, lxc, lynx, mesa3d,
	micropython, minicom, mono, mtr, mv-ddr-marvell, net-tools,
	nmap, nodejs, ntfs-3g, openjdk, openjdk-bin, openldap,
	openssh, pcre2, php, python-aioconsole, python-cffi,
	python-dateutil, python-django, python-pip, python-texttable,
	python-urllib, python-webob, qt5location, redis, refpolicy,
	ripgrep, runc, sispmctl, squid, strongswan, supervisor,
	syslinux, tinycbor, trace-cmd, uboot-tools, uclibc, wavemon,
	wget, wireless-regdb, xen, xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#14206: Kodi: even when not enabled, forcefully selects libevdev..
	#14211: libffi-3.3.tar.gz repacked
	#14221: mv-ddr-marvell fails license validation

2021.05.2, released September 15th, 2021

	Important / security related fixes.

	Toolchain: Disable fortify support for Microblaze as it is not
	currently working.

	Updated/fixed packages: alsa-utils, arm-trusted-firmware,
	bayer2rgb-neon, belle-sip, bullet, busybox, c-ares, cjson,
	coreutils, cpio, eigen, environment-setup, fetchmail, ffmpeg,
	fontconfig, gd, gdb, gnuradio, gnutls, go, haproxy, ipmiutil,
	iputils, jszip, kvm-unit-tests, libarchive, libargtable2,
	libexif, libgcrypt, libmodsecurity, libopenssl, librsvg,
	libshout, libssh, libxcrypt, linux, linux-pam, localedef, mc,
	mesa3d, mosquitto, netsniff-ng, nginx, nodejs, ogre, openjdk,
	openmpi, openvmtools, perl-net-ssh2, php, pipewire,
	postgresql, prelink-cross, prosody, protobuf, python-keyring,
	python-matplotlib, python-pillow, python-pyudev,
	python-secretstorage, python3, qt5base, samba4, sdl2, sox,
	swupdate, sylpheed, tar, terminology, tor, uboot-tools, uhd,
	unbound, ushare, vim, wlroots, xapp_xrdb, xapp_xwd, xen,
	xenomai, xlib_libXfont2, xlib_libXft, zip

2021.05.1, released August 10, 2021

	Important / security related fixes.

	Toolchain: Disable PIC/PIE for Microblaze (like for NIOS II)
	as it is not currently working.

	binutils: fix linker assert failure on OpenRisc, or1k build
	issue with gcc < 5

	gdb: Enable on NIOS II

	utils/scanpypi: Various improvements

	Defconfigs: stm32f469_disco: Fix kernel boot issue, Microchip
	sam9x60ek mmc_dev: Add missing toolchain/system options

	Updated/fixed packages: arm-trusted-firmware, apache, audit,
	avahi, bind, binutils, bird, bluez5_utils, boinc, busybox,
	chrony, clamav, connman, cryptsetup, dnsmasq, docker-cli,
	docker-engine, dovecot, dovecot-pigeonhole, e2fsprogs, exiv2,
	fail2ban, fb-test-app, feh, fetchmail, ffmpeg, flac, fluxbox,
	gawk, gcc, gcr, gdb, gdk-pixbuf, gesftpserver, glibc, go,
	gptfdisk, gqrx, granite, grub2, guile, hdparm, heirloom-mailx,
	htop, ibrcommon, ibrdtn, ibrdtn-tools, ibrdtnd,
	intel-microcode, iodine, irqbalance, keepalived, kexec-tools,
	libass, libconfig, libcurl, libfreeimage, libfuse3, libgcrypt,
	libgudev, libhtp, libinput, libjson, libgtk3, libkrb5,
	libloki, libmodsecurity, libndp, libnetfilter-log,
	libnfnetlink, libnice, libodb, libodb-boost, libodb-mysql,
	libodb-pgsql, libpcap, libqmi, libqrtr-glib, libressl,
	librsvg, libtasn1, libtirpc, libuci, libxmlrpc,
	linux-firmware, linuxptp, lrzsz, lvm2, mariadb, mesa3d,
	mbedtls, monit, mono, mosquitto, mpd, mpg123, mpv, nbd,
	netsnmp, nettle, nmap, nodejs, ntp, openntpd, openpgm,
	openswan, pango, pcre2, perl-crypt-openssl-rsa, php, pixman,
	postgresql, proxychains-ng, putty, python,
	python-dataproperty, python-django, python-pysftp,
	python-urllib3, python3, qpdf, redis, ripgrep, rsync, ruby,
	samba4, sane-backends, slirp, spice, squid, suricata, tcpdump,
	tftpd, thrift, tor, tpm2-tools, trinity, uboot, uboot-tools,
	uclibc, vlc, wireless-regdb, wireshark, wolfssl,
	xapp_fonttosfnt, xlib_libX11, xlib_libxshmfence,
	xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#13586: grub failure with BR2_OPTIMIZE_3
	#13661: host-python2 build fails on aarch64
	#13836: package build failure when target install set to no..
	#13846: BR2_PACKAGE_LVM2_STANDARD_INSTALL should be default to..

2021.05, released June 6th, 2021

	Various fixes.

	Disable PIC/PIE support for Nios2 because of glibc issues

	Defconfigs: Minnowboard max: Fix X11 and mesa3d configuration

	Updated/fixed packages: apache, beaglev-ddrinit,
	beaglev-secondboot, capnproto, dc3dd, directfb, efibootmgr,
	ffmpeg, gptfdisk, go, gupnp, hostapd, iftop,
	intel-mediadriver, libcamera, libcutl, libesmtp, libkcapi,
	libraw, lttng-tools, lvm2, mimic, mono-gtksharp3, mpv,
	netperf, odb, qt5base, uclibc, uftrace, unscd, vlc,
	xdriver_xf86-video-fbturbo

	New packages: python3-cffi, python3-cryptography, python3-pip,
	python3-pycparser, python3-six

2021.05-rc3, released May 31th, 2021

	Fixes all over the tree.

	meson: Explicitly disable PIE support (b_pie) as it is handled
	by the toolchain wrapper.

	Updated/fixed packages: boost, dhcp, expat, gdb, hwloc, imagemagick,
	libcurl, libopenh264, llvm, lz4, mpv, nginx, paho-mqtt-c, pifmrds,
	pipewire, python-bluezero, python-pillow, qemu, strace, uhd, vlc,
	webkitgtk

	Issues resolved (http://bugs.uclibc.org):

	#13821: Wrong url for libnfsidmap package

2021.05-rc2, released May 22th, 2021

	Fixes all over the tree.

	support/scripts/gen-missing-cpe: A script to query the list of
	CPE IDs for the packages enabled in the current configuration and:

	- for CPE IDs that do not have any matching entry in the CPE
	  database, it emits a warning

	- for CPE IDs that do have a matching entry, but not with the same
	  version, it generates a snippet of XML that can be used to propose
	  an updated version to NIST.

	CPE meta data has been added for a large number of packages

	Updated/fixed packages: assimp, binutils, bitcoin, bullet,
	cutelyst, dhcp, dmalloc, docker-engine, ebtables,
	environment-setup, flatcc, gcc, gd, gerbera, hostapd,
	imx-gpu-viv, intel-microcode, jquery-validation, libdrm,
	libgeos, libraw, libtirpc, libxml2, libxslt, live555, lmbench,
	localedef, lvm2, mender, mender-grubenv, modem-manager, mutt,
	opensbi, openssh, opentyrian, pipewire, postgis, postgresql,
	prosody, python-bluezero, python-falcon, redis, rocksdb,
	rt-tests, runc, vlc, waylandpp, webkitgtk, wireshark,
	wpa_supplicant, wpewebkit, xlib_libX11, xterm

	New packages: jh71xx-tools

	Issues resolved (http://bugs.uclibc.org):

	#13781: isc dhcp-server package don't create file /usr/bin/dhcpd
	#13801: toolchainfile.cmake CMAKE_BUILD_TYPE
	#13806: Building host-localedef fails on fedora 34/gcc 11

2021.05-rc1, released May 12th, 2021

	Fixes all over the tree and new features.

	FORTIFY_SOURCE, PIC/PIE, RELRO and SSP security hardening
	options are now enabled by default.

	Dependencies: Explicitly detect and bail out if PATH contains
	spaces or tabs. A number of packages fail to build in such
	setups, so explicitly inform about this.

	Infrastructure: Expose CONFIG_DIR to post-build/post-image
	scripts, so they can call the Buildroot Makefile in the
	correct directory for both in-tree / out-of-tree builds.

	CMake infrastructure: Use CMAKE_EXE_LINKER_FLAGS rather than
	CMAKE_CXX_FLAGS to link with libatomic to fix an compatibility
	issue with poppler. Bump minimal host cmake version to 3.16
	(from 3.15) to fix a compatibility issue with domoticz.

	Meson: Use correct C++ host compiler (rather than C compiler)

	utils/scanpypi: Explicitly use python3 for compatibility with
	packages using python3 syntax in setup.py

	support/download: Fix tarball generation (from git/svn repos)
	including symlinks pointing to ./<something>. Fix svn download
	for <1.9 clients or repos using CVS-style keywords.

	support/scripts/cve.py: Use the (significantly) faster yajl2
	ijson backend for older (< 2.5) ijson versions rather than the
	slow python default, speeding up pkg-stats by ~2x.

	Toolchain: Add logic to work around binutils bug 21464
	(affecting OpenRISC), bug 27597 (affecting Nios II) and drop
	the now longer applicable bug 19615 / 20006 handling.

	Python{,3}: Fix byte compiling python files with short (single
	character before .py) file names.

	CPE meta data has been added for a large number of packages

	New defconfigs: Acme Systems Acqua A5 (256/512MB), Beagleboard
	BeagleV, Boundary devices Nitrogen8M Plus SOM, NXP i.MX 8M
	Plus EVK, QEMU PPC e500mc

	New packages: beaglev-ddrinit, beaglev-secondboot, janet,
	kodi-inputstream-ffmpegdirect, kodi-vfs-libarchive,
	kodi-visualisation-matrix, libxcrypt, libqrtr-glib, log4qt,
	mawk, perl-parse-yapp, postgis, protozero, python-flask-wtf,
	python-iwlib, python-semantic-version, python-setuptools-rust,
	python-toml, riscv64-elf-toolchain, siproxyd, uftrace, zfs

	Removed packages: iostat, kodi-platform,
	kodi-screensaver-crystalmorph, monkey

	Issues resolved (http://bugs.uclibc.org):

	#13271: systemd-resolved: /etc/resolv.conf link broken on per-pa..
	#13516: utils/scanpypi: Failure when parsing diffoscope
	#13551: 2021.02.rc2: Unicode not work on qt 5.15.2
	#13576: Issues compiling buildroot for 5x86
	#13601: Gen image :Iappropriate ioctl error
	#13616: tar file from git repository generation issue
	#13631: Commit 54d3d94b6e breaks packages with git download method
	#13641: glibc on raspberrypi
	#13646: Gen image version 14 error : no sub -section title/..
	#13651: pkg-golang cannot build when main.go is in the root
	#13661: host-python2 build fails on aarch64
	#13671: openSSH server closes connection before authentication..
	#13721: c-stack.c:55:26: error: missing binary operator before ..
	#13731: Readline Patch is missing Author Information
	#13741: genext2fs does not allow to set perms of root node
	#13751: libopenssl (static): huge drop in performance in newer ..
	#13771: package htop has undeclared dependency on host python

2021.02.12, released April 6th, 2022

	Important / security related fixes.

	pkg-stats: Limit memory use for CPE matching

	Updated/fixed packages: gdk-pixbuf, jack2, libzlib, matio,
	nbd, netatalk, opus, python-paramiko, python-treq,
	python-twisted, spidev_test, unbound, urandom-scripts, vim,
	wireshark, zlib-ng, zziplib

2021.02.11, released March 25th, 2022

	Important / security related fixes.

	Updated/fixed packages: apache, azure-iot-sdk-c, dbus,
	directfb, docker-engine, exempi, expat, flac, gdk-pixbuf,
	gnutls, go, haproxy, libcurl, libiec61850, libminiupnpc,
	libodb, libodb-boost, libopenssl, libpjsip, libressl, librsvg,
	libsrtp, libxml2, libxslt, lxc, mariadb, odbm openblas,
	openvpn, oprofile, php, pppd, python-ipython, python-treq,
	python-twisted, python-txbus, python-txtorcon, raptor,
	rpi-firmware, samba4, timescaledb, util-linux, vim, wavpack,
	wireless-regdb, wireshark, wolfssl, xscreensaver, xterm, zsh

	New packages: gdk-pixbuf-xlib

	Removed packages: python-coherence

	Issues resolved (http://bugs.uclibc.org):

	#13126: make fails - bzip2-1.0.6.tar.gz and DirectFB-1.7.7.tar..
	#14636: azure-iot-sdk-c: Installed headers do not compile
	#14641: oprofile can not find the events files

2021.02.10, released February 28th, 2022

	Important / security related fixes.

	Defconfigs: Andes ae3xx, Intel galileo: Fix build with host
	gcc >= 10, ROC-RK3399-PC: Bump rootfs size to fix build issue.

	Add conditional patching logic to fix build issues for older
	U-Boot / Linux kernel versions when built with a host gcc >=
	10.

	Updated/fixed packages: casync, cgilua, connman, expat,
	gauche, gensio, go, gst-omx, gst1-devtools, gst1-libav,
	gst1-plugins-bad, gst1-plugins-base, gst1-plugins-good,
	gst1-plugins-ugly, gst1-python, gst1-rtsp-server, gst1-vaapi,
	gstreamer1, gstreamer1-editing-services,
	kf5-extra-cmake-modules, kodi, libarchive, linux, lm-sensors,
	log4cxx, mpd, nfs-utils, pistache, prosody, python-django,
	python-pyzmq, rtl8723bu, thermald, tiff, util-linux, vim, xen

2021.02.9, released January 29th, 2022

	Important / security related fixes.

	check-package: Improve variable override check

	pkg-stats: List CVEs where the version info cannot be parsed
	as unsure rather than completely ignoring them.

	Defconfigs: Beaglebone: Support BeagleBone black wireless

	Updated/fixed packages: alsa-utils, apache, cage, capnproto,
	civetweb, clamav, collectd, connman, coreutils, dav1d,
	docker-cli, docker-containerd, docker-engine, expat,
	findutils, flare-engine, flare-game, font-awesome, freeswitch,
	gcc, ghostscript, gnuchess, go, grpc, gst1-interpipe,
	gst1-plugins-bad, gst-rtsp-sever, gupnp-tools, hackrf, icu,
	imagemagick, janus-gateway, keepalived, lapack, libjpeg,
	libopenssl, libpjsip, liburiparser, linux-pam, lxc, mbedtls,
	mongodb, mpd-mpc, nodejs, openblas, pcre2, polkit, poppler,
	privoxy, prosody, python-django, python-lxml, python-pyqt5,
	python3, qt5base, qt5location, rhash, ruby, runc, samba4,
	sofia-sip, targetcli-fb, tcpreplay, tinyxml, vim, vlc,
	wireshark, xapp_xauth, xen, xlib_libX11, xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#14471: alsa_utils wrong deployment

2021.02.8, released December 14th, 2021

	Important / security related fixes.

	Defconfigs: Various fixes for building with gcc >= 10 host or
	target compilers.

	Updated/fixed packages: alsa-lib, apparmor, apr, asterisk,
	binutils, bluez5_utils, busybox, coreutils, e2fsprogs, ell,
	exfat, freeswitch, gdb, glmark2, glog, glorytun, gmp,
	gpu-amd-bin-mx51, gst1-interpipe, gstreamer1, guile, gupnp,
	hackrf, heimdal, hiawatha, hplip, icu, imx-vpuwrap, isl, iwd,
	janus-gateway, libatomic_ops, libbson, libdnet, libffi,
	libgdiplus, libgee, libhtp, libmodsecurity, libnspr, libnss,
	libunwind, linux, lynx, meson, micropython, mkpasswd, mksh,
	mosquitto, motion, mxml, netdata, nfs-utils, oracle-mysql,
	pcre, pkcs11-helper, postgresql, pure-ftpd, python-cycler,
	qdecoder, rcw-smarc-sal28, samba4, smack, speex, stress-ng,
	suricata, syslinux, uboot, unixodbc, unrar, vim, websocketpp,
	wireshark

	Issues resolved (http://bugs.uclibc.org):

	#14346: BR2_PACKAGE_NFS_UTILS_RPC_NFSD does not patch CONFIG_NFSD..

2021.02.7, released November 10th, 2021

	Important / security related fixes.

	OpenJDK 16.x moved to 17.x as 16.x is EOL.

	Updated/fixed packages: asterisk, audit, bind, bitcoin,
	cryptsetup, dahdi-linux, dbus-python, dfu-util, docker-cli,
	docker-containerd, docker-engine, earlyoom, exiv2, ffmpeg,
	freerdp, gdb, gensio, gnupg2, go, gpsd, gst1-plugins-bad,
	gst1-plugins-ugly, gst1-vaapi, hiredis, lftp, lightning,
	lrzip, netdata, nodejs, olsr, openjdk, openjdk-bin, pango,
	qemu, samba4, snort, strongswan, suricata, systemd, vim,
	wf111, wireguard-linux-compat, xerces

	Issues resolved (http://bugs.uclibc.org):

	#14311: Cannot compile dahdi (part of Asterisk) for x86 (P1mmx)

2021.02.6, released October 11, 2021

	Important / security related fixes.

	gdbinit: Mark the sysroot as a "safe path" before configuring
	it, so pretty printers work correctly without having to pass
	-ix to gdb

	Updated/fixed packages: alsa-lib, apache,
	arm-trusted-firmware, atftp, bind, botan, cryptopp, dash,
	dc3dd, docker-cli, docker-containerd, docker-engine, dovecot,
	erlang, fetchmail, gdb, ghostscript, go, gst-omx,
	gst1-devtools, gst1-interpipe, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, kodi-pvr-octonet, libcurl,
	libkrb5, libressl, libsndfile, libyang, lxc, lynx, mesa3d,
	micropython, minicom, mono, mtr, mv-ddr-marvell, net-tools,
	nmap, nodejs, ntfs-3g, openjdk, openjdk-bin, openldap,
	openssh, php, python-aioconsole, python-cffi, python-dateutil,
	python-django, python-pip, python-texttable, python-urllib3,
	python-webob, qt5location, redis, refpolicy, ripgrep, runc,
	sispmctl, squid, strongswan, supervisor, syslinux, tinycbor,
	trace-cmd, uboot-tools, uclibc, wavemon, wireless-regdb, xen,
	xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#14206: Kodi: even when not enabled, forcefully selects libevdev..
	#14211: libffi-3.3.tar.gz repacked
	#14221: mv-ddr-marvell fails license validation

2021.02.5, released September 15th, 2021

	Important / security related fixes.

	Toolchain: Disable fortify support for Microblaze as it is not
	currently working.

	Updated/fixed packages: alsa-utils, arm-trusted-firmware,
	bayer2rgb-neon, belle-sip, busybox, c-ares, cjson, coreutils,
	cpio, eigen, environt-setup, fetchmail, fluidsynth,
	fontconfig, gd, gdb, gnuradio, gnutls, go, haproxy, ipmiutil,
	iputils, jszip, kvm-unit-tests, libarchive, libexif,
	libgcrypt, libmodsecurity, libopenssl, librsvg, libshout,
	libssh, linux, localedef, mc, mesa3d, mosquitto, netsniff-ng,
	nginx, nodejs, ogre, openmpi, openvmtools, php, postgresql,
	prelink-cross, prosody, protobuf, python-keyring,
	python-matplotlib, python-pillow, python-pyudev,
	python-secretstorage, python3, qt5base, samba4, sdl2, sox,
	swupdate, sylpheed, tor, uboot-tools, uhd, unbound, vim,
	wlroots, xapp_xrdb, xapp_xwd, xen, xenomai, xlib_libXfont2,
	xlib_libXft, zip

2021.02.4, released August 10th, 2021

	Important / security related fixes.

	Toolchain: Disable PIC/PIE for Microblaze (like for NIOS II)
	as it is not currently working.

	binutils: fix linker assert failure on OpenRisc, or1k build
	issue with gcc < 5

	gdb: Enable on NIOS II

	utils/scanpypi: Various improvements

	Defconfigs: stm32f469_disco: Fix kernel boot issue, Microchip
	sam9x60ek mmc_dev: Add missing toolchain/system options

	Updated/fixed packages: apache, arm-trusted-firmware, audit,
	avahi, bind, binutils, bird, bluez5_utils, boinc, busybox,
	chrony, clamav, cryptsetup, cwiid, dnsmasq, docker-cli,
	docker-engine, dovecot, dovecot-pigeonhole, e2fsprogs, exiv2,
	fail2ban, fb-test-app, feh, fetchmail, flac, fluxbox, gawk,
	gcc, gcr, gdb, gdk-pixbuf, gesftpserver, glibc, go, gptfdisk,
	granite, grub2, gqrx, guile, hdparm, heirloom-mailx,
	ibrcommon, ibrdtn, ibrdtn-tools, ibrdtnd, intel-microcode,
	iodine, irqbalance, keepalived, libass, libconfig, libcurl,
	libfreeimage, libfuse3, libgcrypt, libgtk3, libgudev, libhtp,
	libjson, libkrb5, libloki, libmodsecurity, libndp,
	libnetfilter-log, libnfnetlink, libnice, libodb, libodb-boost,
	libodb-mysql, libodb-pgsql, libpcap, libqmi, libressl,
	librsvg, libtasn1, libtirpc, libuci, libxmlrpc,
	linux-firmware, linuxptp, lrzsz, ltp-testsuite, lvm2, mariadb,
	mbedtls, monit, mono, mosquitto, mpd, mpg123, mpv, nbd, neard,
	netsnmp, nettle, nginx-modsecurity, nmap, nodejs, ntp,
	openntpd, openpgm, openswan, pango, pcre2,
	perl-crypt-openssl-rsa, php, pixman, polkit, postgresql,
	proxychains-ng, putty, python, python-django,
	python-dataproperty, python-pysftp, python-urllib3, python3,
	qpdf, redis, ripgrep, ruby, samba4, spice, slirp, suricata,
	sysdig, tcpdump, tftpd, thrift, tor, tpm2-tools, trinity,
	uboot, uboot-tools, uclibc, util-linux, vlc, wireless-regdb,
	wireshark, wolfssl, xapp_fonttosfnt, xlib_libX11,
	xlib_libxshmfence, xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#13586: grub failure with BR2_OPTIMIZE_3
	#13661: host-python2 build fails on aarch64
	#13836: package build failure when target install set to no..
	#13846: BR2_PACKAGE_LVM2_STANDARD_INSTALL should be default to..

2021.02.3, released June 12th, 2021

	Important / security related fixes.

	CPE meta data has been added for a large number of packages

	Updated/fixed packages: acpid, apache, apcupsd, assimp, bird,
	bitcoin, blktrace, boost, capnproto, chrony, dc3dd, dhcp,
	directfb, dmalloc, docker-engine, ebtables, efibootmgr,
	enlightenment, enscript, environment-setup, exempi, expat,
	findutils, flatcc, fluidsynth, frr, gdb, go, gptfdisk, grpc,
	gst1-plugins-bad, gst1-rtsp-server, gstreamer1, gupnp,
	hostapd, hwloc, i2c-tools, iftop, imagemagick, imx-gpu-viv,
	intel-mediadriver, intel-microcode, jquery-validation,
	keepalived, kodi, less, libcamera, libcurl, libcutl, libesmtp,
	libeXosip2, libffi, libfuse, libfuse3, libgeos, libgtk2,
	libgtk3, libical, libidn, libidn2, libkcapi, libldns, libmms,
	libmodbus, libmspack, libnids, libopenh264, liboping, libraw,
	librelp, libsamplerate, libtirpc, libusb, libuv, libxcb,
	libxml2, libxslt, live555, llvm, lmbench, localedef,
	lttng-tools, lvm2, lz4, mesa3d, mimic, mini-snmpd, minidlna,
	minissdpd, minizip, mono-gtksharp3, mpg123, mpv, msmtp, musl,
	mutt, nasm, nbd, netperf, netsurf, nginx, odb, opencv3,
	openssh, opentyrian, oprofile, p7zip, paho-mqtt-c, perl,
	php-imagick, pifmrds, picocom, pigz, pngquant, poco,
	postgresql, prosody, proxychains-ng, pulseaudio, putty, pwgen,
	python-autobahn, python-bluezero, python-engineio,
	python-keyring, python-pillow, python-requests, python-tqdm,
	qemu, qpdf, qt5base, redis, refpolicy, rt-tests, runc,
	shellinabox, squid, strace, supervisor, synergy, taglib,
	tclap, terminology, thermald, tini, tinyproxy, tinyxml2,
	tpm2-tss, uclibc, udisks, uhd, unscd, vlc, waylandpp,
	webkitgtk, weston, wireshark, wpa_supplicant, wpewebkit,
	xlib_libdmx, xlib_libFS, xlib_libICE, xlib_libX11,
	xlib_libXcursor, xlib_libXdmcp, xlib_libXext, xlib_libXfixes,
	xlib_libXfont2, xlib_libXinerama, xlib_libXpm, xlib_libXres,
	xlib_libXt, xlib_libXtst, xlib_libXxf86dga, xlib_libXxf86vm,
	xterm

	Issues resolved (http://bugs.uclibc.org):

	#13781: isc dhcp-server package don't create file /usr/bin/dhcpd
	#13801: toolchainfile.cmake CMAKE_BUILD_TYPE
	#13806: Building host-localedef fails on fedora 34/gcc 11

2021.02.2, released May 12th, 2021

	Important / security related fixes.

	Toolchain: Add logic to mark toolchains affected by binutils
	bug 27597 (Nios II).

	support/scripts/cve.py: Use the (significantly) faster yajl2
	ijson backend for older (< 2.5) ijson versions rather than the
	slow python default, speeding up pkg-stats by ~2x.

	CMake infrastructure: Use CMAKE_EXE_LINKER_FLAGS rather than
	CMAKE_CXX_FLAGS to link with libatomic to fix an compatibility
	issue with poppler.

	Infrastructure: Expose CONFIG_DIR to post-build/post-image
	scripts, so they can call the Buildroot Makefile in the
	correct directory for both in-tree / out-of-tree builds.

	Updated/fixed packages: at91bootstrap, avahi, bash, bind,
	bridge-utils, boost, cegui, cifs-utils, clamav, cmake,
	coremark-pro, coreutils, cryptsetup, dmalloc, dnsmasq,
	docker-cli, docker-engine, domoticz, efl, exim, ffmpeg, flex,
	gcc, genext2fs, go, gst1-interpipe, haproxy, hostapd,
	i2c-tools, imx-vpu, kexec, kf5-kcoreaddons, kismet, libcamera,
	libcurl, libdrm, libfreefare, libfuse3, libgeos, libgpiod,
	libnpupnp, libopenssl, libp11, librsync, libtomcrypt, libupnp,
	localedef, lvm2, lxc, m4, makedevs, mender, mesa3d,
	mesa3d-headers, mkpasswd, mkpimage, modem-manager, monkey,
	mpd, ncurses, nettle, network-manager, nginx, numactl,
	openjdk, openjdk-bin, openldap, openvpn, php, pipewire,
	python-aioconsole, python-asgiref, python-botocore,
	python-django, python-dnspython, python-flup, python-httplib2,
	python-markdown2, python-mbrstrdecoder, python3, quickjs,
	readline, rsyslog, ruby, rust, samba4, sconeserver, snort,
	sox, systemd, tar, timescaledb, tio, tor, usb_modeswitch,
	wpa_supplicant, xdriver_xf86-video-ati, xen, xlib_libXaw,
	xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#13271: systemd-resolved: /etc/resolv.conf link broken on per-pa..
	#13551: 2021.02.rc2: Unicode not work on qt 5.15.2
	#13651: pkg-golang cannot build when main.go is in the root
	#13661: host-python2 build fails on aarch64
	#13721: c-stack.c:55:26: error: missing binary operator before ..
	#13731: Readline Patch is missing Author Information
	#13741: genext2fs does not allow to set perms of root node
	#13751: libopenssl (static): huge drop in performance in newer ..
	#13771: package htop has undeclared dependency on host python

2021.02.1, released April 7, 2021

	Important / security related fixes.

	Dependencies: Explicitly detect and bail out if PATH contains
	spaces or tabs. A number of packages fail to build in such
	setups, so explicitly inform about this.

	utils/scanpypi: Explicitly use python3 for compatibility with
	packages using python3 syntax in setup.py

	support/download: Fix tarball generation (from git/svn repos)
	including symlinks pointing to ./<something>. Fix svn download
	for <1.9 clients or repos using CVS-style keywords.

	Meson: Use correct C++ host compiler (rather than C compiler)

	Toolchain: Add logic to work around binutils bug 21464,
	affecting OpenRISC, and drop the now longer applicable bug
	19615 / 20006 handling.

	Python{,3}: Fix byte compiling python files with short (single
	character before .py) file names.

	CPE meta data has been added for a large number of packages

	Defconfigs: Correct Beaglebone QT file system overlay

	Updated/fixed packages: alsa-utils, at91bootstrap3,
	batman-adv, binutils, botan, bridge-utils, busybox,
	ca-certificates, cog, coreutils, diffutils, dmidecode,
	docker-cli, docker-containerd, docker-engine, efivar,
	fetchmail, frr, genimage, git, gnutls, go, grub2, gst-omx,
	gst1-devtools, gst1-libav, gst1-plugins-bad,
	gst1-plugins-base, gst1-plugins-good, gst1-plugins-ugly,
	gst1-python, gst1-rtsp-server, gst1-vaapi, gstreamer1,
	gstreamer1-editing-services, haproxy, haserl, hwloc,
	irqbalance, jasper, kexec, kexec-lite, kismet, kodi, libcurl,
	libfreeglut, libgcrypt, libgeos, libglib2, libopenssl, libqmi,
	libressl, libupnp, libvips, libvpx, libwebsockets, linux,
	lldpd, logrotate, lttng-libust, lttng-tools, mariadb, mbedtls,
	mcelog, mender, micropython, mongoose, mosquitto, mpd,
	netsnmp, nodejs, openmpi, openssh, openvpn, opkg-utils,
	optee-client, optee-test, perl, php, proftpd, protobuf,
	python-django, python-jinja2, python-lxml, python-paramiko,
	python-py, python-pygments, python-rpi-ws281x, python-urllib3,
	python3, qt5webkit, qwt, rpm, samba4, sconeserver, sdl2, shim,
	sqlcipher, squid, sysklogd, syslinux, sysvinit, tor,
	transmission, tzdata, uboot, uclibc, upx, webkitgtk,
	wireshark, wpebackend-fdo, wpewebkit, xen, zstd

	New packages: perl-parse-yapp

	Issues resolved (http://bugs.uclibc.org):

	#13516: utils/scanpypi: Failure when parsing diffoscope
	#13576: Issues compiling buildroot for 5x86
	#13601: Gen image :Iappropriate ioctl error
	#13616: tar file from git repository generation issue
	#13641: glibc on raspberrypi
	#13646: Gen image version 14 error : no sub -section title/..
	#13671: openSSH server closes connection before authentication..

2021.02, released March 6th, 2021

	Various fixes.

	Toolchain: Correct Bootlin xtensa-lx60 dependencies

	Updated/fixed packages: asterisk, belle-sip, bustle, dhcpcd,
	dovecot, dovecot-pigeonhole, gnuchess, gnuradio,
	gst1-plugins-bad, haproxy, jasper, kismet, libebml,
	libeXosip2, libgeos, libhtp, libjpeg, libopenssl, libshout,
	libstrophe, mosquitto, openblas, openssh, perl, privoxy,
	prosody, python-pyyaml, python3-pyyaml, quagga, redis,
	rust-bin, sox, suricata, tpm2-pkcs11, uclibc-ng-test, ushare,
	util-linux, wolfssl, wpa_supplicant

	Issues resolved (http://bugs.uclibc.org):

	#13501: 2021.02.rc2: Unicode not work on qt 5.15.2
	#13581: jpegsrc.v9d.tar.gz has changed hash

2021.02-rc3, released February 27th, 2021

	Fixes all over the tree.

	utils/scanpypi: Explicitly use python3 to ensure compatiblity
	with packages having python3-only code in setup.py

	support/download: Ensure sub-second timestamp precision is
	dropped when creating a tarball from a (subversion) repo, as
	that is not representable in the PAX tar format

	Updated/fixed packages: babeltrace2, bind, botan, brltty,
	cegui, elfutils, fakeroot, imagemagick, intel-mediasdk,
	irqbalance, libglib2, libselinux, libusb, libuwsc, nodejs,
	open62541, openldap, ply, python-aiohttp, python-django,
	python3, qemu, readline, rust, screen, taglib, unbound, xterm

	Issues resolved (http://bugs.uclibc.org):

	#13516: utils/scanpypi: Failure when parsing diffoscope
	#13541: 2021.02.rc2: irqbalance: Daemon couldn't be bound to...
	#13561: Create a new user defining users-table.txt not working..

2021.02-rc2, released February 16th, 2021

	Fixes all over the tree.

	Vulnerability scanning: cpedb.py: Drop CPE XML database
	caching, as it did not speed up processing much and uses a lot
	of additional memory.
	pkg-stats: include information about ignored CVEs in JSON
	output

	Fakeroot: Fix compatibility issue with glibc 2.33

	Updated/fixed packages: can-utils, collectd, dnsmaqs,
	docker-cli, docker-engine, ebtables, fakeroot, flashrom,
	gdk-pixbuf, go, gst1-python, jasper, kodi,
	kodi-inputstream-adaptive, lcms2, libgeos, libgpg-error,
	libopenssl, mongoose, mpd, ne10, netopeer2, openblas, orc,
	perl-gd, ply, postgresql, protobuf, subversion, tcpdump,
	tzdate, uboot-tools, wireshark, webkitgtk, wpewebkit, xterm

	New packages: perl-extutils-pkgconfig

	Issues resolved (http://bugs.uclibc.org):

	#11706: binman (U-boot tool) cannot find libfdt "binman: No mod..

2021.02-rc1, released February 9th, 2021

	Fixes all over the tree and new features.

	Toolchain: Default to binutils 2.35.2, add 2.36.1, drop
	2.33.x. Fix GCC 10.x ARC adc/sbc pattern handling, Update ARM
	toolchains to 10.2-2020.11 release.

	Architectures: ARC: add support for generic HS48 processor,
	PPC: drop PPC601 support, which was removed from Linux 5.10.

	Vulnerability scanning: The CVE checking logic has been
	extended to match packages based on CPE (Common Platform
	Enumeration) IDs for more accurate matching, and CPE
	identifiers have been added for a large amount of packages.

	Download: Rework the tarball creation logic (E.G. when a
	package is fetched from a git/svn repo) to no longer require a
	host-tar <= 1.29. To differ between the old and the new
	format, the new tarballs have gained a -br1 suffix
	(<pkg>-<version>-br1.tar.gz).

	SELinux support: A significant number of packages now pull in
	the relevant refpolicy modules when enabled.

	New defconfigs: arrow avenger96, bananapi M1+, microchip
	sam9x60ek, pine64 rock64

	Removed defconfigs: QEMU ppc virtex-ml507

	New packages: balena-engine, casync, coremark, coremark-pro,
	datatables, datatables-buttons, datatables-fixedcolumns,
	datatables-responsive, delve, frotz, gkrellm, inih, jszip,
	libgeos, libiec61850, libmdbx, lualdap, neofetch,
	nvidia-modprobe, open62541, perl-devel-cycle, perl-devel-size,
	perl-math-int64, ply, popperjs, python-bleak,
	python-defusedxml, python-pycups, python-pytest-asyncio,
	python-typing-extensions, qcom-db410c-firmware, qt5coap,
	qt5knx, qt5mqtt, quickjs, rcw-smarc-sal28, screenfetch,
	ssdp-responder, tpm2-pkcs11, wqy-zenhei, xorcurses

	Removed packages: audiofile, boa, ipsec-tools, libupnp18,
	ti-sgx-libgdbm

	Renamed rcw package to qoriq-rcw

	Issues resolved (http://bugs.uclibc.org):

	#13316: beaglebone_qt5_defconfig: PowerVR fails to start
	#13416: dhcpcd start warning message: no such user dhcpcd
	#13456: ccache prevents build
	#13471: package/mpd/mpd.conf make use of path not created
	#13506: BR2_PACKAGE_DHCPCD missing directory creation

2020.11.4, released April 5th, 2021

	Important / security related fixes.

	Dependencies: Explicitly detect and bail out if PATH contains
	spaces or tabs. A number of packages fail to build in such
	setups, so explicitly inform about this.

	utils/scanpypi: Explicitly use python3 for compatibility with
	packages using python3 syntax in setup.py

	support/download: Fix tarball generation (from git/svn repos)
	including symlinks pointing to ./<something>

	Meson: Use correct C++ host compiler (rather than C compiler)

	Updated/fixed packages: asterisk, at91bootstrap3, babeltrace2,
	batman-adv, bind, ca-certificates, cegui, cog, diffutils,
	docker-containerd, dovecot, dovecot-pigeonhole, efivar,
	elfutils, fakeroot, git, gnuchess, gnuradio, gnutls, go,
	grub2, haserl, i7z, imagemagick, intel-mediasdk, irqbalance,
	jasper, kodi, libcurl, libebml, libeXosip2, libglib2, libhtp,
	libjpeg, libopenssl, libqmi, libressl, libupnp, libuwsc,
	libvips, lldpd, mariadb, mbedtls, mender, micropython,
	mosquitto, netsnmp, nodejs, openblas, openldap, openmpi,
	openssh, opkg-utils, optee-client, optee-test, perl, php,
	privoxy, proftpd, prosody, protobuf, python-aiohttp,
	python-django, python-lxml, python-pyyaml, python-rpi-ws281x,
	python-typing-extensions, python3, quagga, qwt, redis, rpm,
	sconeserver, screen, sox, sqlcipher, squid, suricata,
	syslinux, sysvinit, tor, transmission, tzdata, uboot, unbound,
	upx, util-linux, webkitgtk, wireshark, wolfssl,
	wpebackend-fdo, wpewebkit, wpa_supplicant, zstd

	Issues resolved (http://bugs.uclibc.org):

	#13516: utils/scanpypi: Failure when parsing diffoscope
	#13541: 2021.02.rc2: irqbalance: Daemon couldn't be bound to..
	#13576: Issues compiling buildroot for 5x86
	#13581: jpegsrc.v9d.tar.gz has changed hash
	#13616: tar file from git repository generation issue

2020.11.3, released February 17th, 2021

	meson: Fix ccache detection handling when per-package builds
	are used.

	Fakeroot: Fix compatibility issue with glibc 2.33

	Updated/fixed packages: atftp, binutils, busybox, cereal,
	chartjs, connman, dhcpcd, dnsmasq, docker-cli, docker-engine,
	ebtables, fakeroot, flashrom, go, gst1-python, guile,
	intel-mediadriver, intel-microcode, jasper,
	kodi-inputstream-adaptive, lcms2, libbsd, libopenssl,
	makedumpfile, memtester, mosquitto, ne10, openblas, orc, php,
	postgresql, privoxy, pugixml, python-bottle, python-django,
	python3, rauc, sox, stress-ng, subversion, tzdata,
	uboot-tools, uclibc, webkitgtk, wireguard-linux-compat,
	wireshark, wpa_supplicant, wpewebkit, xenomai,
	xserver_xorg-server, xterm

	Issues resolved (http://bugs.uclibc.org):

	#11706: binman (U-boot tool) cannot find libfdt "binman: No mod..
	#13506: BR2_PACKAGE_DHCPCD missing directory creation

2020.11.2, released January 31st, 2021

	Important / security related fixes.

	Download: Ensure git submodules are correctly fetched if
	enabled for a package with <pkg>_GIT_SUBMODULES = YES and the
	host variant is downloaded first.

	Toolchain: Mark CodeSourcery Aarch64 2014.11 toolchain as not
	having libatomic. Bootlin PowerPC-440 FP toolchain updated for
	SecurePLT fix.

	pkg-stats: Fix python 3.8+ deprecation warning.

	meson: Ensure ccache is not detected and used, as it may
	conflict with the ccache handling in Buildroot.

	Updated/fixed packages: barebox, boost, brltty, dbus,
	docker-containerd, dovecot, dovecot-pigeonhole,
	environment-setup, firmware-imx, gcc, gerbera, glibc,
	gmrender-resurrect, igd2-for-linux, kodi-pvr-zattoo, libclc,
	libfuse3, libllcp, libodb-mysql, libtorrent-rasterbar,
	libupnp, lpc32xxcdl, luarocks, mpd, multipath-tools, mutt,
	nfs-utils, nodejs, openjpeg, openldap, opentracing-cpp,
	openvpn, p11-kit, paho-mqtt-c, php, poppler, postgresql,
	python3, redis, resiprocate, rpm, runc, socat, sslh, sudo,
	sunxi-mali-mainline-driver, syslog-ng, systemd, tini,
	tpm2-tss, trace-cmd, tzdata, uboot-tools, uhd, ushare,
	util-linux, vlc, wavpack, wireguard-linux-compat, wolfssl,
	xapp_xload, xorriso, zic

	Removed packages: libupnp18

	Issues resolved (http://bugs.uclibc.org):

	#13471: package/mpd/mpd.conf make use of path not created

2020.11.1, released December 27th, 2020

	Important / security related fixes.

	Infrastructure:
	- cmake: fix host ccache handling for CMake 3.19
	- meson: Forcibly disable binary stripping for
	  target builds, enable for host builds
	- golang: Fix HOST / TARGET directories for per-package builds

	Defconfigs: Beaglebone Qt5: Fix ti-sgx related issues

	Updated/fixed packages: apitrace, arm-trusted-firmware,
	ca-certificates, cryptopp, dhcpcd, dtv-scan-tables,
	flare-engine, ghostscript, go, haproxy, imagemagick,
	imx-gpu-viv, jasper, kismet, libcurl, libglib2, libhtp,
	libopenssl, libressl, libuv, libuvw, lua, mbedtls, mongodb,
	mutt, ncurses, netsnmp, nodejs, opencv3, openldap, opkg-utils,
	paho-mqtt-c, python-crc16, python-lxml, python-pyparsing,
	python-pyqt5, qt5base, rauc, shadowsocks-libev, sqlcipher,
	suricata, ti-sgx-demos, tinycbor, uclibc-ng-test, unbound,
	webkitgtk, wpewebkit, wireshark, x11vnc, xen,
	xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#13316: beaglebone_qt5_defconfig: PowerVR fails to start
	#13416: dhcpcd start warning message: no such user dhcpcd

2020.11, released December 2nd, 2020

	Various fixes.

	Updated/fixed packages: bustle, docker-containerd, gnuplot,
	gst1-plugins-good, jemalloc, kmsxx, libcap, libplist,
	libuhttpd, libxkbcommon, lynx, mariadb, netsurf, privoxy,
	s390-tools, setserial, xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#13276: libcap builds libcap.pc incorrectly

2020.11-rc3, released November 28th, 2020

	Fixes all over the tree.

	Updated/fixed packages: c-ares, cage, cdrkit,
	dovecot-pigeonhole, efl, gvfs, harfbuzz, jpeg-turbo,
	libcamera, libkrb5, libpam-tacplus, libxkbcommon, minidlna,
	modem-manager, monkey, musl, ncurses, numactl, openntpd,
	openrc, postgresql, proftpd, python-flask-cors, python-pip,
	qemu, raptor, redis, slirp, spandsp, thermald, uhd, vsftpd,
	webkitgtk, wireless-regdb, wlroots, wpewebkit, xen, xinetd,
	xorriso

	Issues resolved (http://bugs.uclibc.org):

	#13296: host-libcap failed to build
	#13331: openrc-0.42.1 compilation failure on gcc-10
	#13336: thermald-1.9.1 compilation failure with musl 1.2.1
	#13341: Mistake in /etc/init.d/S70vsftpd

2020.11-rc2, released November 14th, 2020

	Fixes all over the tree.

	cve-checker script dropped. Instead the pkg-stats logic has
	been extended to be able to only generate stats for the
	configured packages using 'make pkg-stats'

	Removed defconfigs: rock64

	Updated/fixed packages: apparmor, asterisk, bitcoin, busybox,
	cups-filters, cryptsetup, davfs2, domoticz, elf2flt, freetype,
	ghostscript, glmark2, go, gst1-plugins-bad, guile, jsoncpp,
	libcap, libexif, libnetfilter_conntrack, libpam-tacplus,
	libsigrokdecode, linux-backports, linux-firmware, mesa3d,
	modem-manager, mp4v2, oniguruma, openntpd, python3,
	python-lmdb, python-m2crypto, rauc, s390-tools, slirp,
	stress-ng, suricata, systemd, tcpdump, tmux, tor, webkitgtk,
	wireguard-linux-compat, wpewebkit, xen

	Issues resolved (http://bugs.uclibc.org):

	#13281: Raspberry Pi 2: overlays folder missing in genimage-ra..
	#13291: BR2_DL_DIR is ignored when creating defconfig
	#13306: wpewebkit build problem in 2020-11-rc1

2020.11-rc1, released November 4th, 2020

	Fixes all over the tree and new features.

	Architectures: Support for IBM s390x

	Toolchain: use Secure-PLT rather than BSS-PLT for PowerPC
	32. Binutils 2.35.1 added, now defaulting to 2.34. ARC
	2020.09-release toolchain. GCC 7.x dropped. RISC-V support for
	uclibc-ng. Support for Bootlin external toolchains.

	SELinux support improvements: File security contexts are now
	set when the file systems are created, so there is no need to
	run restorecon on first boot / read only rootfs is supported.
	An optimized / stripped refpolicy SELinux policy is now
	used. Packages can enable additional refpolicy modules using
	<pkg>_SELINUX_MODULES.

	support/scripts/cve-checker: Utility script to check for known
	CVEs in just the packages enabled in a Buildroot configuration
	rather than all packages, by passing the output of 'make
	show-info' to it.

	Go: Modules handling. The module name must be specified using
	<pkg>_GOMOD.

	BR2_EXTERNAL: Support for defining skeleton and init system
	packages in external trees.

	meson: Correct SDK cross-compilation.conf file when
	per-package builds were used to build SDK.

	systemd: Use /run rather than /var/run for PID files in units.

	Fakeroot scripts (BR2_ROOTFS_POST_FAKEROOT_SCRIPT) are now run
	after all finalization hooks (including pre-rootfs) to ensure
	they can override any late configuration done by packages.

	support/script/pycompile: Rework logic to ensure .pyc files
	contain absolute target paths, fixing code inspection at
	runtime when executed with cwd != '/'.

	support/scripts/setlocalversion: Correct Mercurial output to
	match behaviour with Git.

	support/scripts/apply-patches.sh: Use patch
	--no-backup-if-mismatch, so we no longer blindly have to
	remove *.orig files after patching, fixing issues with
	packages containing such files.

	New defconfigs: Acer chromebook elm, Friendlyarm nanopc-t4 and
	nanopi-m4, Hardkernel odroid-c2, Kontron SMARC-sAL28, NXP
	imx8mqevk, Orangepi RK3399 and zero+, PCengines APU2, Pine64
	rockpro64, QEMU s390x, Raxda rockpi-n8,

	New packages: altera-stapl, asn1c, babeltrace2, cukinia,
	easyframes, environment-setup, frr, graphicsmagick, htpdate,
	ipcalc, libbacktrace, libblockdev, libbytesize, librelp,
	libuev, makedumpfile, meson-tools, mg, mrp, multipath-tools,
	netcalc, odroidc2-firmware, php-xdebug, python-aiofiles,
	python-ansicolors, python-boto3, python-botocore,
	python-bsdiff4, python-crayons, python-iniconfig,
	python-intelhex, python-ipdb, python-jmespath,
	python-m2crypto, python-opcua-asyncio, python-packaging,
	python-piexif, python-pluggy, python-pytest,
	python-s3transfer, python-xmodem, qprint, qt5lottie,
	qt5remoteobjects, re2, redir, s390-tools, sentry-cli,
	sentry-native, timescaledb, tinyhttpd, uhd, uredir, watchdog,
	wayland-utils, weston-imx

	Removed packages: amd-catalyst, bellagio, gqview, libcroco,
	nvidia-tegra23, opencv

	Issues resolved (http://bugs.uclibc.org):

	#11811: lsblk (util-linux) should depend on libudev if available
	#11931: Bugs in support/scripts/apply-patches.sh
	#12301: systemd-journal-gatewayd: config options broken
	#12911: usb_modeswitch installation race condition
	#13236: Can't compile linux 5.4.8 (with gcc 10 on host)
	#13286: The system hangs in vmware workstation on the line..

2020.08.3, released December 27th, 2020

	Important / security related fixes.

	Infrastructure:
	- cmake: fix host ccache handling for CMake 3.19
	- meson: Forcibly disable binary stripping for
	  target builds, enable for host builds
	- golang: Fix HOST / TARGET directories for per-package builds

	Defconfigs: Beaglebone Qt5: Fix ti-sgx related issues

	Updated/fixed packages: apitrace, arm-trusted-firmware,
	bustle, c-ares, ca-certificates, cage, cdrkit, cryptopp,
	dhcpcd, docker-containerd, dtv-scan-tables, flare-engine,
	ghostscript, gvfs, haproxy, imagemagick, imx-gpu-viv, jasper,
	jemalloc, jpeg-turbo, libcamera, libcap, libcurl, libglib2,
	libgpiod, libkrb5, libopenssl, libplist, libressl, libuv,
	libuvw, lynx, mariadb, mbedtls, minidlna, mongodb, monkey,
	musl, mutt, ncurses, netsnmp, netsurf, nodejs, opencv3,
	openldap, openrc, opkg-utils, paho-mqtt-c, php, privoxy,
	proftpd, python-crc16, python-flask-cors, python-lxml,
	python-pip, python-pyparsing, python-pyqt5, qemu, qt5base,
	raptor, rauc, ruby, setserial, shadowsocks-libev, slirp,
	sqlcipher, thermald, ti-sgx-demos, tinycbor, unbound, vsftpd,
	wireless-regdb, wireshark, wlroots, x11vnc, xen, xinetd,
	xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#13276: libcap builds libcap.pc incorrectly
	#13316: beaglebone_qt5_defconfig: PowerVR fails to start
	#13336: thermald-1.9.1 compilation failure with musl 1.2.1
	#13341: Mistake in /etc/init.d/S70vsftpd
	#13416: dhcpcd start warning message: no such user dhcpcd

2020.08.2, released November 16th, 2020

	Important / security related fixes.

	Toolchain-wrapper: Pass -fno-tree-loop-distribute-patterns to
	fix kernel build on microblaze with gcc 10.x when
	optimizations are enabled.

	Updated/fixed packages: apparmor, argp-standalone, asterisk,
	bandwidthd, binutils, bitcoin, busybox, collectd, cryptsetup,
	cups-filters, darkhttpd, davfs2, docker-cli,
	docker-containerd, docker-engine, dovecot-pigeonhole,
	dvb-apps, elf2flt, fastd, fbset, fbtft, freetype, gcc,
	ghostscript, grpc, gst1-plugins-bad, jsoncpp,
	kernel-module-imx-gpu-viv, keepalived, kmscube, libass,
	libexif, libiqrf, libnetfilter_conntrack, libpam-tacplus,
	libraw, linux-backports, linux-firmware, lzlib, mp4v2,
	netsnmp, nginx, numactl, oniguruma, opencv3, openntpd,
	patchelf, php, pistache, postgresql, python-pyqt5, qemu,
	qt5base, rauc, redis, samba4, slirp, systemd, tcpdump,
	tinyproxy, tmux, tor, waf, webkitgtk, wine,
	wireguard-linux-compat, wireshark, wpewebkit, xen, xorriso,
	xvisor, zeromq, zxing-cpp

	Issues resolved (http://bugs.uclibc.org):

	#11931: Bugs in support/scripts/apply-patches.sh

2020.08.1, released October 12th, 2020

	Important / security related fixes.

	Fixes for various compilation issues with GCC 10.x.

	meson: Correct SDK cross-compilation.conf file when
	per-package builds were used to build SDK.

	systemd: Use /run rather than /var/run for PID files in units.

	Toolchain: use Secure-PLT rather than BSS-PLT for PowerPC 32.

	Fakeroot scripts (BR2_ROOTFS_POST_FAKEROOT_SCRIPT) are now run
	after all finalization hooks (including pre-rootfs) to ensure
	they can override any late configuration done by packages.

	support/script/pycompile: Rework logic to ensure .pyc files
	contain absolute target paths, fixing code inspection at
	runtime when executed with cwd != '/'.

	support/scripts/setlocalversion: Correct Mercurial output to
	match behaviour with Git.

	support/scripts/apply-patches.sh: Use patch
	--no-backup-if-mismatch, so we no longer blindly have to
	remove *.orig files after patching, fixing issues with
	packages containing such files.

	fs/jffs2: Now correctly handles xattrs

	Updated/fixed packages: acpica, afboot-stm32, alsa-utils,
	apparmor, bandwidthd, barebox, bash, bison, brotli,
	cifs-utils, cups, dhcpcd, dhcpdump, docker-cli, docker-engine,
	ecryptfs-utils, efl, fail2ban, fbterm, ffmpeg, fontconfig,
	freetype, gcc, gdb, ghostscript, gnupg2, gnutls, go, gqview,
	gst1-plugins-base, gst1-plugins-ugly, ipmitool, jbig2dec,
	kexec, lcdproc, libcamera, libhtp, libnetconf2, libraw,
	libssh, libxml2, libxml-parser-perl, libzip, linux-headers,
	live555, localedef, ltp-testsuite, lua, matchbox, memcached,
	memtester, mesa3d, meson, minidlna, mongodb, mongrel2, motion,
	mraa, mtd, musepack, neardal, netatalk, netperf, netsniff-ng,
	nginx, nodejs, nss-pam-ldapd, open-plc-utils, openswan,
	opentyrian, openvmtools, php, postgresql, python,
	python-aenum, python-cycler, python-engineio, python-fire,
	python-pymodbus, python-scapy, python-semver,
	python-sentry-sdk, python-socketio, python-texttable,
	python-tinyrpc, python-txtorcon, python3, qt5base, quagga,
	read-edid, redis, rsh-redone, runc, samba4, socketcand,
	strace, supertux, suricata, systemd, ti-utils, trinity,
	uclibc, usb_modeswitch, vlc, vsftpd, wampcc,
	wayland-protocols, wireguard-linux-compat, wireshark, wlroots,
	wolfssl, w_scan, xerces, xfsprogs, xdriver-xf86-video-ati,
	xserver_xorg-server, ympd, zeromq, zlib-ng, zstd

	Issues resolved (http://bugs.uclibc.org):

	#12911: usb_modeswitch installation race condition
	#13236: Can't compile linux 5.4.8 (with gcc 10 on host)

2020.08, released September 1st, 2020

	Various fixes.

	Updated/fixed packages: am33x-cm3, avahi, bluez-tools,
	busybox, chocolate-doom, collectd, dhcp, docker-cli, domoticz,
	gobject-introspection, graphite2, haproxy, ibm-sw-tpm2,
	imagemagick, libeXosip2, libressl, lxc, mbedtls, menu-cache,
	mongodb, mosquitto, nvidia-driver, paho-mqtt-c, pixz,
	postgresql, python-django, rtty, squid, stress-ng, systemd,
	trousers, uclibc, wireshark, wolfssl, zbar

2020.08-rc3, released August 28th, 2020

	Fixes all over the tree.

	Infrastructure: Ensure RPATH entries that may be needed for
	dlopen() are not dropped by patchelf.

	Toolchain: Drop old GCC 6 based external Sourcery AMD64
	toolchain.

	Updated/fixed packages: assimp, davfs2, dillo, glibc,
	gnuradio, hostapd, ibm-sw-tpm2, ipmitool, json-c, libroxml,
	linux, mender, netopeer2, openal, openjpeg, python-matplotlib,
	ripgrep, shadowsocks-libev, trousers, xlib_libX11,
	xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#13141: Target-finalize fail with "depmod: ERROR: Bad version passed"

2020.08-rc2, released August 24th, 2020

	Fixes all over the tree, including a number of fixes for
	compilation with GCC-10.

	Toolchain: Disallow building uClibc-ng for RISC-V 64-bit,
	because of issues with a missing __riscv_flush_icache()
	implementation.

	Defconfigs: CI20: Use mainline Linux and U-boot. Update
	Microchip sama5d27_wlsom1_ek_mmc_dev to use bluez5-utils
	instead of (the removed) legacy bluez-utils

	Updated/fixed packages: 18xx-ti-utils, aircrack-ng, apache,
	atest, bandwidthd, bellagio, bind, bird, bluez-alsa, boost,
	c-periphery, capnproto, chrony, collectd, cpio, cvs,
	dieharder, domoticz, dovecot, dovecot-pigeonhole, drbd-utils,
	dump1090, efl, elixir, f2fs-tools, feh, fluidsynth, fping,
	gdbm, gdk-pixbuf, ghostscript, gst1-plugins-bad,
	gstreamer1-editing-services, htop, ibm-sw-tpm2, ifplugd,
	iftop, igd2-for-linux, ima-evm-utils, iprutils, iputils,
	keepalived, kmsxx, libabseil-cpp, libcamera, libcurl,
	libfuse3, libnss, librtlsdr, libubox, libunwind, live555,
	lttng-tools, luabitop, mender-artifact, minizip,
	mjpg-streamer, mpd, mpv, mtd, ncftp, open-lldp, openal,
	opencv, opencv3, openfpgaloader, optee-os, owfs, php,
	pistache, prosody, pulseview, python-decorator,
	python-gunicorn, python-rpi-gpio, python-spidev,
	python3-decorator, python3-mako, python3-pyselftools, qt5,
	qt5webengine, rauc, redis, ripgrep, rtl8188eu, rtl8821au,
	setools, smstools3, supertux, tftpd, tpm2-abrmd,
	wpa_supplicant, xen, xlib_libX11, xserver_xorg-server

	New packages: python3-cython, python3-pycryptodomex

	Issues resolved (http://bugs.uclibc.org):

	#12876: nodejs fails to build when host-icu has been built before
	#13111: python-gunicorn: missing dependency on python-setuptools
	#13121: wpa_supplicant fails to build without libopenssl enabled
	#13146: raspberrypi3_defconfig: "Inappropriate ioctl for device"..
	#13156: package live555 new license
	#13166: python-rpi-gpio: does not work against aarch64, unint..

2020.08-rc1, released August 6th, 2020

	Toolchain:

	- GCC 10.x added, GCC 9.x is the default
	- binutils 2.34 added, binutils 2.33 is the default, binutils
          2.31 removed
	- glibc updated to 2.31
	- ARC toolchain components updated to 2020.03-release.
	- Enable uClibc-ng usage for RISC-V 64-bit

	Infrastructure:

	- qmake-package was fixed to be compatible with
          BR2_PER_PACKAGE_DIRECTORIES
	- complete rewrite of the Gitlab CI Yaml configuration file,
          now generated directly by the Gitlab CI pipeline itselfs

	Misc:

	- cargo and cargo-bin packages removed, as cargo is now part
          of Rust itself

	Filesystem: ubinize configuration files can now use
	BINARIES_DIR to refer to the $(O)/images directory.

	New packages: bitwise, earlyoom, fuse-overlayfs, gloox,
	kodi-pvr-octonet, kodi-pvr-zattoo, libabseil-cpp, libcutl,
	libnids, libnpupnp, libodb, libodb-boost, libodb-mysql,
	libodb-pgsql, mbpfan, netopeer2, odb, parprouted,
	python-colorzero, python-gpiozero, python-pybind, python-yatl,
	python3-decorator, qt5quicktimeline, resiprocate, ttyd,
	unclutter-xfixes, urandom-scripts,

	New defconfigs: bananapi_m2_zero, freescale_imx8mnevk,
	globalscale_espressobin, imx6ullevk,
	microchip_sama5d27_wlsom1_ek, rock_pi_4, rock_pi_n10

	Removed packages: cargo, cargo-bin,
	kodi-peripheral-steamcontroller

	Issues resolved (http://bugs.uclibc.org):

	#12941: Python GObject fails to build when using  BR2_PER_PACKAGE_DIRECTORIES
	#12946: Grub: Decompressor is too big.
	#12986: Mtools: Error converting to codepage 850
	#13001: openjdk-bin replaces libfreetype.so from  host-freetype
	#13011: Incorrect selection of gcc version
	#13021: Minor code error when building granite-0.4.1
	#13026: rpi-firmware: must not rename start files
	#13046: Optimize for fast -Ofast is not compliant
	#13081: host-e2fsprogs attempts to create udev  rules.d on build host if not exists
	#13101: BR audit2allow support

2020.05.3, released October 12th, 2020

	Important / security related fixes.

	meson: Correct SDK cross-compilation.conf file when
	per-package builds were used to build SDK.

	systemd: Use /run rather than /var/run for PID files in units.

	Toolchain: use Secure-PLT rather than BSS-PLT for PowerPC 32.

	Fakeroot scripts (BR2_ROOTFS_POST_FAKEROOT_SCRIPT) are now run
	after all finalization hooks (including pre-rootfs) to ensure
	they can override any late configuration done by packages.

	support/script/pycompile: Rework logic to ensure .pyc files
	contain absolute target paths, fixing code inspection at
	runtime when executed with cwd != '/'.

	support/scripts/setlocalversion: Correct Mercurial output to
	match behaviour with Git.

	support/scripts/apply-patches.sh: Use patch
	--no-backup-if-mismatch, so we no longer blindly have to
	remove *.orig files after patching, fixing issues with
	packages containing such files.

	Updated/fixed packages: alsa-utils, apparmor, avahi,
	bandwidthd, barebox, bash, bison, brotli, busybox, cifs-utils,
	cryptsetup, cups, dhcpcd, dhcpdump, docker-cli, docker-engine,
	ecryptfs-utils, efl, fail2ban, freetype, gcc, gdb,
	ghostscript, gnutls, go, graphite2, gst1-plugins-base,
	gst1-plugins-ugly, imagemagick, ipmitool, jbig2dec, libhtp,
	libraw, libssh, libxml2, libxml-parser-perl, linux-headers,
	localedef, lua, mbedtls, memcached, mesa3d, meson, minidlna,
	mongodb, nginx, nodejs, nss-pam-ldapd, openvmtools,
	paho-mqtt-c, php, postgresql, python, python-aenum,
	python-django, python-engineio, python-fire, python-pymodbus,
	python-scapy, python-semver, python-sentry-sdk,
	python-socketio, python-texttable, python-tinyrpc,
	python-txtorcon, python3, qt5base, rsh-redone, runc, samba4,
	strace, supertux, suricata, systemd, uclibc, usb_modeswitch,
	vlc, vsftpd, wayland-protocols, wireguard-linux-compat,
	wireshark, wlroots, wolfssl, xserver_xorg-server, ympd,
	zeromq, zstd

	Issues resolved (http://bugs.uclibc.org):

	#12911: usb_modeswitch installation race condition
	#13251: cryptsetup does not work on branch 2020.02 following..

2020.05.2, released August 29th, 2020

	Important / security related fixes.

	Infrastructure: Ensure RPATH entries that may be needed for
	dlopen() are not dropped by patchelf.

	BR_VERSION_FULL/setlocalversion (used by make print-version
	and /etc/os-release): Properly handle local git tags

	Updated/fixed packages: apache, assimp, at91bootstrap3, bind,
	boost, busybox, capnproto, cegui, chrony, collectd, cpio,
	cryptsetup, cups, cvs, dbus, docker-engine, domoticz, dovecot,
	dovecot-pigeonhole, dropbear, efl, elixir, f2fs-tools, ffmpeg,
	gd, gdk-pixbuf, ghostscript, glibc, gnuradio, grub2,
	gst1-plugins-bad, gstreamer1-editing-services, hostapd,
	ibm-sw-tpm2, iputils, jasper, json-c, libcurl, libressl,
	libwebsockets, linux, live555, mesa3d, mongodb, mosquitto,
	mpv, nodejs, opencv, opencv3, openfpgaloader, openjpeg,
	patchelf, perl, php, postgresql, prosody, python-django,
	python-gunicorn, python-matplotlib, ripgrep, rtl8188eu,
	rtl8821au, ruby, shadowsocks-libev, squid, systemd,
	tpm2-abrmd, tpm2-tools, trousers, uboot, webkitgtk, wireshark,
	wolfssl, wpa_supplicant, wpewebkit, xen, xlib_libX11,
	xserver_xorg-server

	Issues resolved (http://bugs.uclibc.org):

	#12876: nodejs fails to build when host-icu has been built before
	#13111: python-gunicorn: missing dependency on python-setuptools
	#13121: wpa_supplicant fails to build without libopenssl enabled
	#13141: Target-finalize fail with "depmod: ERROR: Bad version passed"
	#13156: package live555 new license

2020.05.1, released July 25th, 2020

	Important / security related fixes.

	Toolchain:
	- Make external toolchain version check also work for
	  toolchains configured with --with-gcc-major-version-only

	- Do not handle SOURCE_DATE_EPOCH in toolchain wrapper if the
	  compiler supports it, fixing an issue with precompiled
	  headers

	- Ensure debug libs from external toolchains are not installed
          into target if debugging is disabled

	Download:
	- Correct reproducibility issue in handling of git submodules
	  for older git versions.

	- Fix file locking over NFS

	fs: Ensure cpio archive element order is reproducible

